//#pragma GCC target("avx2")
//#pragma GCC optimize("O3")

//#include <x86intrin.h>
#include <bits/stdc++.h>

#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

#define ll long long
#define pb push_back
#define szof(x) (int)x.size()
#define every(x) x.begin(), x.end()
#define mp make_pair
#define For(i,x,y) for (int i=x;i<=y;++i)
#define FOr(i,x,y) for (int i=x;i>=y;--i)
#define lb lower_bound
#define ub upper_bound
#define F first
#define S second
#define pii pair<int,int>
#define SpeedForce ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0)

using namespace std;
using namespace __gnu_pbds;

bool FAST = 1;

inline void Input() {
    if (FAST) {
        freopen("fast.in", "r", stdin);
        freopen("fast.out", "w", stdout);
   } else { 
        freopen("slow.in", "r", stdin);
        freopen("slow.out", "w", stdout);
   }
}

template<typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

const int N = 505;
const int inf = 1e9+11;
const int mod = 1e9 + 7;
const int pri = 997;

vector < int > g[N];
bitset < N > bs[N];
bitset < N > ans[N * N];
int tin[N];
int tout[N];
int timer;
int up[10][N];

void dfs (int v, int pr = 0) {
	up[0][v] = pr;
	for (int i = 1; i < 10; i ++)
		up[i][v] = up[i-1][up[i-1][v]];
	tin[v] = ++timer;
	bs[v] |= bs[pr];
	bs[v][v] = 1;

	for (auto to : g[v]) if (to != pr) {
		dfs(to, v);
	}
	tout[v] = timer;
}

bool upper (int a, int b) {
	return tin[a] <= tin[b] && tout[a] >= tout[b];
}

int lca (int a, int b) {
	if (upper(a, b)) return a;
	if (upper(b, a)) return b;
	for (int i = 9; i >= 0; i --) if (!upper(up[i][a], b)) {
		a = up[i][a];
	}
	return up[0][a];
}

inline void solve() {
	int n, k;
	cin >> n >> k;
	for (int i = 1; i < n; i ++)
		for (int j = i + 1; j <= n; j ++) {
			for (int v = 1; v <= n; v ++)
				ans[(i * n) + j][v] = 1;
		}
	For(w, 1, k) {
		for (int i = 1; i <= n; i++) {
			g[i].clear();
			bs[i].reset();
		}

		for (int i = 1; i < n; i ++) {
			int l, r;
			cin >> l >> r;
			g[l].pb(r);
			g[r].pb(l);
		}
		

		timer = 0;
		dfs(1);
		tout[0] = 555;
		//cout << "ver: " << w << '\n';
		for (int i = 1; i < n; i ++) {
			for (int j = i + 1; j <= n; j ++) {
				int lc = lca(i, j);
				bs[i][lc] = 0;
			   	ans[(i * n) + j] &= (bs[i] ^ bs[j]);
			   	bs[i][lc] = 1;
			}
		}
		
	}

	for (int i = 1; i <= n; i ++) {
		for (int j = 1; j <= n; j ++) {
		    if (i == j) {
		    	cout << 1 << ' ';
		    } else {
		    	int a = i, b = j;
		    	if (a > b) swap(a, b);
		    	cout << ans[(a * n) + b].count() << ' ';
		    }
			
		}
		cout << '\n';
	}
}

int main() {
    SpeedForce;
    int tt = 1;
    //cin >> tt;
    while (tt--) {
        solve();
    }

    return 0;
}
