#include <iostream>

#define pii pair < int, int >
#define piii pair < int, pii >
#define fr first
#define sc second
#define pb push_back

using namespace std;

const int N = 1e5;
const int mod = 1e9 + 7;

struct Seg {
  long double x[2], y[2];

  Seg () {
    for (int i = 0; i < 2; i++) {
      x[i] = 0;
    }

    for (int i = 0; i < 2; i++) {
      y[i] = 0;
    }
  }

  Seg (long double a, long double b, long double c, long double d) {
    x[0] = a;
    y[0] = b;
    x[1] = c;
    y[1] = d;
  }

  void in () {
    for (int i = 0; i < 2; i++) {
      cin >> x[i] >> y[i];
    }
  }

  void out() {
    cout << x[0] << " " << y[0] << " " << x[1] << " " << y[1] << endl;
  }
};

struct Vec {
  long double x, y;

  Vec () {
    x = 0;
    y = 0;
  }

  in () {
    cin >> x >> y;
  }
};

struct Line {
  long double a, b, c;
  Line () {
    a = 0;
    b = 0;
    c = 0;
  }

  Line (Seg x) {
    a = x.y[1] - x.y[0];
    b = x.x[0] - x.x[1];
    c = -a * -x.x[0] + -b * -x.y[0];
  }

  void out() {
    cout << a << " " << b << " " << c << endl;
  }
};

bool inter(Line a, Line b) {
  long double lcm = a.a * b.a;
  long double mula = -lcm / a.a;
  long double mulb = lcm / b.a;

  a.a *= mula;
  a.b *= mula;
  a.c *= mula;

  b.a *= mulb;
  b.b *= mulb;
  b.c *= mulb;

  if (a.b + b.b == 0 || a.a == 0) {
    return false;
  } else {
    return true;
  }
}

struct Pt {
  long double x, y;
  Pt() {
    x = 0;
    y = 0;
  }

  Pt (long double a, long double b) {
    x = a;
    y = b;
  }

  void out() {
    cout << x << " " << y << endl;
  }

  bool in(Seg a) {
    long double mxx = max(a.x[0], a.x[1]);
    long double mnx = min(a.x[0], a.x[1]);

    long double mxy = max(a.y[0], a.y[1]);
    long double mny = min(a.y[0], a.y[1]);

    if (mnx <= x && x <= mxx) {
      if (mny <= y && y <= mxy) {
        return true;
      }
    }

    return false;
  }
};

Pt ginter(Line a, Line b) {
  long double lcm = a.a * b.a;
  long double mula = -lcm / a.a;
  long double mulb = lcm / b.a;

  a.a *= mula;
  a.b *= mula;
  a.c *= mula;

  b.a *= mulb;
  b.b *= mulb;
  b.c *= mulb;

  long double y = (a.c + b.c) / (a.b + b.b);
  long double x = (a.c - a.b * y) / a.a;

  return Pt(x, y);
}

void solve(Seg a, Seg b, Vec v) {
  Line line[6];
  Seg seg[4];
  line[4] = Line(a);
  line[5] = Line(b);
  for (int i = 0; i < 2; i++) {
    seg[i] = Seg(a.x[i], a.y[i], a.x[i] + v.x, a.y[i] + v.y);
    line[i] = Line(seg[i]);
    if (inter(line[i], line[5])) {
      Pt interr = ginter(line[i], line[5]);
      if (seg[i].x[1] <= seg[i].x[0]) {
        if (seg[i].y[1] <= seg[i].y[0]) {
          if (interr.x <= seg[i].x[0] && interr.y <= seg[i].y[0]) {
            if (interr.in(b)) {
              cout << "Yes" << endl;
              return;
            }
          }
        } else {
          if (interr.x <= seg[i].x[0] && interr.y >= seg[i].y[0]) {
            if (interr.in(b)) {
              cout << "Yes" << endl;
              return;
            }
          }
        }
      } else {
        if (seg[i].y[1] <= seg[i].y[0]) {
          if (interr.x >= seg[i].x[0] && interr.y <= seg[i].y[0]) {
            if (interr.in(b)) {
              cout << "Yes" << endl;
              return;
            }
          }
        } else {
          if (interr.x >= seg[i].x[0] && interr.y >= seg[i].y[0]) {
            if (interr.in(b)) {
              cout << "Yes" << endl;
              return;
            }
          }
        }
      }
    }
  }
/// KOTKO
  for (int i = 0; i < 2; i++) {
    seg[i + 2] = Seg(b.x[i], b.y[i], b.x[i] - v.x, b.y[i] - v.y);
    line[i + 2] = Line(seg[i + 2]);
    if (inter(line[i + 2], line[4])) {
      Pt interr = ginter(line[i + 2], line[4]);
      if (seg[i + 2].x[1] <= seg[i + 2].x[0]) {
        if (seg[i + 2].y[1] <= seg[i + 2].y[0]) {
          if (interr.x <= seg[i + 2].x[0] && interr.y <= seg[i + 2].y[0]) {
            if (interr.in(b)) {
              cout << "Yes" << endl;
              return;
            }
          }
        } else {
          if (interr.x <= seg[i + 2].x[0] && interr.y >= seg[i + 2].y[0]) {
            if (interr.in(b)) {
              cout << "Yes" << endl;
              return;
            }
          }
        }
      } else {
        if (seg[i + 2].y[1] <= seg[i + 2].y[0]) {
          if (interr.x >= seg[i + 2].x[0] && interr.y <= seg[i + 2].y[0]) {
            if (interr.in(b)) {
              cout << "Yes" << endl;
              return;
            }
          }
        } else {
          if (interr.x >= seg[i + 2].x[0] && interr.y >= seg[i + 2].y[0]) {
            if (interr.in(b)) {
              cout << "Yes" << endl;
              return;
            }
          }
        }
      }
    }
  }

  cout << "No" << endl;
}

main() {
  int n;
  cin >> n;

  for (int i = 0; i < n; i++) {
    Seg a, b;
    Vec v;

    a.in();
    b.in();
    v.in();

    solve(a, b, v);
  }
}
