#include <bits/stdc++.h>
using namespace std;

#define pb push_back()
#define mk make_pair()
#define f first
#define s second

typedef long long ll;
typedef pair <int, int> pii;
typedef pair <ll, ll> pll;
typedef vector <int> vi;
typedef vector <long long> vll;	

const double N = 1e5 + 2 + .0;
const int inf = 1e6;
const ll INF = 1e18;

void data() {
	#ifdef PC
		freopen("main.in", "r", stdin);
		freopen("main.out", "w", stdout);
	#endif
}
                
int n;

double angle(ll x1, ll y1, ll x2, ll y2){
	double x = x2 - x1 + .0;
	double y = y2 - y1 + .0;
	if(x == 0 && y > 0){
		return inf; 
	}
	else if(x == 0 && y < 0){
		return 3 * inf;
	}
	else if(x > 0 && y >= 0){
		return (y/x);
	}
	else if(x < 0 && y >= 0){
		return (abs(y/x) + inf);
	}
	else if(x < 0 && y <= 0){
		return (abs(y/x) + 2 * inf);
	}
	else if(x > 0 && y <= 0){
		return (abs(y/x) + 3 * inf);
	}
}

int ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
int main() {
	data();
	scanf("%d", &n);
	for(int i = 0; i < n; ++i){
		scanf("%lld %lld %lld %lld %lld %lld %lld %lld %lld %lld", &ax1, &ay1, &ax2, &ay2, &bx1, &by1, &bx2, &by2, &vx, &vy);
		double va = angle(0, 0, vx, vy);
		double a11 = angle(ax1, ay1, bx1, by1);
		double a12 = angle(ax1, ay1, bx2, by2);
		double a21 = angle(ax2, ay2, bx1, by1);
		double a22 = angle(ax2, ay2, bx2, by2);
		int a1, a2;
		if (abs(a11 - a12) <= 2 * inf)
			a1 = (a11 >= va) ^ (a12 >= va);
		else
			a1 = ((min(a11, a12) >= va) || (max(a11, a12) <= va));
		if (abs(a21 - a22) <= 2 * inf)
			a2 = (a21 >= va) ^ (a22 >= va);
		else
			a2 = ((min(a21, a22) >= va) || (max(a21, a22) <= va));
		if (a1 || a2)
			printf("Yes\n");
		else
			printf("No\n");
	}
	
}
