#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <complex>

using namespace std;

bool otr(long double ax1, long double ay1, long double ax2, long double ay2, long double bx1, long double by1, long double bx2, long double by2) {
	complex <long double> p1 = { ax1, ay1 }, p2 = { ax2, ay2 }, p3 = { bx1, by1 }, p4 = { bx2, by2 };
	if (ax1 > ax2)swap(p1, p2);
	if (bx1 > bx2)swap(p3, p4);
	if ((conj(p3 - p1) * (p3 - p2)).imag() * (conj(p4 - p1) * (p4 - p2)).imag() == 0 && (conj(p1 - p3) * (p1 - p4)).imag() * (conj(p2 - p3) * (p2 - p4)).imag() == 0) {
		if ((ax1 <= bx1 && bx1 <= ax2) || (bx1 <= ax1 && ax1 <= bx2) || (ax1 <= bx2 && bx2 <= ax2) || (bx1 <= ax2 && ax2 <= bx2))return true;
		else return false;
	}
	else if ((conj(p3 - p1) * (p3 - p2)).imag() * (conj(p4 - p1) * (p4 - p2)).imag() <= 0 && (conj(p1 - p3) * (p1 - p4)).imag() * (conj(p2 - p3) * (p2 - p4)).imag() <= 0)return true;
	else return false;
}

int main()
{
	cout << "eewerfgfdwef " << otr(1, 1, 4, 4, 0, 0, 100, 100);
	int n;
	long double ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
	cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
		long double temp = 100000000;
		vx *= temp;
		vy *= temp;
		if (otr(ax1, ay1, vx + ax1, vy + ay1, bx1, by1, bx2, by2))cout << "Yes" << endl;
		else if (otr(ax2, ay2, vx + ax2, vy + ay2, bx1, by1, bx2, by2))cout << "Yes" << endl;
		else if (otr(bx1, by1, -vx + bx1, -vy + by1, ax1, ay1, ax2, ay2))cout << "Yes" << endl;
		else if (otr(bx2, by2, -vx + bx2, -vy + by2, ax1, ay1, ax2, ay2))cout << "Yes" << endl;
		else cout << "No" << endl;
	}
}