
#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <complex>

using namespace std;

bool otr(double ax1, double ay1, double ax2, double ay2, double bx1, double by1, double bx2, double by2) {
	complex <double> p1 = { ax1, ay1 }, p2 = { ax2, ay2 }, p3 = { bx1, by1 }, p4 = { bx2, by2 };
	if ((conj(p3 - p1) * (p3 - p2)).imag() * (conj(p4 - p1) * (p4 - p2)).imag() <= 0 && (conj(p1 - p3) * (p1 - p4)).imag() * (conj(p2 - p3) * (p2 - p4)).imag() <= 0)return true;
	else return false;
}

int main()
{
	cout << otr(0, 0, 1, 1, 0, 0, 3, 3);
	int n;
	double ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
	cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
		double temp = 100000000;
		vx *= temp;
		vy *= temp;
		if (otr(ax1, ay1, vx + ax1, vy + ay1, bx1, by1, bx2, by2))cout << "Yes" << endl;
		else if (otr(ax2, ay2, vx + ax2, vy + ay2, bx1, by1, bx2, by2))cout << "Yes" << endl;
		else if (otr(bx1, by1, -vx + bx1, -vy + by1, ax1, ay1, ax2, ay2))cout << "Yes" << endl;
		else if (otr(bx2, by2, -vx + bx2, -vy + by2, ax1, ay1, ax2, ay2))cout << "Yes" << endl;
		else cout << "No" << endl;
	}
}
