#include <bits/stdc++.h>

using namespace std;

long long a, b, c, d, s;

pair <long long, long long> gcd(long long a, long long b)
{
    if (b == 0)
        return {1, 0};
    long long x, y;
    tie(x, y) = gcd(b, a % b);
    return {y, x - (a / b) * y};
}

int len(long long y)
{
    if (y == 0)
        return 1;
    int k = 1;
    long long x = 1;
    while (x <= y)
    {
        x *= 10ll;
        k++;
    }
    return k - 1;
}

int main()
{
    cin >> a >> b;
    if (a == b)
    {
        cout << "Stable\n0";
        exit(0);
    }
    vector <pair <char, int>> ans;
    while (len(a) > len(b))
    {
        long long l = -1, r = 1e16;
        if (a > 9 && a / int(pow(10ll, len(a) - 1)) == 1)
        {
            ans.push_back({'-', 1});
            a = a % int(pow(10ll, len(a) - 1));
            continue;
        }
        while (l < r - 1)
        {
            long long m = (l + r) / 2ll;
            if (len(a + 9ll * m) > len(a))
                r = m;
            else
                l = m;
        }
        ans.push_back({'+', r});
        ans.push_back({'-', 1});
        a = (a + 9ll * r) % int(pow(10ll, len(a)));
    }
    s = b - a;
    c = 9ll;
    d = pow(10ll, len(b));
    if (s % __gcd(c, d) > 0)
    {
        cout << "Broken";
        exit(0);
    }
    long long x, y, g = __gcd(c, d);
    c /= g;
    d /= g;
    s /= g;
    tie(x, y) = gcd(c, d);
    d = -d;
    y = -y;
    x *= s;
    y *= s;
    long long l = -1e8, r = 1e8, m;
    while (l < r - 1)
    {
        m = (l + r) / 2ll;
        if (x - d * m < 0)
            l = m;
        else
            r = m;
    }
    x = (x - d * r) * g;
    y = (y + c * r) * g;
    while (x > 0)
    {
        if (a + 9ll * x <= b)
        {
            ans.push_back({'+', x});
            break;
        }
        if (a > 9 && a / int(pow(10ll, len(a) - 1)) == 1)
        {
            ans.push_back({'-', 1});
            a = a % int(pow(10ll, len(a) - 1));
            continue;
        }
        l = -1; r = 1e16;
        while (l < r - 1)
        {
            long long m = (l + r) / 2ll;
            if (len(a + 9ll * m) > len(a))
                r = m;
            else
                l = m;
        }
        ans.push_back({'+', r});
        ans.push_back({'-', 1});
        a = (a + 9ll * r) % int(pow(10ll, len(a)));
        x -= r;
    }
    if (ans.size() > 1000)
        return 0;
    cout << "Stable\n" << ans.size() << "\n";
    for (pair <char, int> h: ans)
        cout << h.first << " " << h.second << "\n";
    return 0;
}
