#include <iostream>
#include <string>
#include <algorithm>
#include <cmath>
#include <vector>

using namespace std;

typedef struct pt {
	double x, y;
	pt() {}
	pt(const double x, const double y) : x(x), y(y) {}
} pt;

typedef struct line {
	double a, b, c;
	line() {}
} line;

line st(pt q, pt r) {
	line ans;
	if (q.x == r.x) {
		ans.a = 1;
		ans.c = -q.x;
		ans.b = 0;
		return ans;
	}
	if (q.y == r.y) {
		ans.a = 0;
		ans.c = -q.y;
		ans.b = 1;
		return ans;
	}
	ans.a = -(q.y - r.y) / (q.x - r.x);
	ans.b = 1;
	ans.c = -q.y - (ans.a * q.x);
	return ans;
}

int main()
{
	int n;
	cin >> n;
	pt a1, a2, b1, b2, v;
	line t1, t2, s;
	pt m1, m2;
	int _min, _max;
	bool fl = 0;
	for (int i = 0; i < n; ++i) {
		cin >> a1.x >> a1.y >> a2.x >> a2.y >> b1.x >> b1.y >> b2.x >> b2.y >> v.x >> v.y;
		_max = max(a1.y, max(a2.y, max(b1.y, b2.y)));
		_min = min(a1.y, min(a2.y, min(b1.y, b2.y)));
		t1 = st(a1, a2);
		t2 = st(b1, b2);
		fl = 0;
		for (int k = _min; k <= _max; ++k) {
			s = st(pt(0, k), v);
			if ((t1.a * s.b - s.a * t1.b != 0) && (t2.a * s.b - s.a * t2.b != 0)) {
				m1.x = -(t1.c * s.b - s.c * t1.b) / (t1.a * s.b - s.a * t1.b);
				m1.y = -(t1.a * s.c - s.a * t1.c) / (t1.a * s.b - s.a * t1.b);
				m2.x = -(t2.c * s.b - s.c * t2.b) / (t2.a * s.b - s.a * t2.b);
				m2.y = -(t2.a * s.c - s.a * t2.c) / (t2.a * s.b - s.a * t2.b);
				if ((m1.x >= min(a1.x, a2.x)) && (m1.x <= max(a1.x, a2.x)) &&
					(m2.x >= min(b1.x, b2.x)) && (m2.x <= max(b1.x, b2.x))) {
					if (((v.y <= 0 && m1.y <= 0) || (v.y >= 0 && m1.y >= 0)) &&
						((v.y <= 0 && m2.y <= 0) || (v.y >= 0 && m2.y >= 0)) &&
						((v.x <= 0 && m1.x <= 0) || (v.x >= 0 && m1.x >= 0)) &&
						((v.x <= 0 && m2.x <= 0) || (v.x >= 0 && m2.x >= 0))) {
						cout << "Yes" << endl;
						fl = 1;
						break;
					}
				}
			}
			
		}
		if (fl == 0) {
			cout << "No" << endl;
		}
	}
}
