#include <iostream>
#include <string>
#include <random>
#include <ctime>
#include <cstdlib>
#include <queue>
#include <utility>
#define F first
#define S second
#define next NeXt

using namespace std;

const int N = 1e3+5;

int n, m, d[N][N], w, h, cntans = 2, t, a, b;
bool next;
mt19937 rd(time(0));
string ans;
queue<pair<int,int>> q;

inline void kun(){
    q.push({n,m});
    int iteration = 0;

    while(!q.empty()){
        int i = q.front().F, j = q.front().S;
        if(q.size()>6000) break;
        q.pop();
        w = i;
        h = j;
        if(d[i-1][j]==1)q.push({i-1,j});
        if(d[i][j-1]==1) q.push({i,j-1});
        ++iteration;
    }
    }
inline void print(){
      for(int i = 1; i <= n; ++i, cout << endl){
            for(int j = 1; j <= m; ++j){
                cout << d[i][j] << " ";
            }
        }
    }
inline void reload(){
    for(int i = 1; i <= n; ++i){
        for(int j = 1; j <= m; ++j){
            if(d[i][j]==1){
                if((d[i+1][j]==-1)+(d[i][j+1]==-1)==1){
                    if(d[i+1][j]==-1) cntans+=d[i][j+1]==0, d[i][j+1] = 1;
                    if(d[i][j+1]==-1) cntans+=d[i+1][j]==0, d[i+1][j] = 1;
                }
            }
        }
    }
    for(int i = n; i > 0; --i){
        for(int j = m; j > 0; --j){
            if(d[i][j]==1){
                if((d[i-1][j]==-1)+(d[i][j-1]==-1)==1){
                    if(d[i-1][j]==-1)  cntans+=d[i][j-1]==0, d[i][j-1] = 1;
                    if(d[i][j-1]==-1)  cntans+=d[i-1][j]==0, d[i-1][j] = 1;
                }
            }
        }
    }
}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cin >> n >> m;
    h = n;
    w = m;
    for(int i = 0; i <= n; ++i)
        d[i][m+1] = -1;
    for(int j = 0; j <= m; ++j)
        d[n+1][j] = -1;
    d[1][1] = d[n][m] = 1;
    while(true){
        ans.clear();
        int i = 1, j = 1;
        while(i!=n||j!=m){
            if(d[i+1][j]==1){
                next = 0;
            }
            else{
                if(d[i][j+1]==1)
                    next = 1;
                else{
                    if(i+1>h)
                        next = 1;
                    else{
                        if(j+1>w)
                            next = 0;
                            else
                                next = rd()%2;
                    }
                }
            }
            if(next==0){
                ans+='D';
                ++i;
            }
            if(next==1){
                ans+='R';
                ++j;
            }
            if(!d[i][j]) d[i][j] = -1;
        }
        if(cntans<n+m-2) cout << "? ";
        else cout << "! ";
        cout << ans << endl;
        if(cntans>=n+m-2) return 0;
        cin >> t;
        for(int it = 0; it < t; ++it){
            cin >> a >> b;
            if(d[a][b]!=1) ++cntans;
            d[a][b] = 1;
        }
        reload();
        kun();
       // print();
    }



    return 0;
    }
