#include <bits/stdc++.h>

using namespace std;

const int M = 510;

int dist[M][M], n, k, a[M][M], h[M], et[M], pos;
vector<int> v[M];

void dfs(int p, int pr, int d)
{
    int lp = pos;
    et[pos++] = p;
    h[p] = d;
    for (int i : v[p])
        if (i != pr)
        {
            int rp = pos;
            dfs(i, p, d + 1);
            for (int x = lp; x < rp; x++)
                for (int y = rp; y < pos; y++)
                {
                    dist[et[x]][et[y]] += h[et[x]] + h[et[y]] - 2 * d;
                    dist[et[y]][et[x]] += h[et[x]] + h[et[y]] - 2 * d;
                }
        }
}

int main()
{
    ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    cin >> n >> k;
    for (int id = 0; id < k; id++)
    {
        for (int i = 0; i < n; i++)
            v[i].clear();
        for (int i = 0; i < n - 1; i++)
        {
            int s, f;
            cin >> s >> f;
            s--, f--;
            v[s].push_back(f);
            v[f].push_back(s);
        }
        pos = 0;
        dfs(0, -1, 0);
    }
    for (int i = 0; i < n; i++)
        for (int j = i; j < n; j++)
            for (int x = 0; x < n; x++)
                if (dist[i][j] == dist[i][x] + dist[x][j])
                    a[i][j]++;
    for (int i = 0; i < n; i++)
        for (int j = i + 1; j < n; j++)
            a[j][i] = a[i][j];
    for (int i = 0; i < n; i++)
    {
        for (int j = 0; j < n; j++)
            cout << a[i][j] << " ";
        cout << "\n";
    }
    return 0;
}