#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

struct Point {
    double x, y;
    Point (){};
    Point (double X, double Y)
    {
        x = X;
        y = Y;
    };

};

struct Vector {
    double x, y;
    Vector(Point A, Point B) {
        x = B.x - A.x; y =  B.y - A.y;

    }
};

double vec(Vector a, Vector b) {
    return a.x * b.y - a.y * b.x;
}
double scal(Vector a, Vector b) {
    return a.x * b.x + a.y * b.y;
}

bool check (Point v, Point a1, Point a2) {
    Vector A(Point(0, 0), v);
    Vector B(Point(0, 0), a1);
    Vector C(Point(0, 0), a2);
    double  a = vec(A, B), b = vec(A, C);
    return  a*b  <= 0 && scal (A, B) >= 0 && scal (A, C) >= 0;
}


void solve() {
    Point a1, a2, b1, b2, v;
    int n;
    cin >> n;
    for (int i = 0; i < n; ++ i) {
        cin >> a1.x >> a1.y >> a2.x >> a2.y >> b1.x >> b1.y >> b2.x >> b2.y >> v.x >> v.y;
        cout << (check(v, a1, a2) && check(v, b1, b2) ? "Yes" : "No") << '\n';
    }

}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    solve();
}