#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <numeric>
#include <set>
#include <bitset>
#include <ctime>
#include <bits/stdc++.h>

#define forn(i, n) for(int i = 0; i < n; ++i)
#define pb push_back
#define mp make_pair
#pragma warning (disable : 4996)

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;

#pragma GCC optimize("Ofast,unroll-loops,no-stack-protector,fast-math")

const int N = 511;

bitset<N> ans[N][N];
bitset<N> us[N];
bitset<N> mask[N];
vector<int>g[N];
int st[N], sh = 0;
char used[N];

void operator delete(void*) {}

void dfs(int v) {
	memset(used, 0, N * sizeof used[0]);
	sh = 0;
	st[sh++] = v;
	used[v] = 1;
	while (sh) {
		int a = st[--sh];
		for (int i : g[a])if (!used[i]) {
			st[sh++] = i;
			us[i] = us[a];
			us[i][i] = 1;
			used[i] = 1;
		}
	}
}

inline int input() {
	int x = 0;
	char c = ' ';
	while (!isdigit(c))
		c = _getchar_nolock();
	while (isdigit(c)) {
		x = x * 10 + (c - '0');
		c = _getchar_nolock();
	}
	return x;
}

inline void print(int x) {
	string s = to_string(x);
	for (char c : s)
		_putchar_nolock(c);
	return;
}

signed main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(0); cin.tie(NULL);

	int n = input();
	int k = input();
	//int n = 500, k = 500;
	forn(i, N) {
		mask[i].reset();
		mask[i][i] = 1;
	}
	forn(i, N)forn(j, N)ans[i][j].set();
	forn(ii, k) {
		forn(i, N)g[i].clear();
		forn(i, n - 1) {
			int a = input();
			int b = input();
			//int a = i + 2, b = rand() % (i + 1) + 1;
			--a;
			--b;
			g[a].push_back(b);
			g[b].push_back(a);
		}
		forn(i, n) {
			us[i] = mask[i];
			dfs(i);
			forn(j, i) {
				ans[i][j] &= us[j];
			}
		}
	}
	//cout << clock() << endl;

	forn(i, n) {
		forn(j, n) {
			int c;
			if (i == j)c = 1;
			else if (i < j)c = ans[j][i].count();
			else c = ans[i][j].count();
			print(c);
			_putchar_nolock(' ');
		}
		_putchar_nolock('\n');
	}

	return 0;
}