#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <set>
#include <map>
#include <vector>
#include <cmath>
#include <iomanip>
#include <string>
#include <algorithm>

using namespace std;

inline void input() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cin.tie(NULL);
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif _DEBUG
}

typedef long long ll;
typedef long double dbl;
const int INF = (int)1e9;
const dbl EPS = 1e-9;


int main() {
	input();
	int a, b;
	cout << "Stable\n";
	cin >> a >> b;
	vector < pair<bool, ll> > ans;
	while (a > 10) {
		a = a + 9 * pow(10, log10(a) - 1) + 9 * pow(10, log10(a) - 2) * (a % (int)pow(10, log10(a)) - 2);
		ans.push_back({ 1, pow(10, log10(a) - 1) + pow(10, log10(a) - 2) * (a % (int)pow(10, log10(a)) - 2) });
		ans.push_back({ 0, 2 });
		a = a % (int)pow(10, log10(a));
	}
	if (a == 10) {
		ans.push_back({ 0, 1 });
		a = 0;
	}
	while (a) {
		ans.push_back({ 1, 1 });
		ans.push_back({ 0, 1 });
		a--;
	}
	if (a % 9 == b % 9) {
		ans.push_back({ 1, b / 9 - a / 9 });
	}
	else if (a == 0) {
		int c = b % 9;
		if (c == 1) {
			ans.push_back({ 1, 123456789 });
			ans.push_back({ 0, 8 });
		}
		if (c == 2) {
			ans.push_back({ 1, 1234568 });
			ans.push_back({ 0, 7 });
		}
		if (c == 3) {
			ans.push_back({ 1, 123457 });
			ans.push_back({ 0, 6 });
		}
		if (c == 4) {
			ans.push_back({ 1, 12346 });
			ans.push_back({ 0, 5 });
		}
		if (c == 5) {
			ans.push_back({ 1, 1235 });
			ans.push_back({ 0, 4 });
		}
		if (c == 6) {
			ans.push_back({ 1, 124 });
			ans.push_back({ 0, 3 });
		}
		if (c == 7) {
			ans.push_back({ 1, 13 });
			ans.push_back({ 0, 2 });
		}
		if (c == 8) {
			ans.push_back({ 1, 2 });
			ans.push_back({ 0, 1 });
		}
		ans.push_back({ 1, b / 9 });
	}
	cout << ans.size() << endl;
	for (int i = 0; i < ans.size(); i++) {
		if (ans[i].first)
			cout << "+ " << ans[i].second << endl;
		else
			cout << "- " << ans[i].second << endl;
	}
	return 0;
}
