#include <bits/stdc++.h>
#define int long long

using namespace std;

bool can_rem(int n) {
    while (n >= 10) {
        n /= 10;
    }
    if (n == 1) {
        return true;
    }
    return false;
}

int get_next_pow(int n) {
    int pow = 1;
    while (n > pow) {
        pow *= 10;
    }
    return pow;
}

int get_rem(int n) {
    int pow = 1;
    while (pow * 10 <= n) {
        pow *= 10;
    }
    n -= pow;
    return n;
}

int to_next_up(int n) {
    if (can_rem(n)) {
        return 0;
    }
    int next = get_next_pow(n);
    int val = next - n;
    return (val + 8) / 9;
}

int32_t main() {
    int a, b;
    cin >> a >> b;
    vector<string> answer;
    while (a >= 10) {
        if (can_rem(a)) {
            answer.emplace_back("- 1");
            a = get_rem(a);
            continue;
        }
        int move = to_next_up(a);
        answer.emplace_back("+ " + to_string(move));
        a += 9 * move;
    }
    while (a > b || (a % 9) != (b % 9)) {
        if (can_rem(a)) {
            answer.emplace_back("- 1");
            a = get_rem(a);
            continue;
        }
        a += 9;
        answer.emplace_back("+ 1");
    }
    int move = (b - a) / 9;
    if (move != 0) {
        answer.emplace_back("+ " + to_string(move));
    }
    cout << "Stable\n";
    cout << answer.size() << '\n';
    for (string s : answer) {
        cout << s << '\n';
    }
}