#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

const ll inf = (ll)2e6;

ll product(ll x1, ll y1, ll x2, ll y2, ll x3, ll y3){
    ll s = (x2 - x1) * (y3 - y2) - (x3 - x2) * (y2 - y1);
    if(s > 0) return +1;
    else if(s == 0) return 0;
    else return -1;
}

ll ab(ll x){
    return max(x,-x);
}

bool check(ll x1, ll y1, ll x2, ll y2, ll x3, ll y3){ // does 3. lie between 1 and 2
    if(ab(x2-x1)+ab(y2-y1) == ab(x3-x1)+ab(x3-x2)+ab(y3-y1)+ab(y3-y2))
        return true;
    return false;
}

bool inter(ll x1, ll y1, ll x2, ll y2, ll dx1, ll dy1, ll dx2, ll dy2){ // x1, y1, x2, y2 is infinite
    ll p1 = product(x1, y1, x2, y2, dx1, dy1);
    ll p2 = product(x1, y1, x2, y2, dx2, dy2);
    bool o1 = false;
    if(p1 == 0 && p2 == 0){
        o1 = true;
        o1 &= check(x1,y1,x2,y2,dx1,dy1);
        o1 &= check(x1,y1,x2,y2,dx2,dy2);
    }
    else if(p1 != p2){
        o1= true;
    }
    bool o2 = false;
    p1 = product(dx1, dy1, dx2, dy2, x1, y1);
    p2 = product(dx1, dy1, dx2, dy2, x2, y2);
    if(p1 == 0 || p2 == 0 || p1 != p2) o2=true;
    return (o1 && o2);
}

bool solve(){
    ll p[2][2][2];
    for(int i = 0 ; i < 2; i ++ ){
        for(int j = 0 ; j < 2; j ++ ){
            for(int k = 0 ; k < 2; k ++ ){
                cin >> p[i][j][k];
            }
        }
    }
    ll xv, yv;
    cin >> xv >> yv;
    for(int i = 0 ; i < 2; i ++ ){
        for(int j = 0 ; j < 2; j ++ ){
            for(int k = 0 ; k < 2; k ++ ){
                if(k==i) continue;
                if(inter(p[i][j][0], p[i][j][1], p[i][j][0] + inf * xv, p[i][j][1] + inf * yv, p[k][0][0], p[k][0][1], p[k][1][0], p[k][1][1]))
                    return true;
            }
        }
        xv=-xv;
        yv=-yv;
    }
    return false;
}

int main(){
    int q;
    cin >> q;
    for(int t =0 ; t < q; t ++ ){
        if(solve())
            cout << "Yes\n";
        else
            cout << "No\n";
    }
    return 0;
}
