#include <bits/stdc++.h>

using namespace std;

#define int long long
typedef long long ll;

const char el = '\n';
struct pt {
    int x, y;
    pt(int _x, int _y) { x = _x, y = _y; }
    pt() {}
};
pt operator +(const pt &a, const pt &b) {
    return pt(a.x + b.x, a.y + b.y);
}
pt operator -(const pt &a, const pt &b) {
    return pt(a.x - b.x, a.y - b.y);
}
int operator %(const pt &a, const pt &b) {
    return a.x * b.y - a.y * b.x;
}
int sign(int a) {
    if (a > 0) return 1;
    if (a < 0) return -1;
    return 0;
}
bool check(pt v, pt a, pt c, pt d) {
    //cout << sign(v % (c - a)) << ' ' << sign(v % (d - a)) << ' ' << sign((c - a) % (d - a)) << el;
    return sign((c - a) % v) * sign(v % (d - a)) > 0 && sign((c - a) % v) == sign((c - a) % (d - a));
}
bool sonapr(pt a, pt b) {
    return (a % b == 0) && sign(a.x) == sign(b.x) && sign(a.y) == sign(b.y);
}
vector<pair<char, long long> > ff;
signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long a = 1000000000LL, b;
    cin >> a >> b;
    long long x = a % 9, y = b % 9;
    long long kek = 10;
    long long a1 = y;
    long long cnt = 0;
    while (a1 < a || a1 % 9 != x)
    {
        a1 += kek;
        kek *= 10;
        cnt++;
    }
    if (a1 != a)
    {
        ff.push_back({'+', (a1 - a) / 9});
    }
    if (cnt != 0)
    {
        ff.push_back({'-', cnt});
    }
    if (y != b)
    {
        ff.push_back({'+', (b - y) / 9});
    }
    cout << "Stable\n";
    cout << ff.size() << el;
    for (int i = 0; i < ff.size(); i++)
    {
        cout << ff[i].first << " " << ff[i].second << "\n";
    }
    return 0;
}
