#include <iostream>
#include <vector>
#include <string>
#include <cmath>
#include <iomanip>
#include <set>
#include <algorithm>
#include  <map>
#include  <numeric>
#include <random>

#pragma warning(disable : 4996)
using namespace std;

#define all(a) (a).begin(), (a).end()
#define nl '\n'

typedef long long ll;

const ll LINF = numeric_limits<ll>::max();
const int INF = numeric_limits<int>::max();

inline void IO() {
#ifdef _DIVAN
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
}

void print(int a, int len) {
	string s = to_string(a);
	for (int i = 0; i < len - s.size(); i++) {
		cout << '0';
	}
	cout << a;
}

inline void solve() {
	int n;
	cin >> n;
	for (int i = 0; i < n; i++) {
		string s;
		cin >> s;
		bool f = 0;
		for (auto t : s) {
			if (t == '/') {
				f = 1;
				break;
			}
		}
		vector<int> ars;
		int q = 0;
		for (auto t : s) {
			if (t >= '0' && t <= '9') {
				q = q * 10 + (t - '0');
			}
			else {
				ars.push_back(q);
				q = 0;
			}
		}
		if (q) {
			ars.push_back(q);
		}
		if (f) {
			swap(ars[0], ars[1]);
		}
		print(ars[0], 2);
		cout << '.';
		print(ars[1], 2);
		cout << '.';
		print(ars[2], 4);
		cout << ' ';
		print(ars[1], 2);
		cout << '/';
		print(ars[0], 2);
		cout << '/';
		print(ars[2], 4);
		cout << nl;
	}
}

int main() {
	IO();
	solve();
	return 0;
}