#define _CRT_SECURE_NO_WARNINGS
#include<algorithm>
#include<iostream>
#include<string>
#include<cmath>
#include<set>
#include<map>
#include<vector>
using namespace std;
#define int long long
#define elif else if
const long double eps = 1e-10;
struct point
{
	long double x, y;
	point(long double x = 0, long double y = 0) : x(x), y(y) {}
};
typedef long long ll;
ll fl;
point inter(point a, point v1, point b, point v2) {
	fl = 0;
	bool kek = 0;
	if (v1.x == 0) {
		kek = 1;
		swap(v1.x, v1.y);
		swap(v2.x, v2.y); swap(a.x, a.y); swap(b.x, b.y);
	}
	long double t2 = v2.y - v2.x * v1.y / v1.x;
	if (fabs(t2) <= eps) {
		fl = 3;
		return point(0, 0);
	}
	t2 = (a.y + b.x * v1.y / v1.x - v1.y * a.x / v1.x - b.y) / t2;
	long double t1 = (b.x + v2.x * t2 - a.x);
	t1 /= v1.x;
	if (t1 < -eps) {
		fl = 1;
		if (!kek)
			return point(b.x + t2 * v2.x, b.y + t2 * v2.y);
		else
			return point(b.y + t2 * v2.y,b.x + t2 * v2.x );

	}
	if (!kek)
		return point(b.x + t2 * v2.x, b.y + t2 * v2.y);
	else
		return point(b.y + t2 * v2.y, b.x + t2 * v2.x);
}
signed main() {
	ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
	ll test;
	cin >> test;
	while (test--) {
		point a, b, c, d, v;
		cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;
		if (a.x > b.x)
			swap(a, b);
		if (c.x > d.x)
			swap(c,d);
		point x1 = inter(a, v, c, point{ d.x - c.x, d.y - c.y });
		bool up1 = 0, up2 = 0;
		if (fl == 3) {

			x1 = inter(a, point(b.x - a.x, b.y - a.y), c, point{ d.x - c.x, d.y - c.y });
			if (fl == 3) {
				if ((c.x >= a.x) == (v.x >= 0) && (c.y >= a.y) == (v.y >= 0))
					cout << "Yes\n";
				else
					cout << "No\n";
				continue;
			}
			if ((c.x >= a.x) == (v.x >= 0) && (c.y >= a.y) == (v.y >= 0)) {
				cout << "Yes\n";
			}
			else
				cout << "No\n";
			continue;
		}
		up1 = !fl;
		point x2 = inter(b, v, c, point{ d.x - c.x, d.y - c.y });
		up2 = !fl;
		if (x1.x > x2.x) {
			swap(x1, x2);
			swap(up1, up2);
		}
		if (up1 && up2) {
			if (c.x - x1.x >= -eps && c.x - x2.x <= eps) {
				cout << "Yes\n";
			}
			else if (d.x - x1.x >= -eps && d.x - x2.x <= eps) {
				cout << "Yes\n";
			}
			else if (c.x - x1.x <= eps && d.x - x2.x >= -eps){
				cout << "Yes\n";
			}
			else
				cout << "No\n";
		}
		else if (up1 | up2) {
			if ((b.x - a.x) * (c.y - a.y) - (b.y - a.y) * (c.x - a.x) >= -eps) {
				if (c.x - x1.x >= -eps && c.x - x2.x <= eps) {
					cout << "Yes\n";
				}
				else if (d.x - x1.x >= -eps && d.x - x2.x <= eps) {
					cout << "Yes\n";
				}
				else if (c.x - x1.x <= eps && d.x - x2.x >= -eps) {
					cout << "Yes\n";
				}
				else
					cout << "No\n";
			}
			else
				cout << "No\n";
		}
		else {
			cout << "No\n";
		}
	}
	return 0;
}
