#include <iostream>
#include <set>
#include <map>
#include <string>
#include <vector>
#include <queue>
#include <iomanip>
using namespace std;
#define int long long
struct point {
	int x, y;
	point operator +(point& z) {
		return { x + z.x, y + z.y };
	}
	point operator -(point& z) {
		return { x - z.x, y - z.y };
	}
	int operator *(point& z) {
		return  x * z.x + y * z.y;
	}
	int operator ^(point& z) {
		return  x * z.y - y * z.x;
	}
};
istream& operator>>(istream& a, point& b) {
	cin >> b.x >> b.y;
	return a;
}

int stor(point a, point b, point c) {
	b = b - a;
	c = c - a;
	return b ^ c;

}

bool check(point a, point b, point c) {
	point b1 = b - a;
	point c1 = c - a;
	point a2 = a - b;
	point c2 = c - b;
	return  (a2 * c2) >= 0 && (b1 * c1 >= 0);
}

bool vyp(point a, point b, point c, point d) {
	vector<point> o = { a,c,b,d,a,c,b,d };
	int z = 0;
	for (int i = 1; i < o.size() - 1; i++) {
		int zn = stor(o[i - 1], o[i], o[i + 1]);
		if (i == 1)
			z = zn;
		if (zn * z < 0) return false;
	}
	return true;
}

bool intersect(point a, point b, point c, point d) {
	point c1 = c - a;
	point c2 = b - a;
	point c3 = b - a;
	point c4 = d - a;
	if (!(c1 ^ c2) && !(c3 ^ c4))
		return check(a, b, c) || check(c, d, a) ||
		check(a, b, d) || check(c, d, b);

	return vyp(a, b, c, d);
	//else return 0;

}

int32_t main() {
	int n;
	cin >> n;
	while (n--) {
		point a1, a2, b1, b2, v;
		cin >> a1 >> a2 >> b1 >> b2 >> v;
		a1 = a1 + v;
		a2 = a2 + v;

		if (intersect(a1, a2, b1, b2))
			cout << "Yes\n";
		else cout << "No\n";
	}
}

vector<int> st;
int cif(int n, int i) {
	return (n / st[i]) % 10;
}

int32_t main3() {
	int a, b;
	cin >> a >> b;
	st.assign(15, 1);
	for (int i = 1; i < 15; ++i)
		st[i] = st[i - 1] * 10;
	vector<int> r;
	for (int i = 0; i < 10; ++i) {
		int c1 = cif(a, i);
		int c2 = cif(b, i);
		int res = c2 - c1;
		if (res < 0)
			res += 10;
		r.push_back((10 - res) * st[i]);
		//a += (10 - res) * st[i]
	}
	return 123;

}