#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
#define f first
#define s second
#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()
#define size(a) (ll)a.size()

bool intersect(ld x1, ld y1, ld x2, ld y2, ld x3, ld y3, ld x4, ld y4) {
    ld k1 = (x3 - x1) * (y2 - y3) - (y3 - y1) * (x2 - x3);
    ld k2 = (x4 - x1) * (y2 - y4) - (y4 - y1) * (x2 - x4);
    bool kk1 = (k1 >= 0 && k2 <= 0) || (k1 <= 0 && (k2 >= 0));
    k1 = (x1 - x3) * (y4 - y1) - (y1 - y3) * (x4 - x1);
    k2 = (x2 - x3) * (y4 - y2) - (y2 - y3) * (x4 - x2);
    bool kk2 = (k1 >= 0 && k2 <= 0) || (k1 <= 0 && (k2 >= 0));
    kk1 = (kk1 && kk2);
    return kk1;
}

bool is(ld k1, ld k2) {
    return (((k1 >= 0) && k2 <= 0) || (k1 <= 0 && k2 >= 0));
}

int main() {
    ios::sync_with_stdio(false);
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    int t;
    cin >> t;
    while(t--) {
        ld ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, x, y;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> x >> y;
        ld cx1 = ax1 + 3000000.0 * x, cx2 = ax2 + 3000000.0 * x;
        ld cy1 = ay1 + 3000000.0 * y, cy2 = ay2 + 3000000.0 * y;
        ld k1 = (bx1 - cx1) * (ay1 - by1) - (by1 - cy1) * (ax1 - bx1);
        ld k2 = (bx1 - cx2) * (ay2 - by1) - (by1 - cy2) * (ax2 - bx1);
        ld k3 = (bx1 - cx1) * (cy2 - by1) - (by1 - cy1) * (cx2 - bx1);
        ld k4 = (bx1 - ax1) * (ay2 - by1) - (by1 - ay1) * (ax2 - bx1);
        if(is(k1, k2) && is(k3, k4)) {
            cout << "Yes\n";
            continue;
        }
        k1 = (bx2 - cx1) * (ay1 - by2) - (by2 - cy1) * (ax1 - bx2);
        k2 = (bx2 - cx2) * (ay2 - by2) - (by2 - cy2) * (ax2 - bx2);
        k3 = (bx2 - cx1) * (cy2 - by2) - (by2 - cy1) * (cx2 - bx2);
        k4 = (bx2 - ax1) * (ay2 - by2) - (by2 - ay1) * (ax2 - bx2);
        if(is(k1, k2) && is(k3, k4)) {
            cout << "Yes\n";
            continue;
        }
        if(intersect(ax1, ay1, cx1, cy1, bx1, by1, bx2, by2)) {
            cout << "Yes\n";
            continue;
        }
        if(intersect(ax2, ay2, cx2, cy2, bx1, by1, bx2, by2)) {
            cout << "Yes\n";
            continue;
        }
        if(intersect(cx1, cy1, cx2, cy2, bx1, by1, bx2, by2)) {
            cout << "Yes\n";
            continue;
        }
        if(intersect(ax1, ay1, ax2, ay2, bx1, by1, bx2, by2)) {
            cout << "Yes\n";
            continue;
        }
        cout << "No\n";
    }
}