#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
#define f first
#define s second
#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()
#define size(a) (ll)a.size()

int main() {
    ios::sync_with_stdio(false);
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    string s1, s2;
    cin >> s1 >> s2;
    int n = size(s1), m = size(s2);
    vector<int> a(n), b(m);
    for(int i = 0; i < n; i++) {
        a[i] = s1[i] - '0';
    }
    for(int i = 0; i < m; i++) {
        b[i] = s2[i] - '0';
    }
    reverse(all(a));
    reverse(all(b));
    while(!a.empty() && a.back() == 0) {
        a.pop_back();
    }
    while(! b.empty() && b.back() == 0) {
        b.pop_back();
    }
    vector<int> st(10);
    st[0] = 1;
    for(int i = 1; i < 10; i++) {
        st[i] = st[i - 1] * 10;
    }
    vector<pair<int, int>> ans;
    while(!a.empty()) {
        while(a.back() != 1) {
            a[size(a) - 1] += 9;
            ans.emplace_back(1, st[size(a) - 1]);
            if(a[size(a) - 1] >= 10) {
                ans.emplace_back(2, 1);
                a[size(a) - 1] %= 10;
            }
        }
        ans.emplace_back(2, 1);
        a.pop_back();
        while(a.back() == 0) {
            a.pop_back();
        }
    }
    for(int i = 0; i < m; i++) {
        a.push_back(0);
        while(a[i] != b[i]) {
            a[i] += 9;
            ans.emplace_back(1, st[i]);
            if(a[i] >= 10) {
                a[i] %= 10;
                ans.emplace_back(2, 1);
            }
        }
    }
    cout << "Stable\n" << size(ans) << "\n";
    for(auto i : ans) {
        if(i.f == 1) {
            cout << "+ ";
        }else {
            cout << "- ";
        }
        cout << i.s << "\n";
    }
}