#include <bits/stdc++.h>
#define pb push_back
#define pii pair<int, int>
#define pll pair<ll, ll>
#define pid pair<ld, int>
#define F first
#define S second
#define vec vector
#define fast kek
using namespace std;
typedef string str;
typedef long long ll;
typedef long double ld;

void normalize(pid &p){
    for(; p.F>=10; ) p.F/=10, p.S++;
    for(; p.F<0.1;) p.F*=10, p.S--;
}

pid multy(pid p1, pid p2){
    normalize(p1);
    normalize(p2);
    pid ans = {p1.F*p2.F, p1.S+p2.S};
    normalize(ans);
    return ans;
}

pid binpow(pid p, ll k){
    normalize(p);
    if(k==1) return p;
    if(k%2==0) return binpow(multy(p,p), k/2);
    return multy(binpow(multy(p,p), k/2), p);
}

pid sum(pid p1, pid p2){
    normalize(p1);
    normalize(p2);
    if(p1.S < p2.S) swap(p1, p2);
    if(p1.S - p2.S > 30) return p1;
    for(; p2.S<p1.S;) p2.F/=10, p2.S++;
    p1.F += p2.F;
    normalize(p1);
    return p1;
}

ll solve(ll A, ll B, ll C, ll N){
    pid pA = {A, 0}, pB = {B, 0}, pC = {C, 0}, pS;
    normalize(pA), normalize(pB), normalize(pC);
    pA = binpow(pA, N);
    pB = binpow(pB, N);
    pC = binpow(pC, N);
    pS = sum(pA, pB);
    normalize(pS);
    normalize(pC);
    return pS.S!=pC.S ? pS.S > pC.S : pS.F > pC.F;
}

ll check(ld A, ld B, ld C, ll N){
    A = pow(A, N);
    B = pow(B, N);
    C = pow(C, N);
    cout<<A<<" "<<B<<" "<<C<<endl;
    return A+B > C;
}

vec<int> nxt(vec<int> m){
    int mx = 0;
    for(int i : m) mx = max(mx, i);
    if(m[0]==m[1] && m[1]==m[2] && m[2]==m[3]) return {1,1,1,mx+1};
    if(m[3]!=mx) return{m[0], m[1], m[2], m[3]+1};
    for(int q=2; q>=0; q--){
        if(m[q]==mx) m[q] = 1;
        else{
            m[q]++;
            for(int q=0; q<3; q++) if(m[q]==mx) m.back()=3;
            break;
        }
    }
    return m;
}

int steps;
vec<int> super_jump(vec<int> m, int mx){
    if(m.back()==3){
        steps = mx-3;
        return {m[0], m[1], m[2], mx};
    }
    assert(m.back()==mx);
    for(int q=2; q>=0; q--){
        if(m[q]==mx) m[q] = 1;
        else{
            m[q]++;
            for(int q=0; q<3; q++) if(m[q]==mx) m.back()=3;
            break;
        }
    }
}

int main() {
    ll l,r; cin>>l>>r;
    ll mx = 3, num = 1, tyt;
    for(; mx<10000; mx++){
        tyt = (mx-1)*(mx-1)*(mx-1) + (mx-2)*(3*(mx-1)*(mx-1) + 3*(mx-1) + 1);
        if(num+tyt >= l) break;
        num += tyt;
    }
    vec<int> now = {1,1,1,mx};
    ll last = mx*mx*(mx-2), before = (tyt-last)/(mx-1);
    ll fir = 1;
    for(; num+before<l; ) num+=before, fir++;
    if(fir==mx) now = {fir, 1, 1, 3};
    else now = {fir, 1, 1, mx};
    for(; num<l; num++) now = nxt(now);

    //cout<<"FIR: "<<now[0]<<" "<<now[1]<<" "<<now[2]<<" "<<now[3]<<endl;
    for(; l<=r; l++){
        ll ans = solve(now[0], now[1], now[2], now[3]);
        ll A = now[0], B = now[1], C = now[2], N = now[3];
        cout<<A<<"^"<<N<<"+"<<B<<"^"<<N<<(ans==1 ? ">" : "<")<<C<<"^"<<N<<"\n";
        now = nxt(now);
    }
    /*for(int q=0; q<100; q++){
        ll a,b,c,n; cin>>a>>b>>c>>n;
        ll ck = check(a,b,c,n);
        ll moy = solve(a,b,c,n);
        cout<<"ANS: "<<ck<<endl;
        cout<<"MOY: "<<moy<<endl;
    }*/
}