#include <bits/stdc++.h>

using namespace std;

struct Point
{
    long long x, y;
    Point(long long x, long long y): x(x), y(y) {};
    Point(): x(0), y(0) {};
};

long long vecMult(Point a1, Point a2, Point b1, Point b2)
{
    a2.x -= a1.x;
    a2.y -= a1.y;
    b2.x -= b1.x;
    b2.y -= b1.y;
    return {a2.x * b2.y - a2.y * b2.x};
}

bool f(Point a1, Point a2, Point b1, Point b2, Point v)
{
    Point a = Point(a2.x - a1.x, a2.y - a1.y);
    Point b = Point(b2.x - b1.x, b2.y - b1.y);

    if (vecMult(Point(0, 0), a, Point(0, 0), b) < 0)
    {
        swap(a.x, b.x);
        swap(a.y, b.y);
    }

    if (vecMult(Point(0, 0), a, Point(0, 0), v) < 0)
    {
        return false;
    }
    if (vecMult(Point(0, 0), v, Point(0, 0), b) < 0)
    {
        return false;
    }
    return true;
}

int main()
{
    int n;
    cin >> n;
    while (n--)
    {
        Point a1, a2, b1, b2, v;
        cin >> a1.x >> a1.y >> a2.x >> a2.y >> b1.x >> b1.y >> b2.x >> b2.y >> v.x >> v.y;
        if (f(a2, b1, a2, b2, v) || f(a1, b1, a1, b2, v))
        {
            cout << "Yes\n";
        }
        else
        {
            cout << "No\n";
        }
    }
}
