#include <bits/stdc++.h>

//#define _FORTIFY_SOURCE 0
//#pragma GCC optimize("0fast")
//#pragma GCC optimize("no-stack-protector")
//#pragme GCC optimize ("unroll-loops")
//#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm, mmx,tune=native")

#define ull unsigned long long
#define ll long long
#define pll pair<ll, ll>
#define mp make_pair
#define ld long double
//#define pb push_back
#define all(x) x.begin(), x.end()
#define deb(x) cout << #x << " = "<< x << endl;

const ll mod1 = 1e9+7;
const ll mod2 = 948735481;
const ll P1 = 678463;
const ll P2 = 239;
const ll inf = (ll)1e18;
const long double MATH_E = 2.718281828459;
const long double eps = 1e-15;
const long double MATH_PI = atan2l(0, -1);

using namespace std;


template<class T>
istream& operator>>(istream &in, vector<T> &arr) {
    for (auto &cnt : arr) {
        in >> cnt;
    }
    return in;
};


struct tup {
    ll a, b, c, n;
};


tup get_x(ll x) {
    tup ans = {1, 1, 1, 3};
    while (ans.n * ans.n * ans.n < x) {
        x -= ans.n * ans.n * ans.n;
        ans.n++;
    }
    while (ans.n * ans.n < x) {
        x -= ans.n * ans.n;
        ans.a++;
    }
    while (ans.n < x) {
        x -= ans.n;
        ans.b++;
    }
    ans.c = x;
    return ans;
}


bool operator==(tup a, tup b) {
    return a.a == b.a and a.b == b.b and a.c == b.c and a.n == b.n;
}


void solve() {
    ll l, r;
    cin >> l >> r;
    auto la = get_x(l), ra = get_x(r);
    while (!(la == ra)) {
        cout << la.a << "^" << la.n << "+" << la.b << "^" << la.n;
        if (la.c > max(la.a, la.b)) {
            cout << "<";
        } else {
            cout << ">";
        }
        cout << la.c << "^" << la.n << "\n";
        la.c++;
        if (la.c > la.n) {
            la.c = 1;
            la.b++;
        }
        if (la.b > la.n) {
            la.b = 1;
            la.a++;
        }
        if (la.a > la.n) {
            la.a = 1;
            la.n++;
        }
    }
    cout << la.a << "^" << la.n << "+" << la.b << "^" << la.n;
    if (la.c > max(la.a, la.b)) {
        cout << "<";
    } else {
        cout << ">";
    }
    cout << la.c << "^" << la.n << "\n";
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    cout.precision(30);
    cout.setf(ios::fixed);
    solve();
    return 0;
}