#include <bits/stdc++.h>
using namespace std;

string mult(string &&s, int k) {
    string res = "";

    while (k--)
        res += s;
    return res;
}

struct Date {
    int day, month, year;

    Date(string s) {
        int x[3] = {};
        int type, i = 0;

        for (char t: s) {
            if (t == '.') {
                type = 0;
                i++;
            } else if (t == '/') {
                type = 1;
                i++;
            } else {
                x[i] = x[i] * 10 + (int)(t - '0');
            }
        }

        if (type == 0) {
            day = x[0];
            month = x[1];
            year = x[2];
        } else {
            day = x[1];
            month = x[0];
            year = x[2];
        }
    }

    string intToStr(int x) {
        string res = "";

        if (x == 0)
            return "0";

        while (x > 0) {
            res = (char)((x % 10) + '0') + res;
            x /= 10;
        }

        return res;
    }

    string getDay() {
        string d = intToStr(day);
        return mult("0", 2 - d.length()) + d;
    }

    string getMonth() {
        string m = intToStr(month);
        return mult("0", 2 - m.length()) + m;
    }

    string getYear() {
        string y = intToStr(year);
        return mult("0", 4 - y.length()) + y;
    }

    string first() {
        return getDay() + "." + getMonth() + "." + getYear();
    }

    string second() {
        return getMonth() + "/" + getDay() + "/" + getYear();
    }
};

int main() {
    #ifdef LOCAL
    freopen("input", "r", stdin);
    freopen("output", "w", stdout);
    #endif
    int n;
    cin >> n;
    string s;

    while (n--) {
        cin >> s;

        Date d(s);

        cout << d.first() << " " << d.second() << '\n';
    }

    return 0;
}