#include<bits/stdc++.h>
#define int long long
#define endl '\n'
#define forn(i, n) for (int (i) = 0; (i) < (n); ++(i))
#define all(a) (a).begin(), (a).end()
#define len(a) (int) (a).size()
using namespace std;
void solve();
signed main(){
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    solve();


    return 0;
}

struct Point {
    int x, y;
    Point(int _x=0, int _y=0) {
        x = _x;
        y = _y;
    }
    Point(Point A, Point B) {
        x = B.x - A.x;
        y = B.y - A.y;
    }
};

istream& operator>>(istream& in, Point& A) {
    return in >> A.x >> A.y;
}

ostream& operator<<(ostream& out, Point A) {
    return out << "{" << A.x << ";" << A.y << "}";
}

int operator^(Point A, Point B) {
    return A.x * B.y - A.y * B.x;
}

Point operator+(Point A, Point B) {
    return {A.x + B.x, A.y + B.y};
}

bool operator==(Point A, Point B) {
    return A.x == B.x && A.y == B.y;
}

bool operator<(Point A, Point B) {
    return A.x < B.x || (A.x == B.x && A.y < B.y);
}

bool check_if_inside(Point A, Point B, Point C) {
    if (A == C || B == C) return 1;
    if ((Point(A, C)^Point(B, C)) != 0) {
        return 0;
    }
    vector<Point> z = {A, B, C};
    sort(z.begin(), z.end());
    return z[1] == C;
}

bool check_if_inside(vector<Point> poly, Point A) {
    //cout << "CHECK " << endl;
    poly.push_back(poly[0]);
    for (int i = 1; i < poly.size(); i++) {
        if (check_if_inside(poly[i - 1], poly[i], A)) {
            //cout << "!!! " << endl;
            //cout << poly[i - 1] << " " << poly[i] << " || " << A << endl;
            return 1;
        }
    }
    int sum = 0;
    for (int i = 1; i < poly.size(); i++) {
        sum += Point(A, poly[i - 1])^Point(A, poly[i]);
    }
    //cout << "sum: " << sum << endl;
    return sum == 0;
}

int sign(int n) {
    if (n < 0) return -1;
    if (n > 0) return 1;
    return 0;
}

bool has_intersection(Point A, Point B, Point C, Point D) {
    return sign(Point(A, C)^Point(A, B))*sign(Point(A, D)^Point(A, B)) < 0 &&
            sign(Point(C, A)^Point(C, D))*sign(Point(C, B)^Point(C, D)) < 0;
}

bool check(Point A, Point B, Point C, Point D, Point V) {
    vector<Point> poly = {A, B, B + V, A + V};
    /*cout << "poly: ";
    for (auto el: poly) cout << el << " ";
    cout << endl;*/
    bool in = check_if_inside(poly, C) || check_if_inside(poly, D);
    //cout << "IN: " << in << endl;
    if (in) return 1;
    poly.push_back(poly[0]);
    for (int i = 1; i < poly.size(); i++) {
        if (has_intersection(poly[i - 1], poly[i], C, D)) return 1;
    }
    return 0;
}

void solve() {
    int n;
    cin >> n;
    while (n --> 0) {
        Point A, B, C, D, V;
        cin >> A >> B >> C >> D >> V;
        if (check(A, B, C, D, V)) {
            cout << "Yes\n";
         } else {
            cout << "No\n";
        }
    }
}