#include<iostream>
#include<cmath>

using namespace std;

double eps = 1e-6;

int main()
{
    int n; cin >> n;

    for(int i = 0; i < n; i++){
        double ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;

        double a1 = ay1 - ay2;
        double b1 = ax2 - ax1;
        double c1 = ax1 * ay2 - ax2 * ay1;

        double a2 = by1 - by2;
        double b2 = bx2 - bx1;
        double c2 = bx1 * by2 - bx2 * by1;

        //double vx0 = 0;

        double vy0 = 0;

        double a3 = vy * -1.0;
        double b3 = vx;
        double c3 = 0;

        double per1_x = (b1 * c3 - b3 * c1) / (a1 * b3 - a3 * b1);
        double per1_y = (c1 * a3 - c3 * a1) / (a1 * b3 - a3 * b1);
        if(per1_x > max(ax1, ax2) || per1_x < min(ax1, ax2) ||
           per1_y > max(ay1, ay2) || per1_y < min(ay1, ay2)){
            cout << "No" << endl;
            continue;
           }


        double per2_x = (b2 * c3 - b3 * c2) / (a2 * b3 - a3 * b2);
        double per2_y = (c2 * a3 - c3 * a2) / (a2 * b3 - a3 * b2);
        if(per2_x > max(bx1, bx2) || per2_x < min(bx1, bx2) ||
           per2_y > max(by1, by2) || per2_y < min(by1, by2)){
            cout << "No" << endl;
            continue;
           }
        //double a4 = per1_y - per2_y;
        //double b4 = per2_x - per1_x;
        //double c4 = (per1_x * per2_y - per2_x * per1_y);

        double vx_new = per2_x - per1_x;

        double vy_new;
        vy_new = per2_y - per1_y;

        /*
        if(vy > 0){
            vy_new = abs(per2_y - per1_y);
        }else{
            vy_new = per2_y - per1_y;
        }
        */

        double dl1 = sqrt(vx * vx + vy * vy);
        double dl2 = sqrt(vx_new * vx_new + vy_new * vy_new);

        double sinys = (vx * vy_new - vy * vx_new) / (dl1 * dl2);
        double cosinys = ((vx * vx_new) + (vy * vy_new) ) / (dl1 * dl2);

        //cout.precision(10);
        //cout << fixed;
        //cout << ceil(sinys) << " " << cosinys << endl;

        if(ceil(sinys) == 0 && cosinys > 0){
            cout << "Yes" << endl;
            continue;
        }else{
            cout << "No" << endl;
            continue;
        }
    }
}
