#include <bits/stdc++.h>

using namespace std;
template<class T1, class T2> inline bool chkmax(T1 &x, const T2 &y) {if (x > y) {x = y; return true;} return false;}
template<class T1, class T2> inline bool chkmin(T1 &x, const T2 &y) {if (x < y) {x = y; return true;} return false;}
#define all(c) (c).begin(), (c).end()
#define sz(c) (int)(c).size()
#define pb push_back
#define mp make_pair
#define y1 y12282
#define y2 y2227
using ll = long long;
using ld = long double;

vector<pair<int, int> > dir = {
    {0, 1},
    {0, 0},
    {1, 0},
    {1, 1}
};

vector<vector<pair<int, int> > > ans;

pair<int, int> get_coord(int x, int y, int pos) {
    return {x + dir[pos].first, y + dir[pos].second};
}

void put_to_ans(int x, int y, int pos) {
    cerr << "put_to_ans " << x << " " << y << endl;
    for (int it = 0; it < 3; ++it) {
        for (int i = 0; i < 3; ++i) {
            for (int j = i; j >= 0; --j) {
                int id = (pos - j + 4) % 4;
                ans.push_back({get_coord(x, y, j), get_coord(x, y, pos), {x, y}});
            }
        }
    }
}

string cell(pair<int, int> pp) {
    string res;
    res.push_back('a' + pp.first);
    res.push_back('1' + pp.second);
    return res;
}

void print_ans() {
    cout << ans.size() << endl;
    for (auto v : ans) {
        cout << cell(v[0]) << " > " << cell(v[1]) << " ? " << cell(v[2]) << "\n";
    }
}

int DEBUG = 10;

void apply_ans(vector<vector<int> > &a) {
    int id = 0;
    for (auto v : ans) {
        /*for (auto x : v) {
            cerr << x.first << " " << x.second << " ";
        }
        cerr << endl;*/
        vector<int> val;
        for (auto pp : dir) {
            val.push_back(a[v[2].first + pp.first][v[2].second + pp.second]);
        }
        vector<int> _val = val;
        if (a[v[0].first][v[0].second] > a[v[1].first][v[1].second]) {
            for (int i = 0; i < 4; ++i) {
                _val[i] = val[(i + 3) % 4];
            }
        }
        for (int i = 0; i < 4; ++i) {
            auto pp = dir[i];
            a[v[2].first + pp.first][v[2].second + pp.second] = _val[i];
        }
        id++;
        if (id == DEBUG) {
            cerr << "a after " << DEBUG << endl;
            for (auto A : a) {
                for (auto el : A) {
                    cerr << el << " ";
                }
                cerr << endl;
            }
        }
    }
}

void check2() {
    vector<vector<int> > a(2, vector<int> (2));
    vector<int> perm = {0, 1, 2, 3};
    while (true) {
        a[0][0] = perm[0];
        a[0][1] = perm[1];
        a[1][0] = perm[2];
        a[1][1] = perm[3];
        ans.clear();
        /*for (int i = 0; i < 2; ++i) {
            for (int j = 0; j < 2; ++j) {
                cerr << a[i][j] << " ";
            }
            cerr << endl;
        }*/
        put_to_ans(0, 0, 3);
        apply_ans(a);
        assert(a[1][1] == 3);
        if (!next_permutation(all(perm))) {
            break;
        }
    }
}

int n;

void lines_max(int cnt) {
    for (int i = 1; i < cnt; i += 2) {
        for (int j = n - 2; j >= 0; --j) {
            put_to_ans(i - 1, j, 2);
        }
    }
    if (cnt % 2) {
        for (int j = n - 2; j >= 0; --j) {
            put_to_ans(cnt - 2, j, 2);
        }
    }
    for (int i = 1; i < cnt; ++i) {
        put_to_ans(i, 0, 2);
    }
}

void put_max(int x, int y) {
    cerr << "put_max " << x << " " << y << " " << ans.size() << endl;
    if (y > 0) {
        lines_max(x);
        for (int i = 1; i <= y; ++i) {
            put_to_ans(x - 1, i, 3);
        }
    } else {
        lines_max(x);
        put_to_ans(x - 2, 0, 1);
        put_to_ans(x - 1, 0, 0);
        put_to_ans(x - 2, 1, 3);
        put_to_ans(x - 1, 0, 1);
        put_to_ans(x - 2, 0, 1);
        put_to_ans(x - 1, 1, 2);
        put_to_ans(x - 1, 0, 2);
        put_to_ans(x - 2, 0, 2);
        ans.push_back({{x, 0}, {x - 1, 0}, {x - 1, 0}});
    }
}

void check() {
    vector<int> perm(n * n);
    iota(all(perm), 0);
    //random_shuffle(all(perm));
    vector<vector<int> > a(n, vector<int> (n));
    int ptr = 0;
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            a[i][j] = perm[ptr++];
        }
    }
    cerr << "huy" << endl;
    apply_ans(a);
    cerr << "huhuh" << endl;
    vector<int> sorted;
    for (int i = 2; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            sorted.push_back(a[i][j]);
        }
    }
    int bad = 0;
    for (int i = 1; i < sorted.size(); ++i) {
        if (sorted[i] < sorted[i - 1]) {
            bad = 1;
            break;
        }
    }
    cerr << "fuck" << endl;
}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin >> n;
    for (int i = n - 1; i >= 2; --i) {
        for (int j = n - 1; j >= 0; --j) {
            put_max(i, j);
        }
    }
    cerr << "fekfj" << endl;
    print_ans();
    //check();
}


