#include <bits/stdc++.h>
using namespace std;
#define int int64_t

struct Vector
{
    int x, y;

    Vector(int a = 0, int b = 0) {
        x = a; y = b;
    }
};

int operator*(Vector a, Vector b) {
    int res = a.x * b.y - a.y * b.x;
    if (res > 0) {
        return 1;
    } else if (res < 0) {
        return -1;
    } else {
        return 0;
    }
}

istream &operator>>(istream &in, Vector &a) {
    in >> a.x >> a.y;
    return in;
}

Vector operator-(const Vector &a, const Vector &b) {
    Vector res;
    res.x = a.x - b.x;
    res.y = a.y - b.y;
    return res;
}

bool operator<(Vector a, Vector b) {
    if (a.x == b.x) {
        return a.y <= b.y;
    }
    return a.x <= b.x;
}

bool operator>(Vector a, Vector b) {
    return b < a;
}

bool inter(Vector p1, Vector p2, Vector q1, Vector q2) {
    int f1 = ((p1 - p2) * (q1 - p2)) * ((p1 - p2) * (q2 - p2));
    int f2 = ((q1 - q2) * (p1 - q2)) * ((q1 - q2) * (p2 - q2));
    if (f1 <= 0) {
        if (f2 <= 0) {
            if (f1 != 0 || f2 != 0) {
                return 1;
            }
            if (p1 > p2) {
                swap(p1, p2);
            }
            if (q1 > q2) {
                swap(q1, q2);
            }
            return p1 < q2 && q1 < p2;
        }
    }
    return 0;
}

Vector operator*(Vector a, int x) {
    Vector res = a;
    res.x *= x;
    res.y *= x;
    return res;
}

Vector arr[4];

main() {
    int n;
    cin >> n;
    while (n--) {
        Vector p1, p2, q1, q2, v;
        cin >> p1 >> p2 >> q1 >> q2 >> v;
        arr[0] = q1 - p1, arr[1] = q2 - p1, arr[2] = q2 - p2, arr[3] = q1 - p2;
        int cnt = 0;
        bool f = true;
        for (int i = 0; i < 4 && f; ++i) {
            for (int j = 0; j < i; ++j) {
                Vector a = arr[i], b = arr[j];
                if (inter(a, b, Vector(0, 0), v * 2000001)) {
                    cout << "Yes" << endl;
                    f = false;
                    break;
                }
            }
        }
        if (f) {
            cout << "No" << endl;
        }
    }
    return 0;
}
