#include<bits/stdc++.h>

#define ll long long

using namespace std;

struct Point {
    ll x, y;
    Point(ll a, ll b) {
        x = a;
        y = b;
    }
    Point () {
    }
};


ll operator* (const Point& A, const Point& B) {
    return A.x * B.x + A.y * B.y;
}



ll operator ^(const Point& A, const Point& B) {
    return A.x * B.y - A.y * B.x;
}



bool inside(Point v1, Point v2, Point v) {
    return ((v1 ^ v) >= 0 && (v ^ v2) >= 0 && (v1 ^ v2) >= 0);
}



bool one_line(Point v1, Point v) {
    //cout << (v1 ^ v) << endl << (v1 * v) << endl;
    return ((v1 ^ v) == 0 && (v1 * v) > 0);
}


main()
{
    ll t;
    cin >> t;
    for (ll i = 0; i < t; i++) {
        Point A, B, C, D;
        cin >> A.x >> A.y >> B.x >> B.y >> C.x >> C.y >> D.x >> D.y;
        Point v;
        cin >> v.x >> v.y;
        Point ab(B.x - A.x, B.y - A.y), ba(A.x - B.x, A.y - B.y), ac(C.x - A.x, C.y - A.y), ca(A.x - C.x, A.y - C.y);
        Point bd(D.x - B.x, D.y - B.y), db(B.x - D.x, B.y - D.y), cd(D.x - C.x, D.y - C.y), dc(C.x - D.x, C.y - D.y);
        Point ad(D.x - A.x, D.y - A.y), da(A.x - D.x, A.y - D.y), bc(C.x - B.x, C.y - B.y), cb(B.x - C.x, B.y - C.y);
        if ((ab ^ cd) == 0 && (ad ^ ab) == 0) {
            if (one_line(ad, v))
                cout << "Yes\n";
            else
                cout << "No\n";
            continue;
        }
        if (inside(ad, bc, v) || inside(ac, bd, v) || inside(bc, ad, v) || inside(bd, ac, v)) {
            cout << "Yes\n";
            continue;
        }
        cout << "No\n";
    }
}
