#include<bits/stdc++.h>

#define ll long long

using namespace std;

struct Point {
    ll x, y;
    Point(ll a, ll b) {
        x = a;
        y = b;
    }
    Point () {
    }
};


ll operator* (const Point& A, const Point& B) {
    return A.x * B.x + A.y * B.y;
}



ll operator ^(const Point& A, const Point& B) {
    return A.x * B.y - A.y * B.x;
}



bool inside(Point v1, Point v2, Point v) {
    return ((v1 ^ v) >= 0 && (v ^ v2) >= 0 && (v1 ^ v2) >= 0);
}



bool one_line(Point v1, Point v) {
    return ((v1 ^ v) == 0 && (v1 * v) > 0);
}


main()
{
    ll t;
    cin >> t;
    for (ll i = 0; i < t; i++) {
        Point A, B, C, D;
        cin >> A.x >> A.y >> B.x >> B.y >> C.x >> C.y >> D.x >> D.y;
        Point v;
        cin >> v.x >> v.y;
        Point v1(C.x - A.x, C.y - A.y), v2(D.x - B.x, D.y - B.y);
        Point a(A.x - B.x, A.y - B.y), b(C.x - D.x, C.y - D.y);
        if ((a ^ b) == 0 && (v1 ^ a) == 0) {
            if (one_line(v1, v))
                cout << "YES\n";
            else
                cout << "NO\n";
            continue;
        }
        if (inside(v1, v2, v) || inside(v2, v1, v)) {
            cout << "YES\n";
            continue;
        }
        Point v3(D.x - A.x, D.y - A.y), v4(C.x - B.x, C.y - B.y);
        if (inside(v3, v4, v) || inside(v4, v3, v)) {
            cout << "YES\n";
            continue;
        }
        /* if (inside(a, v3, v) || inside(a, v1, v)) {
            cout << "YES\n";
            continue;
        } */
        cout << "NO\n";
    }
}
