#include<iostream>
#include<vector>
#include<algorithm>
#include<string>
#include<cmath>
#include<random>
#include<iomanip>
#include<queue>
#include<set>
#include<map>
#include<unordered_map>
#include<unordered_set>
using namespace std;

const long double eps= 1e-18;
struct point {
	double x, y;
	double operator %(point B) {
		return x * B.x + y * B.y;
	}
	double operator *(point B) {
		return x * B.y - y * B.x;
	}
};
double dist(point A, point B) {
	return sqrt((A.x - B.x) * (A.x - B.x) + (A.y - B.y) * (A.y - B.y));
}
double make_A(point x, point a) {
	return a.y;
}
double make_B(point x, point a) {
	return -a.x;
}
double make_C(point x, point a) {
	return -x.x*a.y+x.y*a.x;
}
pair<point, bool> ans(point k, point B1, point B2,point V) {
	double A, B, C;
	A = make_A(k, V);
	B = make_B(k, V);
	C = make_C(k, V);
	//cout << (A * B1.x + B * B1.y + C) << ' ' << (A * B2.x + B * B2.y + C);
	if (abs(A * B1.x + B * B1.y + C) < eps) return { B1,1 };
	if (abs(A * B2.x + B * B2.y + C) < eps) return { B2,1 };
	if ((A * B1.x + B * B1.y + C) * (A * B2.x + B * B2.y + C) >0) {
		return { {0,0},0 };
	}
	point M;
	point b = { B1.x - B2.x,B1.y - B2.y };
	double AA, BB, CC;
	AA = make_A(B1, b);
	BB= make_B(B1, b);
	CC = make_C(B1, b);
	M.y = (AA * C / A - CC) / (BB - B * AA / A);
	M.x = (-C - B * M.y) / A;
	return { M,1 };
}
int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	int n;
	cin >> n;	
	for (int s = 0; s < n; s++) {


		point A1, A2;
		point B1, B2;
		point V;
		cin >> A1.x >> A1.y >> A2.x >> A2.y >> B1.x >> B1.y >> B2.x >> B2.y >> V.x >> V.y;

		pair<point, bool> z = ans(A1, B1, B2, V);
		bool ind = z.second;
		if (ind) {
			point XM = { z.first.x - A1.x ,z.first.y - A1.y };
			if (XM % V < 0) ind = 0;
		}
		if (ind) {
			cout << "Yes" << '\n';
			continue;
		}
		z = ans(A2, B1, B2, V);
		ind = z.second;
		if (ind) {
			point XM = { z.first.x - A2.x ,z.first.y - A2.y };
			if (XM % V < 0) ind = 0;
		}
		if (ind) {
			cout << "Yes" << '\n';
			continue;
		}
		cout << "No" << '\n';
	}
	return 0;
}