#include <bits/stdc++.h>

#define ll long long
#define ld long double
#define pii pair < int , int >
#define pb push_back
#define F first
#define S second
#define endl '\n'
using namespace std;

const int maxn = 1e5 + 5;
const ll inf = 1e18;

//inline bool bool_seg_inter(ll x1, ll y1, ll x2, ll y2, ll x3, ll y3, ll x4, ll y4)
//{
//    ll z3 = (x3 - x1) * (y2-y1) - (y3-y1)*(x2-x1);
//    ll z4 = (x4 - x1) * (y2-y1) - (y4-y1)*(x2-x1);
//    ll z1 = (x1 - x3) * (y4-y3) - (y1-y3)*(x4-x3);
//    ll z2 = (x2 - x3) * (y4-y3) - (y2-y3)*(x4-x3);
//    ll L = max(min(x1, x2), min(x3, x4));
//    ll R = min(max(x1, x2), max(x3, x4));
//    ll N = max(min(y1, y2), min(y3, y4));
//    ll W = min(max(y1, y2), max(y3, y4));
//    if (L <= R && W >= N && !max(z1, z2) && !max(z3, z4))
//        return 1;
//    if (!max(z1, z2) && !max(z3, z4))
//        return 0;
//    if (z1 * z2 > 0 || z3 * z4 > 0) return 0;
//    return 1;
//}

inline bool dot_on_line(ll x, ll y, ll x1, ll y1, ll x2, ll y2)
{
    ld a = y2 - y1;
    ld b = x1 - x2;
    ld c = x2 * y1 - x1 * y2;
    return (a * x + b * y + c == 0);
}

inline pair <ld, ld > line_inter(ld x11, ld y11, ld x12, ld y12, ld x21, ld y21, ld x22, ld y22)
{
    ld A1 = y12 - y11, B1 = x11 - x12, C1 = y11 * x12 - x11*y12;
    ld A2 = y22 - y21, B2 = x21 - x22, C2 = y21 * x22 - x21*y22;
    ld d = A1 * B2 - A2 * B1;
    if (d == 0) return {inf, inf};
    ld x = (B1 * C2 - B2 * C1) / d;
    ld y = (C1 * A2 - C2 * A1) / d;
    return {x, y};
}

ld eps = 1e-13;

inline bool one_side(ld x1, ld y1, ld x2, ld y2, ld x3, ld y3, ld x4, ld y4)
{
    ld a = y4 - y3;
    ld b = x3 - x4;
    ld c = x4 * y3 - x3 * y4;
    ld z1 = a * x1 + b * y1 + c, z2 = a*x2+b*y2+c;
    return(z1 * z2 + eps >= 0);
}

inline bool func(ld l, ld r, ld l2, ld r2)
{
    if (l > r) swap(l, r);
    if (l2 > r2) swap(l2, r2);
    return (min(r, r2) - eps <= max(l, l2));
}

inline bool kek(ld x1, ld y1, ld x2, ld y2, ld x, ld y)
{
    if ((x2 - x1) * x + eps >= 0 && (y2 - y1) * y + eps >= 0) return true;
    return false;
}

int main()
{
    ios_base::sync_with_stdio(0);
#ifdef LOCAL
    freopen("input.txt","r",stdin);
    freopen("output.txt","w",stdout);
#endif
    int n;
    cin >> n;
    for(int i = 0; i < n; ++i)
    {
        ll ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
        if (dot_on_line(ax1 + vx, ay1 + vy, ax1, ay1, ax2, ay2))
        {
            if (dot_on_line(bx1, by1, ax1, ay1, ax2, ay2) &&
                dot_on_line(bx2, by2, ax1, ay1, ax2, ay2))
            {
                if (kek(ax1, ay1, bx1, by1, vx, vy))
                {
                    cout << "Yes\n";
                }
                else
                {
                    cout << "No\n";
                }
            }
            else
            {
                pair <ld, ld> p = line_inter(ax1, ay1, ax2, ay2, bx1, by1, bx2, by2);
                if (p.F - eps >= inf || !(p.F + eps >= min(bx1, bx2) && p.F - eps <= max(bx1, bx2) &&
                                          p.S + eps >= min(by1, by2) && p.S - eps <= max(by1, by2)))
                {
                    cout << "No\n";
                }
                else
                {
                    if (kek(ax1, ay1, p.F, p.S, vx, vy))
                    {
                        cout << "Yes\n";
                    }
                    else
                    {
                        cout << "No\n";
                    }
                }
            }
            continue;
        }

        pair <ld, ld> f = line_inter(ax1, ay1, ax1 + vx, ay1 + vy, bx1, by1, bx2, by2);
        pair <ld, ld> s = line_inter(ax2, ay2, ax2 + vx, ay2 + vy, bx1, by1, bx2, by2);

        if (f.F - eps >= inf)
        {
            if (one_side(bx1, by1, ax1 + vx, ay1 + vy, ax1, ay1, ax2, ay2) &&
                one_side(bx1, by1, ax2 + vx, ay2 + vy, ax1, ay1, ax1 + vx, ay1 + vy) &&
                one_side(bx1, by1, ax1 + vx, ay1 + vy, ax2, ay2, ax2 + vx, ay2 + vy))
                     cout << "Yes\n";
                else cout << "No\n";
            continue;
        }
        ld x, y, x1, y1;
        ld r1 = 1.0;
        x = max(min(bx1, bx2) * r1, min(f.F, s.F));
        y = max(min(by1, by2) * r1, min(f.S, s.S));
        x1 = min(max(bx1, bx2) * r1, max(f.F, s.F));
        y1 = min(max(by1, by2) * r1, max(f.S, s.S));

        if (x - eps <= x1 && y - eps <= y1 && (one_side(x, y, ax1 + vx, ay1 + vy, ax1, ay1, ax2, ay2) ||
                                   one_side(x1, y1, ax1 + vx, ay1 + vy, ax1, ay1, ax2, ay2)))
        {
            cout << "Yes\n";
        }
        else
        {
            cout << "No\n";
        }
    }
    return 0;
}
