#include "iostream"
#include "algorithm"
#include "set"
#include "vector"
#include "string"
#include "math.h"
#include "map"
#include "deque"
#include "stack"
#include "queue"
#include "unordered_map"
#include "unordered_set"
#include "iomanip"
#define ll long long
#define ld long double
#define w while
#define forn(i, n) for (i = 0; i < n; i++)
#define con continue
#define br break
#define int signed
#define elif else if
#define EPS 1e-9
using namespace std;

const ld pi = atan2(0, -1);

ld at2pol(ll y, ll x) {
	ld z = atan2(y, x);
	if (z - EPS < 0) {
		return pi * 2 + z;
	} else {
		return z;
	}
}

struct vect {
	ll x, y;
	vect(ll a, ll b) : x(a), y(b) {}
	vect() : x(0), y(0) {}
	vect operator + (const vect &m) const {
		return { m.x + x, m.y + y };
	}
	vect operator - (const vect &m) const {
		return { x - m.x, y - m.y };
	}
	vect operator * (const ll& m) const {
		return { x * m, y * m };
	}
	ll operator * (const vect &m) const {
		return x* m.x + y * m.y;
	}
	ll operator % (const vect &m) const {
		return x * m.y - y * m.x;
	}
	ld operator / (const vect &m) const {
		return atan2(*this % m, *this * m);
	}
	bool operator || (const vect &m) const {
		return ((*this % m == 0) && ((m.x > 0) == (x > 0)) && ((m.y > 0) == (y > 0))) || (x == y && x == 0) || (m.x == m.y && m.x == 0);
	}
};


struct seg {
	vect a, b;
	seg (vect a, vect b) : a(a), b(b) {}
	seg () : a(), b() {}
};

signed main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	ll n, i, xx, yy, x, y;
	seg o1, o2;
	vect v;
	cin >> n;
	forn(i, n) {
		cin >> x >> y >> xx >> yy;
		o1 = { { x, y }, { xx, yy } };
		cin >> x >> y >> xx >> yy;
		o2 = { { x, y }, { xx, yy } };
		cin >> x >> y;
		v = { x, y };
		vect v1 = { -x, -y };
		if ((v % (o2.a - o1.a)) == 0) {
			if ((v.x > 0) == ((o2.a - o1.a).x > 0) &&
				(v.y > 0) == ((o2.a - o1.a).y > 0)) {
				cout << "Yes" << endl;
				con;
			}
			else {
				cout << "No" << endl;
				con;
			}
		}
		if ((v % (o2.a - o1.b)) == 0) {
			if ((v.x > 0) == ((o2.a - o1.b).x > 0) &&
				(v.y > 0) == ((o2.a - o1.b).y > 0)) {
				cout << "Yes" << endl;
				con;
			}
			else {
				cout << "No" << endl;
				con;
			}
		}
		if ((v % (o2.b - o1.a)) == 0) {
			if ((v.x > 0) == ((o2.b - o1.a).x > 0) &&
				(v.y > 0) == ((o2.b - o1.a).y > 0)) {
				cout << "Yes" << endl;
				con;
			}
			else {
				cout << "No" << endl;
				con;
			}
		}
		if ((v % (o2.b - o1.b)) == 0) {
			if ((v.x > 0) == ((o2.b - o1.b).x > 0) &&
				(v.y > 0) == ((o2.b - o1.b).y > 0)) {
				cout << "Yes" << endl;
				con;
			}
			else {
				cout << "No" << endl;
				con;
			}
		}
		if ((v % (o2.a - o1.a) >= 0) ^ ((v % (o2.b - o1.a)) >= 0)) {
			cout << "Yes" << endl;
			con;
		}
		if ((v % (o2.a - o1.b) >= 0) ^ ((v % (o2.b - o1.b)) >= 0)) {
			cout << "Yes" << endl;
			con;
		}
		if ((v1 % (o1.a - o2.a) >= 0) ^ ((v1 % (o1.b - o2.a)) >= 0)) {
			cout << "Yes" << endl;
			con;
		}
		if ((v1 % (o1.a - o2.b) >= 0) ^ ((v1 % (o1.b - o2.b)) >= 0)) {
			cout << "Yes" << endl;
			con;
		}
		cout << "No" << endl;
	}
	return 0;
}