
#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

#define size(s) (ll)s.size()

const ll N = 500;

int fi[30][30];
int id[30][30];
pair<int, int> rid[100000];
int timer = 0;
set<int> g[10000];
vector<int> res;
int big[10000], sz[10000];

void dfs(int v) {
    while (!g[v].empty()) {
        int to = *g[v].begin();
        g[v].erase(to);
        g[to].erase(v);
        dfs(to);
        res.push_back(v);
    }
}

int XX[] = {0, 0, -1, 1};
int YY[] = {1, -1, 0, 0};
int to[10000];

signed main() {
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
    //freopen("output.txt", "w", stdout);
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n, m;
    cin >> n >> m;
    for(int i = 0; i < n; i++) {
        for(int j = 0; j < m; j++) {
            char c;
            cin >> c;
            if (c == '*') {
                fi[i][j] = 1;
                fi[i + 1][j] = 1;
                fi[i][j + 1] = 1;
                fi[i + 1][j + 1] = 1;
            }
        }
    }
    n++;
    m++;
    for(int i = 0; i < n; i++) {
        for(int j = 0; j < m; j++) {
            id[i][j] = timer;
            rid[timer++] = {i, j};
        }
    }
    for(int i = 0; i < n; i++) {
        for(int j = 0; j < m; j++) {
            if (fi[i][j]) {
                int b = 0;
                for(int k = 0; k < 4; k++) {
                    int x = XX[k] + i;
                    int y = YY[k] + j;
                    if (x >= 0 && y >= 0) {
                        if (fi[x][y]) {
                            b |= (1 << k);
                            g[id[x][y]].insert(id[i][j]);
                            g[id[i][j]].insert(id[x][y]);
                        }
                    }
                    if (b & 1 && b & 2) {
                        if (b & 4)
                        to[id[i][j]] = 2;
                        else
                            to[id[i][j]] = 3;
                    } else {
                        if (b & 1)
                            to[id[i][j]] = 0;
                        else
                            to[id[i][j]] = 1;
                    }
                }
            }
        }
    }
    for(int i = 0; i < n; i++) {
        for(int j = 0; j < m; j++) {
            if (size(g[id[i][j]]) == 3) {
                int v = id[i + XX[to[id[i][j]]]][j + YY[to[id[i][j]]]];
                if (size(g[v]) == 3) {
                    g[v].erase(id[i][j]);
                    g[id[i][j]].erase(v);
                    break;
                }
            }
        }
    }
    vector<int> is;
    for(int i = 0; i < n; i++) {
        for(int j = 0; j < m; j++) {
            if (size(g[id[i][j]]) == 3) {
                is.push_back(id[i][j]);
            }
        }
    }
     for(int i: is) {
        for(auto v : g[i]) {
            if (size(g[v]) > 2) {
                g[v].erase(i);
                g[i].erase(v);
                break;
            }
        }
    }
    for(int i = 0; i < n; i++) {
        for(int j = 0; j < m; j++) {
            if (size(g[id[i][j]]) % 2) {
                cout << "No\n";
                return 0;
            }
        }
    }
    dfs(0);
    cout << "Yes\n";
    cout << size(res) << '\n';
    for(auto v : res) {
        cout << rid[v].first << ' ' << rid[v].second << '\n';
    }
}

/*
2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1
*/


