#include <bits/stdc++.h>
#pragma GCC optimize("Ofast")
#pragma GCC optimize("unroll-loops")
using namespace std;

typedef long long ll;

#define size(s) (ll)s.size()

const int N = 500;

bitset<N> mat[N][N];
int fl = 0;
bitset<N> cur;
vector<int> g[N];
int st = 0;

void dfs(int v, int p) {
    cur[v] = 1;
    if (st <= v) {
        if (fl) mat[st][v] = cur;
        else mat[st][v] &= cur;
    }
    for(int to : g[v]) {
        if (to != p)
            dfs(to, v);
    }
    cur[v] = 0;
}

void read(int &x) {
    x = 0;
    char c;
    while (1) {
        c = getchar();
        if ('0' <= c && c <= '9') {
            x = x * 10 + (c - '0');
        } else if (x) break;
    }
}

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n, k;
    read(n);
    read(k);
    for(int t = 0; t < k; t++) {
        fl = (t == 0);
        for(int j = 0; j < n; j++)
            g[j].clear();
        for(int j = 0; j < n - 1; j++) {
            int a, b;
            read(a);
            read(b);
            --a; --b;
            g[a].push_back(b);
            g[b].push_back(a);
        }
        for(int i = 0; i < n; i++) {
            st = i;
            dfs(i, -1);
        }
    }
    for(int i = 0; i < n; i++) {
        for(int j = 0; j < n; j++) {
            if (i > j) cout << mat[j][i].count() << ' ';
            else cout << mat[i][j].count() << ' ';
        }
        cout << '\n';
    }
}

/*
4 2
1 3
4 2
3 4
1 4
4 3
2 4
/*#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

#define size(s) (ll)s.size()

const int N = 500;

struct Point {
    int x, y;
};

struct Vector {
    int x, y;
};

struct Line {
    int a, b, c;
    Line() {}
    Line(Point _a, Point _b) {
        a = _b.y - _a.y;
        b = _a.x - _b.x;
        c = -(a * _a.y + b * _a.y);
    }
    int get(Point kek) {
        if (kek.x * a + kek.y * b + c == 0) {
            return 0;
        } else if (kek.x * a + kek.y * b + c > 0) {
            return 1;
        } else {
            return -1;
        }
    }
};

int scalar(Vector a, Vector b) {
    return a.x * b.x + a.y * b.y;
}


bool intersect(Point a, Vector v, Point b, Point c) {
    Point to = a;
    to.x += v.x;
    to.y += v.y;
    Line l = Line(a, to);
    if (l.get(b) == 0 || l.get(c) == 0 || l.get(b) != l.get(c)) {
        return 1;
    }
    return 0;
}

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    int t;
    cin >> t;
    while (t--) {
        Point s, t;
        Point s1, t1;
        Vector v;
        cin >> s.x >> s.y >> t.x >> t.y;
        cin >> s1.x >> s1.y >> t1.x >> t1.y;
        cin >> v.x >> v.y;
        Vector v1 = {-v.x, -v.y};
        if (intersect(s, v, s1, t1)) {
            cout << "Yes\n";
        } else if (intersect(t, v, s1, t1)) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }
}

/*
2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1
*/

