#define _CRT_SECURE_NO_WARNINGS
#include<iostream>
#include<vector>
#include<set>
#include<cstdlib>
#include<cmath>
#include<algorithm>
#include<cstring>

using namespace std;
#define int long long
#define double long double 

struct point {
	double x, y;
};

double vect(point a, point b) {
	return (a.x * b.y - a.y * b.x);
}

bool inter(point a, point b, point c, point d) {
	if (vect({ c.x - a.x, c.y - a.y }, { d.x - a.x, d.y - a.y }) * vect({ c.x - b.x, c.y - b.y }, { d.x - b.x, d.y - b.y }) <= 0) {
		if (vect({ a.x - c.x, a.y - c.y }, { b.x - c.x, b.y - c.y }) * vect({ a.x - d.x, a.y - d.y }, { b.x - d.x, b.y - d.y }) <= 0) {
			return 1;
		}
		else return 0;
	}
	return 0;
}

signed main() {
#ifdef _DEBUG
	freopen("in.txt", "r", stdin);
#endif
	int t;
	cin >> t;
	while (t--) {
		point a1, a2, b1, b2;
		point v;
		cin >> a1.x >> a1.y >> a2.x >> a2.y >> b1.x >> b1.y >> b2.x >> b2.y >> v.x >> v.y;
		point c1 = { a1.x + v.x * 1e+6, a1.y + v.y * 1e+6 };
		point c2 = { a2.x + v.x * 1e+6, a2.y + v.y * 1e+6 };
		point d1 = { b1.x - v.x * 1e+6, b1.y - v.y * 1e+6 };
		point d2 = { b2.x - v.x * 1e+6, b2.y - v.y * 1e+6 };
		if (inter(a1, c1, b1, b2) || inter(a2, c2, b1, b2) || inter(a1, a2, d1, b1) || inter(a1, a2, d2, b2)) {
			cout << "Yes\n";
		}
		else {
			cout << "No\n";
		}
	}
}