#pragma GCC optimize("O3,unroll-loops,inline,fast-math")
#include <bits/stdc++.h>
using namespace std;

using ll = long long;
using ld = long double;
#define all(x) (x).begin(),(x).end()
#define int ll

int a, b, c, n;
int l, r;

void gen(int ind) {
    for (n = 3;;n++) {
        if (n * n * n >= ind) {
            break;
        }
        ind -= n * n * n;
    }
    for (a = 1; a <= n; a++) {
        if (n * n >= ind) {
            break;
        }
        ind -= n * n;
    }
    for (b = 1; b <= n; b++) {
        if (n >= ind) {
            break;
        }
        ind -= n;
    }
    for (c = 1; c <= n; c++) {
        if (1 >= ind) {
            break;
        }
        ind -= 1;
    }
}

void gen_next() {
    if (a == b && a == c && a == n) {
        n++;
        a = 1, b = 1, c = 1;
        return;
    }
    if (c < n) {
        c++;
        return;
    }
    if (b < n) {
        b++;
        c = 1;
        return;
    }
    a++;
    b = 1;
    c = 1;
}

int pow(int x, int n) {
    int ans = 1;
    for (int i = 0; i < n; i++)
        ans *= x;
    return ans;
}

char stupid_solve() {
    return (pow(a, n) + pow(b, n) < pow(c, n) ? '<' : '>');
}

char solve() {
    if (a == c || b == c) {
        return '>';
    }
    if (n >= 10)
        return '<';
    return stupid_solve();
}


signed main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    cout.precision(20), cout.setf(ios::fixed);
    cin >> l >> r;
    gen(l);
    for (int i = l; i <= r; i++) {
        cout << a << "^" << n << "+" << b << "^" << n << solve() << c << "^" << n << '\n';
        gen_next();
    }
    //cout << a << " " << b << " " << c << " " << n << endl;
    return 0;
}