#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

typedef int64_t ll;
typedef long double ld;

ld power(ld a, ll x) {
	if (x == 0) {
		return 1;
	}
	if (x & 1) {
		return a * power(a * a, x >> 1);
	}
	return power(a * a, x >> 1);
}

vector<ll> next(vector<ll> a, ll& mx) {
	++a[3];
	if (a[3] > mx) {
		a[3] = 3;
		++a[2];
	}
	if (a[2] > mx) {
		a[2] = 1;
		++a[1];
	}
	if (a[1] > mx) {
		a[1] = 1;
		++a[0];
	}
	if (a[0] > mx) {
		a[0] = 1;
		++mx;
		a[3] = mx;
	}
	if (a[0] != mx && a[1] != mx && a[2] != mx && a[3] != mx) {
		a[3] = mx;
	}
	return a;
}

void print(vector<ll>& a, ll n, ll mx) {
	for (ll i = 0; i < n; ++i) {
		cout << a[0] << "^" << a[3] << "+" << a[1] << "^" << a[3];
		if (power(a[0], a[3]) + power(a[1], a[3]) > power(a[2], a[3])) {
			cout << ">";
		} else {
			cout << "<";
		}
		cout << a[2] << "^" << a[3] << "\n";
		a = next(a, mx);
	}
}

int main() {
	ll left, right;
	cin >> left >> right;
	ll n = right - left + 1;
	--left;
	ll mx = 3;
	while (mx * mx * mx * (mx - 2) < left) {
		++mx;
	}
	vector<ll> start(4);
	ll k = mx * mx * (mx - 2) - (mx - 1) * (mx - 1) * (mx - 3);
	start[0] = left / k + 1;
	left %= k;
	if (start[0] == mx) {
		k = mx * (mx - 2);
	} else {
		k = mx * (mx - 2) - (mx - 1) * (mx - 3);
	}
	start[1] = left / k + 1;
	left %= k;
	if (start[0] == mx || start[1] == mx) {
		k = mx - 2;
	} else {
		k = 1;
	}
	start[2] = left / k + 1;
	if (start[0] == mx || start[1] == mx || start[2] == mx) {
		start[3] = left + 3;
	} else {
		start[3] = mx;
	}
	print(start, n, mx);
	return 0;
}
