#include <bits/stdc++.h>


using namespace std;


//#define int long long


void warp()
{
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(false);
}


#define point pair<int, int>
#define x first
#define y second


istream& operator >> (istream& in, point &a)
{
    in >> a.x >> a.y;
    return in;
}


void go(point a, point b)
{
    if (a.x == b.x)
    {
        while (a.y < b.y)
        {
            cout << 'R';
            a.y++;
        }
    }
    else if (a.y == b.y)
    {
        while (a.x < b.x)
        {
            cout << 'D';
            a.x++;
        }
    }
    else
    {
        if (b.x == a.x + 1)
        {
            while (a.y < b.y)
            {
                cout << 'R';
                a.y++;
            }
            cout << 'D';
            return;
        }
        int mid = (a.x + b.x) / 2;
        while (a.x != mid)
        {
            cout << 'D';
            a.x++;
        }
        while (a.y != b.y)
        {
            cout << 'R';
            a.y++;
        }
        while (a.x != b.x)
        {
            cout << 'D';
            a.x++;
        }
    }
}


struct cmp
{
    bool operator()(point a, point b)
    {
        return a.x + a.y < b.x + b.y;
    }
};


ostream& operator << (ostream& out, point a)
{
    out << a.x << " " << a.y;
    return out;
}


void print(vector<point> p)
{
    cout << p.size() << endl;
    for (int i = 0; i < p.size(); i++)
    {
        cout << p[i] << endl;
    }
}


vector<point> sorted(vector<point> p)
{
    sort(p.begin(), p.end(), cmp());
    vector<point> ans;
    ans.push_back(p[0]);
    for (int i = 1; i < p.size(); i++)
    {
        if (p[i] == p[i - 1]) continue;
        ans.push_back(p[i]);
    }
    return ans;
}


signed main()
{
    //warp();
    int n, m;
    cin >> m >> n;
    if (n * m == 1)
    {
        cout << "! " << endl;
        return 0;
    }
    vector<point> a;
    a.push_back(point(1, 1));
    a.push_back(point(m, n));
    while (a.size() != n + m - 1)
    {
        cout << "? ";
        for (int i = 0; i < a.size() - 1; i++)
        {
            go(a[i], a[i + 1]);
        }
        cout << endl;
        int k;
        cin >> k;
        vector<point> t(k);
        vector<point> smth;
        for (int i = 0; i < k; i++) cin >> t[i];
        int cur = 0;
        for (int i = 0; i < a.size() - 1; i++)
        {
            if (a[i + 1].x == a[i].x + 1)
            {
                while (t[cur] != a[i]) cur++;
                while (cur + 1 < t.size() && t[cur + 1].x == t[cur].x) cur++;
                point p = t[cur];
                p.x++;
                while (p.y <= a[i + 1].y)
                {
                    smth.push_back(p);
                    p.y++;
                }
            }
        }
        while (smth.size())
        {
            t.push_back(smth.back());
            smth.pop_back();
        }
        a = sorted(t);
        //print(a);
    }
    cout << "! ";
    for (int i = 0; i < a.size() - 1; i++)
    {
        go(a[i], a[i + 1]);
    }
    cout << endl;
    return 0;
}
