#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <vector>
#include <string>
#include <iostream>
#include <map>
#include <set>
#include <cmath>
#include <fstream>
#include <math.h>
#include <algorithm>

#define all(a) a.begin(), a.end()
#define mp make_pair
#define rt return
#define ll long long
#define ld long double

#define rep(n, i) for(int i=0;i<n;i++)
#define per(n, i) for(int i=n - 1;i>= 0;--)



using namespace std;

const int MAX_SIZE = 1e5, INF = 2e9;
const long long SuperINF = 1e18;
const double eps = 1e-5;


void files() {
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
}

struct vec {
	ll x, y;
	vec(ll x_, ll y_) {
		x = x_;
		y = y_;
	}
};

struct line {
	ll a, b, c;

	line(vec p1, vec p2) {
		a = p2.y - p1.y;
		b = p1.x - p2.x;
		c = p1.x * (p1.y - p2.y) + p1.y * (p2.x - p1.x);

	}

	long long val(vec p) {
		return a * p.x + b * p.y + c;
	}


};

ll sign(ll a, ll b) {
	if (a == 0 || b == 0)
		return  0;
	a /= abs(a);
	b /= abs(b);
	return a * b;
}

void solved() {
	ll ax1, ay1, ax2, ay2;
	cin >> ax1 >> ay1 >> ax2 >> ay2;
	ll bx1, by1, bx2, by2;
	cin >> bx1 >> by1 >> bx2 >> by2;
	ll vx, vy;
	cin >> vx >> vy;
	ax1 += vx;
	ay1 += vy;
	ax2 += vx;
	ay2 += vy;
	vec a1 = vec(ax1, ay1);
	vec b1 = vec(bx1, by1);
	vec a2 = vec(ax2, ay2);
	vec b2 = vec(bx2, by2);
	line l1 = line(a1, b1);
	line l2 = line(a2, b2);
	
	ll val1 = l1.val(a2), val2 = l1.val(b2);
	if (sign(val1, val2) == 1) {
		cout << "NO\n";
		return;
	}
	val1 = l2.val(a1), val2 = l2.val(b1);
	if (sign(val1, val2) == 1) {
		cout << "NO\n";
		return;
	}
	cout << "YES\n";
	return;
	

}


int main() {
	std::ios_base::sync_with_stdio(false);
	//files();
	int n;
	cin >> n;
	rep(n, i) {
		solved();
	}



	return 0;
}
