#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <vector>
#include <string>
#include <iostream>
#include <map>
#include <set>
#include <cmath>
#include <fstream>
#include <math.h>
#include <algorithm>

#define all(a) a.begin(), a.end()
#define mp make_pair
#define rt return
#define ll long long
#define ld long double

#define rep(n, i) for(int i=0;i<n;i++)
#define per(n, i) for(int i=n - 1;i>= 0;--)



using namespace std;

const int MAX_SIZE = 1e5, INF = 2e9;
const long long SuperINF = 1e18;
const double eps = 1e-6;


void files() {
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
}

struct vec {
	ld x, y;
	vec(ld x_, ld y_) {
		x = x_;
		y = y_;
	}
};

struct line {
	ld a, b, c;

	line(vec p1, vec p2) {
		a = p2.y - p1.y;
		b = p1.x - p2.x;
		c = p1.x * (p1.y - p2.y) + p1.y * (p2.x - p1.x);
		c = -c;

	}

};


ld det(ld a, ld b, ld c, ld d) {
	return a * d - b * c;
}

pair<int, vec> inserct(line l1, line l2) {
	ld D = det(l1.a, l1.b, l2.a, l2.b);
	if (fabs(D) < eps) {
		if (fabs(l1.c - l2.c) < eps) {
			return { 2, vec(-1, -1) };
		}
		else {
			return{ 0, vec(-1, -1) };
		}
	}
	ld dx = det(l1.b, l1.c, l2.b, l2.c);
	ld dy = det(l1.a, l1.c, l2.a, l2.c);
	ld x_now = dx / D;
	ld y_now = dy / D;
	return { true, vec(x_now, y_now) };
};


bool check(vec p1, vec p2, vec d) {
	return d.x >= min(p1.x, p2.x) && d.x <= max(p1.x, p2.x) && d.y >= min(p1.y, p2.y) && d.y <= max(p1.y, p2.y);
}

bool check1(vec a1, vec a2, vec b1, vec b2) {
	if (a2.x > a1.x)
		swap(a1, a2);
	else if (a2.x == a1.x && a1.y > a2.y)
		swap(a2, a1);

	if (b2.x > b1.x)
		swap(b1, b2);
	else if (b1.x == b1.x && b1.y > b1.y)
		swap(b1, b2);


	double l_x = min(a2.x, b2.x);
	double r_x = max(a1.x, b1.x);

	if (r_x - l_x > 0)
		return true;
	else if (r_x - l_x < 0)
		return false;



	double l_y = min(a2.y, b2.y);
	double r_y = max(a1.y, b1.y);


	if (r_y - l_y > 0)
		return true;
	else if (r_y - l_y < 0)
		return false;

	return true;
}

void solved() {
	ld ax1, ay1, ax2, ay2;
	cin >> ax1 >> ay1 >> ax2 >> ay2;
	ld bx1, by1, bx2, by2;
	cin >> bx1 >> by1 >> bx2 >> by2;
	ld vx, vy;
	cin >> vx >> vy;
	ax1 += vx;
	ay1 += vy;
	ax2 += vx;
	ay2 += vy;
	vec a1 = vec(ax1, ay1);
	vec b1 = vec(bx1, by1);
	vec a2 = vec(ax2, ay2);
	vec b2 = vec(bx2, by2);

	line l1 = line(a1, a2);
	line l2 = line(b1, b2);
	auto res = inserct(l1, l2);
	if (res.first == 0) {
		cout << "No\n";
		return;
	}
	if (res.first == 2) {
		if (check1(a1, a2, b1, b2)) {
			cout << "Yes\n";
		}
		else {
			cout << "No\n";
		}
		return;
	}

	if (check(a1, a2, res.second) && check(b1, b2, res.second)) {
		cout << "Yes\n";
	}
	else {
		cout << "No\n";
	}


}


int main() {
	std::ios_base::sync_with_stdio(false);
	//files();
	int n;
	cin >> n;
	rep(n, i) {
		solved();
	}



	return 0;
}
