#include<bits/stdc++.h>
#include<ext/pb_ds/assoc_container.hpp>
#include<ext/pb_ds/tree_policy.hpp>

#define pb push_back
#define mp make_pair
#define fi first
#define se second
#define all(x) (x).begin(), (x).end()

using namespace std;
using namespace __gnu_pbds;

typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
template<typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

const int MAXN = (int)1e3 + 5;

int our[MAXN * 2];

int n, m;

void solve() {
	scanf("%d %d", &n, &m);
	string s;

	for (int i = 2; i <= n + m; ++i) {
		our[i] = -1;
	}

	our[2] = 1;
	our[n + m] = n;

	for (int i = 1; i < n; ++i) {
		s += 'D';
	}

	for (int i = 1; i < m; ++i) {
		s += 'R';
	}

	vector<pii> seg;
	seg.pb(mp(2, n + m));

	for (int step = 0; step < 10; ++step) {
		for (pii it : seg) {
			int l = it.fi, r = it.se;

			if (l < r) {
				random_shuffle(s.begin() + l - 2, s.begin() + r - 2);
            }
		}

		cout << "? " << s << endl;
		int t;
		cin >> t;

		for (int i = 1; i <= t; ++i) {
			int x, y;
			cin >> x >> y;
			our[x + y] = x;
		}

		vector<int> tmp;

		for (int i = 2; i <= n + m; ++i) {
			if (our[i] != -1) {
				tmp.pb(i);
			}
		}

		for (int i : tmp) {
			if (i + 1 <= n + m) {
				if (our[i + 1] == -1) {
					our[i + 1] = our[i] + (s[i - 2] != 'D');
				}
			}

			if (i - 1 >= 2) {
				if (our[i - 1] == -1) {
					our[i - 1] = our[i] - (s[i - 3] != 'D');
				}
			}
		}

		int prev = -1;
		seg.clear();

		for (int i = 2; i <= n + m; ++i) {
			if (our[i] != -1) {
				if (prev != -1) {
					seg.pb(mp(prev, i));
				}

				prev = i;
			}				
		}
	}

	cout << "! ";

	for (int i = 2; i <= n + m; ++i) {
		assert(our[i] != -1);
	}

	for (int i = 2; i < n + m; ++i) {
		if (our[i] == our[i + 1]) {
			cout << "R";
		}
		else {
			cout << "D";
		}
	}

	cout << endl;
}

int main() {
    int tt = 1;
    srand(time(0));

    while (tt--) {
        solve();
    }

    return 0;
}