#include <bits/stdc++.h>

using namespace std;

struct point{
    double x , y;
};

point a1 , a2;
point b1 , b2;
point v;

int f(double a) {
    if (a >= 0) return 1;
    if (a < 0) return -1;
}

bool solve() {
    double x1 = 0 , x2 = 0 , y1 = 0 , y2 = 0;
    bool res = false;

    if (v.x == 0) {
        if ((a1.x <= b1.x && b1.x <= a2.x) || (a2.x <= b1.x && b1.x <= a1.x)) res = true;
        if ((a1.x <= b2.x && b2.x <= a2.x) || (a2.x <= b2.x && b2.x <= a1.x)) res = true;
        return res;
    }

    double k = v.y/v.x;

    double l1 = a1.y - k*a1.x;
    double l2 = a2.y - k*a2.x;

    if (b1.x == b2.x) {
        x1 = b1.x;
        x2 = b2.x;
        y1 = k*b1.x + l1;
        y2 = k*b1.x + l2;
    } else {
        double kb = (b2.y - b1.y)/(b2.x - b1.x);
        double lb = b1.y - kb*b1.x;
        if (kb == k) {
            if (a1.x != a2.x) {
                double ka = (a2.y - a1.y) / (a2.x - a1.x);

                if (ka == kb) return false;

                double t1 = b1.y - ka*b1.x;

                x1 = (t1 - l1)/(k - ka);
                x2 = (t1 - l2)/(k - ka);
                y1 = k*x1 + l1;
                y2 = k*x2 + l2;
            } else {
                x1 = b1.x;
                x2 = b1.x;
                y1 = k*b1.x + l1;
                y2 = k*b1.x + l2;
            }
        } else {
            x1 = (l1 - lb) / (kb - k);
            y1 = k*x1 + l1;
            x2 = (l2 - lb) / (kb - k);
            y2 = k*x2 + l2;
        }
    }
    //cout <<x1<<" "<<y1<<" | "<<a1.x<<" "<<a1.y<<" = "<<v.x<<" "<<v.y<<endl;
    //cout <<x2<<" "<<y2<<" | "<<a2.x<<" "<<a2.y<<" = "<<v.x<<" "<<v.y<<endl;

    if (x1 != x2) {
        if ((min(x1 , x2) > max(b1.x , b2.x)) || (max(x1 , x2) < min(b1.x , b2.x))) return false;
    } else {
        if ((min(y1 , y2) > max(b1.y , b2.y)) || (max(y1 , y2) < min(b1.y , b2.y))) return false;
    }

    if (f(x1 - a1.x) == f(v.x) && (f(y1 - a1.y) == f(v.y))) res = true;
    if (f(x2 - a2.x) == f(v.x) && (f(y2 - a2.y) == f(v.y))) res = true;
    return res;
}

int main() {
    int n;
    cin >> n;
    for (int i=1; i<=n; i++) {
        string ans = "No";

        cin >> a1.x >> a1.y;
        cin >> a2.x >> a2.y;

        cin >> b1.x >> b1.y;
        cin >> b2.x >> b2.y;
        cin >> v.x >> v.y;
        if (solve()) ans = "Yes";
        cout <<ans<<endl;
    }
}
/*
7
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1
3 0 0 4 2 7 7 3 0 1
1 0 -2 4 2 0 2 7 0 -1
1 0 -2 4 4 0 1 4 0 -1
2 -3 5 0 2 0 0 2 -1 1
2 -3 5 0 2 0 0 2 1 -1

yes
no
yes
no
yes
yes
no
*/
