#include <bits/stdc++.h>
#define f first
#define s second
#define fi first
#define se second
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
#define push push_back
#define pop pop_back
#define pb push_back
#define mp make_pair

#define int long long

#pragma GCC optimize("O3")
#pragma GCC optimize("no-stack-protector")

using namespace std;

typedef long long ll;
typedef long long LL;
typedef long double ld;
typedef long double LD;

const int INF = 1e9, inf = 1e9;
const ld EPS = 1e-9, eps = 1e-9;

struct pt {
    ld x, y;
    pt() {};
    pt(ld _x, ld _y): x(_x), y(_y) {};
    pt operator * (ld k) {
        return pt(x * k, y * k);
    }
    pt operator + (pt a) {
        return pt(x + a.x, y + a.y);
    }
    pt operator - (pt a) {
        return pt(x - a.x, y - a.y);
    }
    ld operator ^ (pt a) {
        return x * a.y - y * a.x;
    }
    ld operator * (pt a) {
        return x * a.x + y * a.y;
    }
};

bool is_inside(pt p, pt a1, pt a2, pt a3, pt a4) {
    bool flag = 1;
    flag &= (pt(a4 - a2) ^ pt(p - a2)) *
            (pt(a3 - a1) ^ pt(p - a1)) <= EPS;
//    cout << a1.x << " " << a1.y << "\n";
//    cout << a2.x << " " <<a2.y << "\n";
//    cout << a4.x << " " <<a4.y << "\n";
//    cout << p.x << " " <<p.y << "\n\n\n";
    flag &= (pt(a1 - a2) ^ pt(a4 - a2)) *
            (pt(a1 - a2) ^ pt(p - a2)) > 0;
    return flag;
}

bool is_intersection(pt b1, pt b2, pt a1, pt a2) {
    if (abs(pt(b2 - b1) ^ pt(a2 - a1)) < EPS) {
        if (abs(pt(b2 - b1) ^ pt(a2 - b1)) < EPS) {
            if ((pt(a2 - a1) * pt(b1 - a1)) * (pt(a2 - a1) * pt(b2 - a1)) <= 0 ||
                (pt(a1 - a2) * pt(b1 - a2)) * (pt(a1 - a2) * pt(b2 - a2)) <= 0 ||
                (pt(b2 - b1) * pt(a1 - b1)) * (pt(b2 - b1) * pt(a2 - b1)) <= 0 ||
                (pt(b1 - b2) * pt(a1 - b2)) * (pt(b1 - b2) * pt(a2 - b2)) <= 0) {
                return 1;
            }
        }
        return 0;
    }
    bool flag = 1;
    flag &= (pt(b2 - b1) ^ pt(a1 - b1)) * (pt(b2 - b1) ^ pt(a2 - b1)) <= EPS;
    flag &= (pt(a2 - a1) ^ pt(b1 - a1)) * (pt(a2 - a1) ^ pt(b2 - a1)) <= EPS;
    return flag;
}

signed main() {
//    freopen("in.txt", "r", stdin);
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    int n;
    cin >> n;
    for (; n--; ) {
        pt a1, a2, b1, b2;
        cin >> a1.x >> a1.y;
        cin >> a2.x >> a2.y;
        cin >> b1.x >> b1.y;
        cin >> b2.x >> b2.y;
        pt v;
        cin >> v.x >> v.y;
        pt a3, a4;
        a3 = a1 + (v * INF);
        a4 = a2 + (v * INF);
        if (is_inside(b1, a1, a2, a3, a4) ||
            is_inside(b2, a1, a2, a3, a4)) {
            cout << "Yes\n";
            continue;
        }
        if (is_intersection(b1, b2, a1, a3) ||
            is_intersection(b1, b2, a2, a4)) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }
    return 0;
}
