#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

struct kek{
    int x, left, right;
    kek(){
    }
    kek(int _x, int _left, int _right){
        x = _x;
        left = _left;
        right = _right;
    }
};

int main()
{
	int n, m;
	cin >> n >> m;
	vector<vector<bool>> ans(n, vector<bool>(m));
	vector<kek> all;
	all.emplace_back(1, 1, 1);
	all.emplace_back(n, m, m);
	while (true) {
		vector<kek> mid;
		mid.emplace_back(all[0]);
		for (int i = 1; i < all.size(); ++i) {
			if ((all[i].x + all[i - 1].x) / 2 != mid.back().x)
				mid.emplace_back((all[i].x + all[i - 1].x) / 2, all[i - 1].right, all[i].left);
			if (all[i].x != mid.back().x)
				mid.emplace_back(all[i]);
		}
		if (mid.size() == n)
			cout << "! ";
		else
			cout << "? ";
        for (int i = 1; i < mid[1].left; ++i)
            cout << 'R';
		for (int i = 1; i < mid.size(); ++i){
		    for (int j = 0; j < mid[i].x - mid[i - 1].x; ++j)
                cout << 'D';
			for (int j = 0; j < mid[i].right - mid[i].left; ++j)
				cout << 'R';
		}
		cout << endl;
		if (mid.size() == n)
			break;
		int k;
		cin >> k;
		int prevx = 0, prevy = 0;
		for (int i = 0; i < mid.size(); ++i){
            mid[i].left = m;
            mid[i].right = 0;
		}
		for (int i = 0; i < k; ++i) {
			int x, y;
			cin >> x >> y;
			int left = 0, right = mid.size();
			while (right - left > 1){
                int m = (left + right) / 2;
                if (mid[m].x <= x)
                    left = m;
                else
                    right = m;
			}
			if (mid[left].x == x){
				mid[left].left = min(mid[left].left, y);
				mid[left].right = max(mid[left].right, y);
			}
		}
		all = mid;
	}
 	return 0;
}
