#include <iostream>
#include <iomanip>
#include <vector>
using namespace std;

double k(double x, double y, double a, double b, double ab2) {
    return -(a * x + b * y) / ab2;
}

double nc(double x, double k, double a) {
    return x + k * a;
}

int y(double x, double y) {
    if (x < 0) return -1;
    if (x > 0) return 1;
    if (y < 0) return -1;
    return 1;
}

int main() {
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        double ax1, ay1, ax2, ay2;
        double bx1, by1, bx2, by2;
        double vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2;
        cin >> bx1 >> by1 >> bx2 >> by2;
        cin >> vx >> vy;

        double Ax1 = ax1, Ay1 = ay1, Ax2 = ax2, Ay2 = ay2;
        double Bx1 = bx1, By1 = by1, Bx2 = bx2, By2 = by2;

        double a = vx, b = vy;
        double ab2 = a * a + b * b;

        double ka1 = k(ax1, ay1, a, b, ab2);
        ax1 = nc(ax1, ka1, vx);
        ay1 = nc(ay1, ka1, vy);

        double ka2 = k(ax2, ay2, a, b, ab2);
        ax2 = nc(ax2, ka2, vx);
        ay2 = nc(ay2, ka2, vy);

        double kb1 = k(bx1, by1, a, b, ab2);
        bx1 = nc(bx1, kb1, vx);
        by1 = nc(by1, kb1, vy);

        double kb2 = k(bx2, by2, a, b, ab2);
        bx2 = nc(bx2, kb2, vx);
        by2 = nc(by2, kb2, vy);

        double a1 = (ax1 * ax1 + ay1 * ay1) * y(ax1, ay1);
        double a2 = (ax2 * ax2 + ay2 * ay2) * y(ax2, ay2);
        double b1 = (bx1 * bx1 + by1 * by1) * y(bx1, by1);
        double b2 = (bx2 * bx2 + by2 * by2) * y(bx2, by2);

        if (a1 > a2) {
            double temp = a1;
            a1 = a2;
            a2 = temp;
        }
        if (b1 > b2) {
            double temp = b1;
            b1 = b2;
            b2 = temp;
        }

        //cout << a1 << " " << a2 << "   " << b1 << " " << b2 << endl;

        if (a2 < b1 || b2 < a1) cout << "No" << endl;
        else {
            if (a2 == b1) {
                double x = Bx1 - Ax2, y = By1 - Ay2;
                if ((x > 0 && vx > 0) || (x < 0 && vx < 0) || (x == 0 && ((y > 0 && vy > 0) || (y < 0 && vy < 0)))) cout << "Yes" << endl;
                else cout << "No" << endl;
            } else if (a1 == b2) {
                double x = Bx2 - Ax1, y = By2 - Ay1;
                if ((x > 0 && vx > 0) || (x < 0 && vx < 0) || (x == 0 && ((y > 0 && vy > 0) || (y < 0 && vy < 0)))) cout << "Yes" << endl;
                else cout << "No" << endl;
            } else cout << "Yes" << endl;
        }
    }
    return 0;
}
