#include <iostream>
#include <iomanip>
#include <vector>
using namespace std;

typedef long long int i64;

i64 k(i64 x, i64 y, i64 a, i64 b) {
    return -(a * x + b * y);
}

i64 nc(i64 x, i64 k, i64 a, i64 ab2) {
    return x * ab2 + k * a;
}

int y(i64 x, i64 y) {
    if (x < 0) return -1;
    if (x > 0) return 1;
    if (y < 0) return -1;
    return 1;
}

int main() {
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        i64 ax1, ay1, ax2, ay2;
        i64 bx1, by1, bx2, by2;
        i64 vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2;
        cin >> bx1 >> by1 >> bx2 >> by2;
        cin >> vx >> vy;

        i64 Ax1 = ax1, Ay1 = ay1, Ax2 = ax2, Ay2 = ay2;
        i64 Bx1 = bx1, By1 = by1, Bx2 = bx2, By2 = by2;

        i64 a = vx, b = vy;
        i64 ab2 = a * a + b * b;

        i64 ka1 = k(ax1, ay1, a, b);
        ax1 = nc(ax1, ka1, vx, ab2);
        ay1 = nc(ay1, ka1, vy, ab2);

        i64 ka2 = k(ax2, ay2, a, b);
        ax2 = nc(ax2, ka2, vx, ab2);
        ay2 = nc(ay2, ka2, vy, ab2);

        i64 kb1 = k(bx1, by1, a, b);
        bx1 = nc(bx1, kb1, vx, ab2);
        by1 = nc(by1, kb1, vy, ab2);

        i64 kb2 = k(bx2, by2, a, b);
        bx2 = nc(bx2, kb2, vx, ab2);
        by2 = nc(by2, kb2, vy, ab2);

        i64 a1 = (ax1 * ax1 + ay1 * ay1) * y(ax1, ay1);
        i64 a2 = (ax2 * ax2 + ay2 * ay2) * y(ax2, ay2);
        i64 b1 = (bx1 * bx1 + by1 * by1) * y(bx1, by1);
        i64 b2 = (bx2 * bx2 + by2 * by2) * y(bx2, by2);

        if (a1 > a2) {
            i64 temp = a1;
            a1 = a2;
            a2 = temp;

            temp = Ax1;
            Ax1 = Ax2;
            Ax2 = temp;

            temp = Ay1;
            Ay1 = Ay2;
            Ay2 = temp;
        }
        if (b1 > b2) {
            i64 temp = b1;
            b1 = b2;
            b2 = temp;

            temp = Bx1;
            Bx1 = Bx2;
            Bx2 = temp;

            temp = By1;
            By1 = By2;
            By2 = temp;
        }

        //cout << a1 << " " << a2 << "   " << b1 << " " << b2 << endl;
        //cout << Ax1 << " " << Ay1 << "   " << Ax2 << " " << Ay2 << endl;
        //cout << Bx1 << " " << By1 << "   " << Bx2 << " " << By2 << endl;

        if (a2 < b1 || b2 < a1) cout << "No" << endl;
        else {
            if (a2 == b1) {
                i64 x = Bx1 - Ax2, y = By1 - Ay2;
                bool b = true;
                //cout << x << "  " << y << endl;
                if (x != 0) {
                    if (x * a < 0) b = false;
                } else {
                    if (y * b < 0) b = false;
                }
                cout << (b ? "Yes" : "No") << endl;
            } else if (a1 == b2) {
                i64 x = Bx2 - Ax1, y = By2 - Ay1;
                bool b = true;
                //cout << x << "  " << y << endl;
                if (x != 0) {
                    if (x * a < 0) b = false;
                } else {
                    if (y * b < 0) b = false;
                }
                cout << (b ? "Yes" : "No") << endl;
            } else cout << "Yes" << endl;
        }
    }
    return 0;
}
