#include <bitset>
#include <cstring>
#include <chrono>
#include <random>
#include <algorithm>
#include <unordered_map>
#include <unordered_set>
#include <cstdio>
#include <set>
#include <map>
#include <string>
#include <queue>
#include <ctime>
#include <cassert>
#include <cstdlib>
#include <iostream>
#include <complex>
#include <cmath>
#include <queue>
#include <vector>

#define pb push_back
#define all(a) (a).begin(), (a).end()
#define pw(x) (1LL<<(x))
#define F first
#define S second

#define db(x) cerr << #x << " = " << x << endl
#define db2(x, y) cerr << "(" << #x << ", " << #y << ") = (" << x << ", " << y << ")\n";
#define db3(x, y, z) cerr << "(" << #x << ", " << #y << ", " << #z << ") = (" << x << ", " << y << ", " << z << ")\n"
#define dbv(a) cerr << #a << " = "; for (auto xxxx: a) cerr << xxxx << " "; cerr << endl

using namespace std;

typedef long long ll;
typedef double dbl;
const int INF = int(1.01e9);

struct pt {
    ll x, y;
    pt operator + (pt A) {
        return {x + A.x, y + A.y};
    }
    pt operator - (pt A) {
        return {x - A.x, y - A.y};
    }
    ll operator * (pt A) {
        return x * A.y - y * A.x;
    }
    ll operator % (pt A) {
        return x * A.x + y * A.y;
    }
    pt rotate() {
        return {y, -x};
    }
    void read() {
        scanf("%lld%lld", &x, &y);
    }
};

bool bbox(ll a, ll b, ll c, ll d) {
    if (a > b) swap(a, b);
    if (c > d) swap(c, d);
    return max(a, c) <= min(b, d);
}


bool solve() {
    pt A, B, C, D, v;
    A.read();
    B.read();
    C.read();
    D.read();
    v.read();
    pt u = v;
    v = v.rotate();
    if (A % v > B % v) {
        swap(A, B);
    }
    if (C % v > D % v) {
        swap(C, D);
    }
    ll a = A % v;
    ll b = B % v;
    ll c = C % v;
    ll d = D % v;
    if (bbox(a, b, c, d)) {
        if (a == b && c == d) {
            return (A % u < C % u);
        }
        if (a != b && a <= c) {
            return (B - A) * (C - A) > 0;
        }
        if (c != d && c <= a) {
            return (A - C) * (D - C) > 0;
        }
        assert(false);
    }
    else {
        return 0;
    }

}

int main() {
#define TASK "A"
#ifdef HOME
    assert(freopen(TASK".in", "r", stdin));
#endif
    int n;
    scanf("%d", &n);
    for (int i = 0; i < n; i++) {
        if (solve()) {
            puts("YES");
        }
        else {
            puts("NO");
        }
    }
    return 0;
}


