#include<bits/stdc++.h>

using namespace std;

#define x first
#define y second
#define ll long long
#define ld long double
#define pb push_back

const ll N = 1e5 + 5, inf = 1e9 + 10, mod = 1e9 + 7;

void c(ll & A, ll & B, ll & C, pair<pair<ll, ll>, pair<ll, ll>> a){
    A = a.x.y - a.y.y;
    B = a.y.x - a.x.x;
    C = A*a.x.x + B*a.x.y;
}

pair<ld, ld> solve(pair<pair<ll, ll>, pair<ll, ll>> a, pair<pair<ll, ll>, pair<ll, ll>> b){
    ll A, B, C, A1, B1, C1;
    c(A, B, C, a);
    c(A1, B1, C1, b);
    if(A*B1 - A1*B == 0 || B*A1 - B1*A == 0)
        return {inf, inf};
    else
        return {(ld)(C1*B - B1*C) / (ld)(B*A1 - B1*A), (ld)(C1*A - A1*C) / (ld)(A*B1 - A1*B)};
}

bool check(pair<pair<ll, ll>, pair<ll, ll>> a, pair<pair<ll, ll>, pair<ll, ll>> b){
    pair<ld, ld> s = solve(a, b);
    if(s == make_pair((ld)inf, (ld)inf) || ((s.x < a.x.x && a.y.x > a.x.x) || (s.x > a.x.x && a.y.x < a.x.x)) || s.y > max(b.x.y, b.y.y) || s.y < min(b.x.y, b.y.y))
        return false;
    else
        return true;
}

signed main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    while(n--){
        pair<pair<ll, ll>, pair<ll, ll>> a, b, v;
        cin >> a.x.x >> a.x.y >> a.y.x >> a.y.y >> b.x.x >> b.x.y >> b.y.x >> b.y.y >> v.y.x >> v.y.y;
        if(check({a.x ,{v.y.x + a.x.x, v.y.y + a.x.y}}, b) || check({a.y ,{v.y.x + a.y.x, v.y.y + a.y.y}}, b) ||
           check({b.x ,{-1*v.y.x + b.x.x, -1*v.y.y + b.x.y}}, a) || check({b.y ,{-1*v.y.x + b.y.x, -1*v.y.y + b.y.y}}, a))
            cout << "Yes\n";
        else
            cout << "No\n";
    }
}
/*
2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1
*/
