#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <numeric>
#include <set>

#define forn(i, n) for(int i = 0; i < n; ++i)
#define pb push_back
#define mp make_pair
#pragma warning (disable : 4996)

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;

const int INF = 1e9 + 7;

vector <bool> horiz;

vector <pair <int, int>> result;

pair <int, string> PathBetween(int l, int r) {
	int mid = (l + r) / 2;
	if (mid == 0) {
		mid = 1;
	}
	string res = "";
	for (int i = l; i < mid; i++)
		res += 'R';
	for (int i = result[l].second; i < result[r].first; i++)
		res += 'D';
	for (int i = mid; i < r; i++)
		res += 'R';
	return { mid, res };
}

string DoPath(int l, int r, set <int>& toAdd) {
	auto p = PathBetween(l, r);
	if (!horiz[p.first])
		toAdd.insert(p.first);
	string ans = "";
	for (int i = 0; i < result[l].second - result[l].first; i++) {
		ans += 'D';
	}
	return ans + p.second;
}



signed main() {
#ifdef LOCAL
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#endif

	int n, k;
	cin >> n >> k;
	horiz.resize(k + 10);
	result.resize(k + 10, { INF, -INF });

	horiz[0] = true;
	result[0] = { 1, 1 };
	horiz[k + 1] = true;
	result[k + 1] = { n, n };

	while (accumulate(horiz.begin(), horiz.end(), 0, plus<int>()) < k + 2) {
		vector <int> startPoses;
		for (int i = 0; i < horiz.size(); i++) {
			if (horiz[i])
				startPoses.push_back(i);
		}
		string s = "";
		set <int> res;
		for (int i = 0; i + 1 < startPoses.size(); i++) {
			s += DoPath(startPoses[i], startPoses[i + 1], res);
		}
		s.erase(s.begin());
		s.pop_back();
		cout << "? " << s << endl;
		
		int t;
		cin >> t;
		for (auto i : res)
			horiz[i] = true;

		for (int i = 0; i < t; i++) {
			int a, b;
			cin >> a >> b;
			swap(a, b);
			if (res.find(a) != res.end()) {
				result[a].first = min(result[a].first, b);
				result[a].second = max(result[a].first, b);
			}
		}
	}

	string ans = "! ";
	for (int i = 1; i <= k; i++) {
		for (int j = result[i].first; j < result[i].second; j++)
			ans.push_back('D');
		if (i != k)
			ans.push_back('R');
	}
	cout << ans << endl;
	return 0;
}