#include <iostream>
#include <vector>
#include <algorithm>
#include <string>

#define forn(i, n) for(int i = 0; i < n; ++i)
#define pb push_back
#define mp make_pair
#pragma warning (disable : 4996)

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;

pii d[4] = { mp(0,0), mp(1, 0), mp(1,1), mp(0,1) };

void out(string s1, string s2, string s3) {
	cout << s1 << " > " << s2 << " ? " << s3 << '\n';
}

string pt(int x, int y) {
	string ans;
	ans.push_back((x + 'a'));
	ans.push_back((y + '1'));
	return ans;
}

void push(int x, int y, int id, int c) {
	int x1 = x + d[id].first, y1 = y + d[id].second;
	int j = (id + c)%4;
	int x2 = x + d[j].first, y2 = y + d[j].second;
	out(pt(x2, y2), pt(x1, y1), pt(x, y));
	if (c > 1)push(x, y, id, c - 1);
}

void turn(int x, int y, int id) {
	
	forn(i, 3) {
		push(x, y, id, 1);
	}
	push(x, y, id, 2);
	push(x, y, id, 3);
}

void go_left(int n, int m) {
	forn(i, n - 1) {
		for (int j = m - 2; j >= 0; j--) {
			turn(j, i, 3);
		}
	}
}

void go_right(int n, int c) {
	forn(i, c - 1) {
		turn(i, n - 2, 2);
	}
}

signed main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	int n;
	cin >> n;
	for (int i = n; i > 2; i--) {
		for (int c = n; c > 1; c--) {
			go_left(i - 1, n);
			go_right(i, c);
		}
		turn(0, i - 3, 0);
		turn(0, i - 2, 3);
		go_left(i - 1, n);
		out(pt(0, i - 1), pt(1, i - 1), pt(0, i - 2));
	}

	return 0;
}