#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <numeric>
#include <set>
#include <bitset>

#define forn(i, n) for(int i = 0; i < n; ++i)
#define pb push_back
#define mp make_pair
#pragma warning (disable : 4996)

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;

const int N = 510;

bitset<N> ans[N][N];
bitset<N> us[N];
bitset<N> mask[N];

void dfs(int v, vector<vector<int>>& g, int par = -1) {
	for (int i : g[v])if (i != par) {
		us[i] = us[v] | mask[i];
		dfs(i, g, v);
	}
}

signed main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

	int n, k;
	cin >> n >> k;
	forn(i, N) {
		mask[i].reset();
		mask[i][i] = 1;
	}
	forn(i, N)forn(j, N)ans[i][j].set();
	forn(i, k) {
		vector<vector<int>>g(n);
		forn(i, n - 1) {
			int a, b;
			cin >> a >> b;
			--a;
			--b;
			g[a].push_back(b);
			g[b].push_back(a);
		}
		forn(i, n) {
			us[i] = mask[i];
			dfs(i, g);
			forn(j, i) {
				ans[i][j] &= us[j];
			}
		}
	}
	forn(i, n) {
		forn(j, n) {
			int c;
			if (i == j)c = 1;
			else if (i < j)c = ans[j][i].count();
			else c = ans[i][j].count();
			cout << c << ' ';
		}
		cout << '\n';
	}
	return 0;
}