#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <numeric>
#include <set>
#include <bitset>

#define forn(i, n) for(int i = 0; i < n; ++i)
#define pb push_back
#define mp make_pair
#pragma warning (disable : 4996)

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;

#pragma GCC optimize("Ofast,unroll-loops,no-stack-protector,fast-math")

const int N = 511;

bitset<N> ans[N][N];
bitset<N> us[N];
bitset<N> mask[N];

void dfs(int v, vector<vector<int>>& g, int r, bitset<N>&b, int par = -1) {
	for (int i : g[v])if (i != par) {
		b[i] = 1;
		ans[i][r] &= b;
		dfs(i, g, r, b, v);
		b[i] = 0;
	}
}

int input() {
	int x = 0;
	char c = ' ';
	while (!isdigit(c))
		c = _getchar_nolock();
	while (isdigit(c)) {
		x = x * 10 + (c - '0');
		c = _getchar_nolock();
	}
	return x;
}

void print(int x) {
	string s = to_string(x);
	for (char c : s)
		_putchar_nolock(c);
	return;
}

signed main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(0); cin.tie(NULL);

	int n = input();
	int k = input();
	forn(i, N) {
		mask[i].reset();
		mask[i][i] = 1;
	}
	forn(i, N)forn(j, N)ans[i][j].set();
	forn(i, k) {
		vector<vector<int>>g(n);
		forn(i, n - 1) {
			int a = input();
			int b = input();
			--a;
			--b;
			g[a].push_back(b);
			g[b].push_back(a);
		}
		forn(i, n) {
			bitset<N>b;
			b[i] = 1;
			dfs(i, g, i,b);
		}
	}
	//cout << clock() << endl;

	forn(i, n) {
		forn(j, n) {
			int c;
			if (i == j)c = 1;
			else if (i < j)c = ans[j][i].count();
			else c = ans[i][j].count();
			print(c);
			_putchar_nolock(' ');
		}
		_putchar_nolock('\n');
	}

	return 0;
}