#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <set>
#include <map>
#include <vector>
#include <cmath>
#include <iomanip>
#include <string>
#include <algorithm>

using namespace std;

inline void input() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cin.tie(NULL);
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif _DEBUG
}

typedef long long ll;
typedef long double dbl;
const int INF = (int)1e9;
const dbl ESP = 1e-7;

pair<dbl, dbl> turn(pair<dbl, dbl> coor, dbl cos, dbl sin) {
	pair<dbl, dbl> ret;
	ret.first = coor.first * cos - coor.second * sin;
	ret.first = coor.first * sin + coor.second * cos;
	return ret;
}

dbl len(pair<dbl, dbl> a) {
	return sqrt(a.first * a.first + a.second * a.second);
}

int main() {
	input();
	int n;
	cin >> n;
	for (int i = 0; i < n; i++) {
		vector <pair<dbl, dbl> > arr(4);
		for (int i = 0; i < 4; i++) {
			cin >> arr[i].first >> arr[i].second;
		}
		pair<dbl, dbl> v;
		cin >> v.first >> v.second;
		dbl l = len(v);
		for (int i = 0; i < 4; i++) {
			arr[i] = turn(arr[i], v.first / l, v.second / l);
		}
		dbl ax2 = max(arr[0].first, arr[1].first);
		dbl bx1 = min(arr[2].first, arr[3].first);
		if (ax2 < bx1 || abs(ax2 - bx1) <= ESP)
			cout << "YES\n";
		else
			cout << "NO\n";
	}
}
