#include <bits/stdc++.h>
#define int long long

using namespace std;

bool can_rem(int n) {
    while (n >= 10) {
        n /= 10;
    }
    if (n == 1) {
        return true;
    }
    return false;
}

int get_next_pow(int n) {
    int pow = 1;
    while (n > pow) {
        pow *= 10;
    }
    return pow;
}

int get_rem(int n) {
    int pow = 1;
    while (pow * 10 <= n) {
        pow *= 10;
    }
    n -= pow;
    return n;
}

int to_next_up(int n) {
    if (can_rem(n)) {
        return 0;
    }
    int next = get_next_pow(n);
    int val = next - n;
    return (val + 8) / 9;
}

int32_t main() {
    int a, b;
    cin >> a >> b;
    map<int, int> prev;
    map<int, int> counter;
    deque<int> numbers, r_n;
    numbers.push_front(a);
    counter[a] = 1;
    prev[a] = a;
    int operations = 1;
    while (counter[b] == 0 && operations <= 1000) {
        if (numbers.empty()) {
            operations++;
            swap(numbers, r_n);
        }
//        cerr << numbers.size() << ' ' << r_n.size() << '\n';
        int now = numbers.front();
//        cout << now << '\n';
        numbers.pop_front();
        if (now < b && (now % 9 == b % 9)) {
//            cout << "jopa\n";
            counter[b] = 1;
            prev[b] = now;
            break;
        }
        if (now < 1e11) {
            int move = to_next_up(now);
            int val = now + 9 * move;
            if (counter[val] != 1) {
                counter[val] = 1;
                prev[val] = now;
                r_n.push_back(val);
            }
        }
        int cloned = now;
        while (can_rem(now)) {
            now = get_rem(now);
            if (counter[now] != 1) {
                counter[now] = 1;
                prev[now] = cloned;
                r_n.push_back(now);
            }
        }
    }
    if (counter[b] == 0) {
        cout << "Broken\n";
    } else {
        vector<string> answer;
        int now = b;
        while (now != a) {
            int pred = prev[now];
            if (now > pred) {
                answer.emplace_back("+ " + to_string((now - pred) / 9));
            } else {
                int len_1 = to_string(now).size(), len_2 = to_string(pred).size();
                if (now == 0) {
                    len_1--;
                }
                if (pred == 0) {
                    len_2--;
                }
                answer.emplace_back("- " + to_string(len_2 - len_1));
            }
            now = pred;
        }
        cout << "Stable\n";
        cout << answer.size() << '\n';
        reverse(answer.begin(), answer.end());
        for (string s : answer) {
            cout << s << '\n';
        }
    }
}