#include <iostream>
#include <vector>
#include <string>
#include <cmath>
#include <iomanip>
#include <set>
#include <algorithm>
#include  <map>
#include  <numeric>
#include <random>

#pragma warning(disable : 4996)
using namespace std;

#define all(a) (a).begin(), (a).end()
#define nl '\n'

typedef long long ll;

const ll LINF = numeric_limits<ll>::max();
const int INF = numeric_limits<int>::max();

inline void IO() {
#ifdef _DIVAN
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
}

inline void solve() {
	int c = 0;
	vector <int> ans;
	ll a, b;
	cin >> a >> b;
	int last = 0;
	while (a > b) {
		if (c > 1000) {
			cout << "Broken";
			return;
		}
		string s = to_string(a);
		if (s[0] == '1') {
			if (last != 0) {
				c++;
				ans.emplace_back(last);
				last = 0;
			}
			c++;
			a /= 10;
			ans.emplace_back(-1);
		}
		else {
			last++;
			a += 9;
		}
	}
	int now = a % 9;
	int need = b % 9;
	while (now != need) {
		if (c > 1000) {
			cout << "Broken";
			return;
		}
		string s = to_string(a);
		if (s[0] == '1') {
			if (last != 0) {
				c++;
				ans.emplace_back(last);
				last = 0;
			}
			c++;
			a /= 10;
			ans.emplace_back(-1);
			now = (now - 1 + 9) % 9;
		}
		else {
			last++;
			a += 9;
		}
	}
	if (a != b) {
		ll raz = b - a;
		c++;
		ans.emplace_back(raz / 9);
	}
	for (auto u : ans) {
		if (u == 0) {
			c--;
		}
	}
	if (c > 1000) {
		cout << "Broken";
		return;
	}
	cout << "Stable\n";
	cout << c << "\n";
	for (auto u : ans) {
		if (u == 0) {
			continue;
		}
		if (u > 0) {
			cout << "+ " << u << "\n";
		}
		else {
			cout << "- " << -u << "\n";
		}
	}
}

int main() {
	IO();
	solve();
	return 0;
}