#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef vector<int> vi;
typedef vector<char> vc;

const int INF = 1000*1000*1000 + 10;
const ll INFLL = 1000LL*1000*1000*1000*1000*1000 + 10;

int main(){
    ios_base::sync_with_stdio(0);
//    cin.tie(0);
//    cout.tie(0);

#ifdef LOCAL
//    freopen("input.txt", "r", stdin);
#endif

    int n, m;
    cin >> n >> m;

    vector<vc> mat(n, vc(m, 1));

    auto genpath = [&]() -> string {
        string p;
        for (int i = 0; i < n; ++i) {
            if (p.size() == n + m - 2)
                break;
            for (int j = 0; j < m - 1; ++j) {
                if (mat[i][j]) {
                    if (i < n - 1 && mat[i + 1][j]) {
                        p += 'D';
                        break;
                    } else
                        p += 'R';
                }
            }
        }

        return p;
    };

    vi h(m, INF);

    int cnt = 0;
    while (cnt < n + m - 1) {
        string path = genpath();
        cout << "? " << path << endl;

        int t;
        cin >> t;

        for (int i = 0; i < t; ++i) {
            int a, b;
            cin >> a >> b;
            --b, --a;
            if (mat[a][b] != 2) {
                mat[a][b] = 2;
                cnt++;
            }
        }

        int x = 0, y = 0;
        for (int i = 0; i < path.size(); ++i) {
            if (mat[x][y] != 2) {
                h[y] = x;
            } else if (mat[x][y] == 2 && x < n - 1 && mat[x + 1][y] != 2) {
                h[y] = x + 1;
                if (y < m - 1 && mat[x][y + 1] != 2) {
                    mat[x][y + 1] = 2;
                    cnt++;
                }
            }
            if (path[i] == 'R')
                y++;
            else
                x++;
        }

        for (int i = 0; i < n; ++i)
            for (int j = 0; j < m; ++j)
                if (i >= h[j])
                    mat[i][j] = 0;
    }

    cout << "! " << genpath() << endl;

}