#define _CRT_SECURE_NO_WARNINGS
#include<algorithm>
#include<iostream>
#include<string>
#include<cmath>
#include<set>
#include<map>
#include<vector>
using namespace std;
#define int long long
#define elif else if
const int INF = (1 << 1);
int n, m;
bool good[INF + 1][INF + 1];
int x = 0, y = 0;
void down(int len) {
	for (int i = 0; i < len; i++) {
		if (x + 1 < n)
			cout << 'D';
		x++;
	}
}
void right(int len) {
	for (int i = 0; i < len; i++) {
		if (y + 1 < m)
			cout << 'R';
		y++;
	}
}
void color(int x1, int y1, int x2, int y2) {
	for (int i = x1; i <= x2; i++) {
		for (int j = y1; j <= y2; j++) {
			good[i][j] = false;
		}
	}
}
bool col[INF][INF];
bool int1(int y1, int y2, int x) {
	bool flag = false;
	for (int i = y1; i <= y2; i++) {
		if (col[x][i] == 1) {
			return true;
		}
		if (flag && col[x][i] == 0) {
			return true;
		}
	}
	return false;
}
bool int2(int x1, int x2, int y) {
	bool flag = false;
	for (int i = x1; i <= x2; i++) {
		if (col[i][y] == 1) {
			return true;
		}
		if (flag && col[i][y] == 0) {
			return true;
		}
	}
	return false;
}
signed main() {
	ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
	cin >> n >> m;
	for (int i = 0; i < INF + 1; i++) {
		for (int j = 0; j < INF + 1; j++) {
			good[i][j] = true;
		}
	}
	int len = INF / 2;
	while (len > 0) {
		x = 0;
		y = 0;
		vector<int>moves;
		cout << "? ";
		right(len);
		down(len);
		moves.push_back(1);
		while (x < INF - len || y < INF - len) {
			if (y + 2 * len < INF && good[x][y + 2 * len]) {
				right(len);
				moves.push_back(0);
				right(len);
				moves.push_back(0);
			}
			else if (x + 2 * len < INF && good[x + 2 * len][y]) {
				down(len);
				moves.push_back(1);
				down(len);
				moves.push_back(1);
			}
			else {
				throw(0);
			}
		}
		right(len);
		moves.push_back(0); //right
		down(len);
		cout << endl;
		int q;
		cin >> q;
		for (int i = 0; i < INF; i++) {
			for (int j = 0; j < INF; j++) {
				col[i][j] = false;
			}
		}
		for (int i = 0; i < q; i++) {
			int X, Y;
			cin >> X >> Y;
			X--;
			Y--;
			col[X][Y] = true;
		}
		//.................................................................
		int i = 0, j = len;
		for (auto t : moves) {
			if (t == 0) {
				if (int1(j, j + len - 1, i)) {
					color(i + 1, 0, i + len, j - j % len - 1);
					color(i, j - j % len + len, i - len + 1, m - 1);
				}
				j += len;
			}
			else {
				if (int2(i, i + len - 1, j)) {
					color(i - i % len + len, j - len, n - 1, j - 1);
					color(i - i % len - 1, j, 0, j + len - 1);
				}
				i += len;
			}
		}
		len /= 2;
	}
	cout << "! ";
	int i = 0, j = 0;
	while (i < n - 1 || j < m - 1) {
		if (i == n - 1) {
			cout << 'R';
			j++;
		}
		else if (j == m - 1) {
			cout << 'D';
			i++;
		}
		else {
			if (good[i + 1][j]) {
				cout << 'D';
				i++;
			}
			else {
				cout << 'R';
				j++;
			}
		}
	}
	cout << endl;
	return 0;
}