#include <iostream>
#include <algorithm>
#include <vector>
#include <string>

using namespace std;

//typedef long long ll;
//
//struct Point {
//	ll x, y;
//	Point(ll x = 0, ll y = 0) {
//		this->x = x;
//		this->y = y;
//	}
//};
//
//struct Vector {
//	ll x, y;
//	Vector() {}
//	Vector(ll x, ll y) {
//		this->x = x;
//		this->y = y;
//	}
//	Vector(Point p1, Point p2) {
//		x = p2.x - p1.x;
//		y = p2.y - p1.y;
//	}
//};
//
//ll cross_prod(Vector v1, Vector v2) {
//	return v1.x * v2.y - v2.x * v1.y;
//}
//
//ll dot_prod(Vector v1, Vector v2) {
//	return v1.x * v2.x + v1.y * v2.y;
//}
//
//int sign(ll x) {
//	if (x > 0)
//		return 1;
//	if (x < 0)
//		return -1;
//	return 0;
//}
//
//bool point_on(Point a, Point b, Point p, Vector v) {
//	Vector ap(a, p), bp(b, p);
//	return sign(cross_prod(v, ap)) * sign(cross_prod(v, bp)) <= 0;
//}
//
//bool inter(Point a, Point b, Point c, Point d, Vector v) {
//	if (point_on(a, b, c, v))
//		return true;
//	if (point_on(a, b, d, v))
//		return true;
//	if (point_on(c, d, a, Vector(-v.x, -v.y)))
//		return true;
//	if (point_on(c, d, b, Vector(-v.x, -v.y)))
//		return true;
//	return false;
//}
//
//Point a, b, c, d;
//Vector v;
//int n;
//
//int main() {
//	cin >> n;
//	for (int i = 0; i < n; i++) {
//		cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y;
//		cin >> v.x >> v.y;
//		if (inter(a, b, c, d, v))
//			cout << "Yes" << endl;
//		else
//			cout << "No" << endl;
//	}
//}

struct Data {
	int d, m, y;
	Data(int d, int m, int y) : d(d), m(m), y(y) {}
};

Data read() {
	string s;
	cin >> s;
	bool am = 0;
	for (auto u : s)
		am = am || u == '/';
	if (am) {
		int m = 0;
		int ind = 0;
		while (s[ind] != '/') {
			m = m * 10 + s[ind] - '0';
			ind++;
		}
		ind++;
		int d = 0;
		while (s[ind] != '/') {
			d = d * 10 + s[ind] - '0';
			ind++;
		}
		ind++;
		int y = 0;
		while (ind != s.size()) {
			y = y * 10 + s[ind] - '0';
			ind++;
		}
		return Data(d, m, y);
	}
	int m = 0;
	int ind = 0;
	int d = 0;
	while (s[ind] != '.') {
		d = d * 10 + s[ind] - '0';
		ind++;
	}
	ind++;
	while (s[ind] != '.') {
		m = m * 10 + s[ind] - '0';
		ind++;
	}
	ind++;
	int y = 0;
	while (ind != s.size()) {
		y = y * 10 + s[ind] - '0';
		ind++;
	}
	return Data(d, m, y);
}

void print(int val, int pr) {
	if (pr == 2) {
		if (val < 10)
			cout << 0;
		cout << val;
	}
	else {
		if (val < 1000)
			cout << 0;
		if (val < 100)
			cout << 0;
		if (val < 10)
			cout << 0;
		cout << val;
	}
}

int main() {
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	int n;
	cin >> n;
	for (int i = 0; i < n; i++) {
		auto tmp = read();
		print(tmp.d, 2);
		cout << '.';
		print(tmp.m, 2);
		cout << '.';
		print(tmp.y, 4);
		cout << ' ';
		print(tmp.m, 2);
		cout << '/';
		print(tmp.d, 2);
		cout << '/';
		print(tmp.y, 4);
		cout << '\n';
	}
}