#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
#define f first
#define s second
#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()
#define size(a) (ll)a.size()

ll binpow(ll a, ll n) {
    ll res = 1;
    while (n) {
        if (n & 1) {
            res *= a;
            n--;
        }
        a *= a;
        n >>= 1;
    }
    return res;
}

int main() {
    ios::sync_with_stdio(false);
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    ll l, r;
    cin >> l >> r;

    l--, r--;
    ll to = 3;
    while (l >= binpow(to, to)) {
        ll tmp = binpow(to, to);
        l -= tmp;
        r -= tmp;
        to++;
    }

    ll cnt = r - l + 1;
    vector<ll> a(3);
    for (int i = 0; i < 3; i++) {
        ll tmp = binpow(to, to - i - 1);
        a[i] = l / tmp + 1;
        l %= tmp;
    }

    while (cnt--) {
        cout << a[0] << char(94) << to << "+";
        cout << a[1] << char(94) << to;
        if (a[0] < a[2] && a[1] < a[2]) {
            cout << "<";
        } else {
            cout << ">";
        }
        cout << a[2] << char(94) << to << "\n";
        if (a[0] == to && a[1] == to && a[2] == to) {
            a[0] = a[1] = a[2] = 1;
            to++;
        } else {
            a[2]++;
            if (a[2] == to + 1) {
                a[2] = 1;
                a[1]++;
                if (a[1] == to + 1) {
                    a[1] = 1;
                    a[0]++;
                }
            }
        }
    }
}