#ifdef _DEV
#define DEV 1
#else
#define DEV 0
#endif

#include <bits/stdc++.h>

using namespace std;

void rmain(int test_id);

int main() {
    int tests = 1;
    if (DEV) {
        tests = 1000;
        freopen("input.txt", "r", stdin);
    } else {
        ios::sync_with_stdio(false);
        cin.tie(nullptr);
        cout << fixed << setprecision(15);
    }
    for (int t = 0; t < tests; ++t) {
        rmain(t);
        int ch = -1;
        while (DEV) {
            ch = getc(stdin);
            if (ch == -1 || !isspace(ch)) {
                break;
            }
        }
        if (ch == -1) {
            break;
        }
        ungetc(ch, stdin);
    }

    return 0;
}

using ll = long long;
using xld = __float128;

bool is_less(ll a, ll b, ll c, ll n) {
    if (a + b <= c) {
        return true;
    }
    if (a > c || b > c) {
        return false;
    }
    xld p = xld(a) / xld(c);
    xld q = xld(b) / xld(c);
    xld p_tot, q_tot;
    p_tot = q_tot = 1.0;
    while (n) {
        if (n % 2) {
            p_tot *= p;
            q_tot *= q;
        }
        p *= p;
        q *= q;
        n /= 2;
    }
    return p_tot + q_tot < 1.0;
}

void rmain(int test_id) {
    (void) test_id;
    ll skip, take, a, b;
    cin >> a >> b;
    take = b - a + 1;
    skip = a - 1;
    for (ll n = 3;; ++n) {
        if (take == 0) {
            break;
        }
        assert(n < 1'000'000);
        ll cnt = n * n * n + (n - 3) * (n * n * n - (n - 1) * (n - 1) * (n - 1));// (n - 1) * (n - 1) * (n - 1);
        if (cnt <= skip) {
            skip -= cnt;
            continue;
        }
        ll cur_take = min(take, cnt - skip);
        // [skip; skip + cur_take)
        ll cur_skip = skip;
        for (ll x1 = 1; x1 <= n; ++x1) {
            {
                ll m_cnt = n * n * (n - 2);
                if (x1 < n) {
                    m_cnt -= (n - 1) * (n - 1) * (n - 3);
                }
                if (m_cnt <= cur_skip) {
                    cur_skip -= m_cnt;
                    continue;
                }
            }
            for (ll x2 = 1; x2 <= n; ++x2) {
                {
                    ll m_cnt = n * (n-2);
                    if (x1 < n && x2 < n) {
                        m_cnt -= (n-1)* (n-3);
                    }
                    if (m_cnt <= cur_skip) {
                        cur_skip -= m_cnt;
                        continue;
                    }
                }
                for (ll x3 = 1; x3 <= n; ++x3) {
                    ll le, ri;
                    if (x1 == n || x2 == n || x3 == n) {
                        le = 3;
                        ri = n;
                    } else {
                        le = n;
                        ri = n;
                    }
                    {
                        ll m_cnt = ri - le + 1;
                        if (m_cnt <= cur_skip) {
                            cur_skip -= m_cnt;
                            continue;
                        }
                    }
                    for (ll x4 = le; x4 <= ri; ++x4) {
                        if (cur_skip > 0) {
                            cur_skip--;
                        } else if (cur_take == 0) {
                            break;
                        } else {
                            char sign = (is_less(x1, x2, x3, x4) ? '<' : '>');
                            if (DEV) {
                                printf("(%lld, %lld, %lld, %lld)\n", x1, x2, x3, x4);
                            }
                            printf("%lld^%lld+%lld^%lld%c%lld^%lld\n", x1, x4, x2, x4, sign, x3, x4);
                            --cur_take;
                            --take;
                        }
                    }
                    if (cur_take == 0) {
                        break;
                    }
                }
                if (cur_take == 0) {
                    break;
                }
            }
            if (cur_take == 0) {
                break;
            }
        }
        {
            ll t = min(cnt, skip);
            skip -= t;
        }
    }
}