#include <iostream>
#include <vector>
#include <algorithm>
#include <cassert>
#include <cmath>

#define M_PI 3.14159265358979323846

using namespace std;

#define deb(x) do { cout << #x" = " << x << endl ;} while (0)
#define deb(x)

#define float long double

signed main()
{
	int q;
	cin >> q;

	while (q--) {
		float vx, vy;
		float x[4], y[4];
		for (int i = 0; i < 4; i++) {
			cin >> x[i] >> y[i];
		}
		cin >> vx >> vy;

		for (int i = 1; i < 4; i++) {
			x[i] -= x[0];
			y[i] -= y[0];
		}
		x[0] = 0;
		y[0] = 0;

		// for (int i = 0; i < 4; i++) cout << i << ": " << x[i] << ' ' << y[i] << endl;

		float ang = atan2(vy, vx);
		ang = -ang;

		deb(ang);

		float c = cosl(ang);
		float s = sinl(ang);

		for (int i = 0; i < 4; i++) {
			float xx = x[i] * c - y[i] * s;
			float yy = x[i] * s + y[i] * c;
			x[i] = xx;
			y[i] = yy;

			deb(i);
			deb(x[i]);
			deb(y[i]);
		}

		float s1 = min(0.0l, y[1]);
		float e1 = max(0.0l, y[1]);
		float s2 = min(y[2], y[3]);
		float e2 = max(y[2], y[3]);
		
		float ss = min(s1, s2);
		float ee = max(e1, e2);

		if (ss < ee) {

			if (y[1] > 0) {
				cout << "No" << endl;
			}
			else {
				cout << "Yes" << endl;
			}
		}
		else {
			cout << "No" << endl;
		}
	}

	return 0;
}