#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

typedef long long ll;

struct D {
	vector<int> arr;

	void init1(string s) {
		int j = 0;
		for (int i = 0; i < s.size(); ++i) {
			if (s[i] == '.') {
				++j;
			}
			else {
				arr[j] = 10 * arr[j] + s[i] - '0';
			}
		}
	}

	void init2(string s) {
		int j = 0;
		for (int i = 0; i < s.size(); ++i) {
			if (s[i] == '/') {
				++j;
			}
			else {
				arr[j] = 10 * arr[j] + s[i] - '0';
			}
		}
		swap(arr[0], arr[1]);
	}

	void f(int x, int d) {
		vector<char> res;
		for (int i = 0; i < d; ++i) {
			res.push_back(x % 10);
			x /= 10;
		}
		reverse(res.begin(), res.end());
		for (int i = 0; i < d; ++i) {
			cout << (char)(res[i] + '0');
		}
	}

	void p1() {
		f(arr[0], 2);
		cout << '.';
		f(arr[1], 2);
		cout << '.';
		f(arr[2], 4);
	}

	void p2() {
		f(arr[1], 2);
		cout << '/';
		f(arr[0], 2);
		cout << '/';
		f(arr[2], 4);
	}

	D() {}

	D(string s) {
		arr.resize(3);
		if (find(s.begin(), s.end(), '.')!= s.end()) {
			init1(s);
		}
		else {
			init2(s);
		}
	}
};

int main() {
	int n;
	cin >> n;
	vector<string> arr(n);
	vector<D> ans(n);
	for (int i = 0; i < n; ++i) {
		cin >> arr[i];
		ans[i] = D(arr[i]);
	}
	for (int i = 0; i < n; ++i) {
		ans[i].p1();
		cout << ' ';
		ans[i].p2();
		cout << '\n';
	}
	return 0;
}