#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define int long long

const int N = 15;

int pw[N];

vector <pair <char, int>> ans;

string get(int x) {
	string res;
	while (x) {
		res += char('0' + (x % 10));
		x /= 10;
	}
	return res;
}

void make_zero(int x) {
 	while (true) {
		string cur = get(x);
		while (!cur.empty()) {
			if (cur.back() == '0') cur.pop_back();
			else if (cur.back() == '1') {
				cur.pop_back();
				ans.push_back({'-', 1});
			}
			else break;
		}	
		if (cur.empty()) break;
		reverse(cur.begin(), cur.end());
		x = stoll(cur);
		int ln = get(x).size();
		int nd = pw[ln];
		int cnt = (nd - x + 8) / 9;
		ans.push_back({'+', cnt});
		x += cnt * 9;
    }
}	

signed main() {
	ios_base::sync_with_stdio(false); cin.tie(0);
	#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	#endif
	pw[0] = 1;
	for (int i = 0; i + 1 < N; ++i) pw[i + 1] = pw[i] * 10;
	int a, b;
	cin >> a >> b;
	make_zero(a);    
	string wnt = get(b);
	for (int i = 0; i < (int)wnt.size(); ++i) {
		ans.push_back({'+', pw[i]});
		int x = wnt[i] - '0';
		for (int j = 8; j >= x; --j) {
			ans.push_back({'+', pw[i]});
			ans.push_back({'-', 1});
		} 	
	}
	cout << "Stable\n";
	cout << ans.size() << '\n';
	for (auto p : ans) {
		cout << p.first << ' ' << p.second << '\n';
	}	
}