#include <bits/stdc++.h>

#define pb push_back
#define fr(i, l, r) for(ll i = l; i <= r; ++ i)
#define sz size()
#define ft first
#define sd second
#define fi first
#define se second
#define PB push_back

using namespace std;

typedef int ll;
const ll N = 2005;

ll pref[N][N], n, m;
char a[N][N],c;
vector<pair<ll, ll> > v;
ll get(ll x,ll y,ll X,ll Y)
{
    return pref[X][Y] - pref[X][y - 1] - pref[x - 1][Y] + pref[x - 1][y - 1];
}
bool moveU(ll x,ll y)
{
    ll l,r,pos;
    l = y;
    r = y;
    pos = x - 1;
    while(pos >= 1)
    {
        if(get(pos,l, pos,r)) return 0;
        l = max(1,l - 1);
        r = min(m,r + 1);
        if(l == 1 && r == m)
        {
            if(get(1, 1, pos, r)) return 0;
            return 1;
        }
        pos--;
    }
    return 1;
}
bool moveD(ll x,ll y)
{
    ll l,r,pos;
    l = y;
    r = y;
    pos = x + 1;
    while(pos <= n)
    {
        if(get(pos,l, pos,r)) return 0;
        l = max(1,l - 1);
        r = min(m,r + 1);
        if(l == 1 && r == m)
        {
            if(get(pos, l, n, m)) return 0;
            return 1;
        }
        pos++;
    }
    return 1;
}

bool moveL(ll x,ll y)
{
    ll l,r,pos;
    l = x;
    r = x;
    pos = y - 1;
    while(pos >= 1)
    {
        if(get(l, pos, r, pos)) return 0;
        l = max(1, l - 1);
        r = min(n, r + 1);
        if(l == 1 && r == n)
        {
            if(get(1, 1, r, pos)) return 0;
            return 1;
        }
        pos--;
    }
    return 1;
}

bool moveR(ll x,ll y)
{
    ll l,r,pos;
    l = x;
    r = x;
    pos = y + 1;
    while(pos <= m)
    {
        if(get(l, pos, r, pos)) return 0;
        l = max(1, l - 1);
        r = min(n, r + 1);
        if(l == 1 && r == n)
        {
            if(get(r, pos, n, m)) return 0;
            return 1;
        }
        pos++;
    }
    return 1;
}

int main(){
    cin.tie(0);
    ios::sync_with_stdio(0);
    cin>>n>>m;
    for(int i = 1; i <= n; i++)
        for(int j = 1; j <= m; j++)
        {
            cin>>c;
            if(c != '.')
            {

                a[i][j] = c;
                v.PB({i,j});
                pref[i][j]++;
            }
            pref[i][j] += pref[i - 1][j] + pref[i][j - 1] - pref[i - 1][j - 1];
        }
    for(auto x : v)
    {
        c = a[x.fi][x.se];
        if(c == 'R')
        {
            if(moveR(x.fi, x.se))
            {
                a[x.fi][x.se] = 'R';
                continue;
            }
            if(moveU(x.fi, x.se))
            {
                a[x.fi][x.se] = 'U';
                continue;
            }
            if(moveD(x.fi, x.se))
            {
                a[x.fi][x.se] = 'D';
                continue;
            }
            a[x.fi][x.se] = 'L';
            continue;
        }

        if(c == 'L')
        {
            if(moveL(x.fi, x.se))
            {
                a[x.fi][x.se] = 'L';
                continue;
            }
            if(moveU(x.fi, x.se))
            {
                a[x.fi][x.se] = 'U';
                continue;
            }
            if(moveD(x.fi, x.se))
            {
                a[x.fi][x.se] = 'D';
                continue;
            }
            a[x.fi][x.se] = 'R';
            continue;
        }
        if(c == 'U')
        {
            if(moveU(x.fi, x.se))
            {
                a[x.fi][x.se] = 'U';
                continue;
            }
            if(moveR(x.fi, x.se))
            {
                a[x.fi][x.se] = 'R';
                continue;
            }
            if(moveL(x.fi, x.se))
            {
                a[x.fi][x.se] = 'L';
                continue;
            }
            a[x.fi][x.se] = 'D';
            continue;
        }
        if(c == 'D')
        {
            if(moveD(x.fi, x.se))
            {
                a[x.fi][x.se] = 'D';
                continue;
            }
            if(moveR(x.fi, x.se))
            {
                a[x.fi][x.se] = 'R';
                continue;
            }
            if(moveL(x.fi, x.se))
            {
                a[x.fi][x.se] = 'L';
                continue;
            }
            a[x.fi][x.se] = 'U';
            continue;
        }
    }
    for(int i = 1; i <= n; i++)
    {
        for(int j = 1; j <= m; j++)
        {
            cout<<a[i][j];
        }
        cout<<"\n";
    }
    return 0;
}
