#include<bits/stdc++.h>
#include<ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/detail/standard_policies.hpp>

#define forn(i, n) for (int i = 0; i < n; ++i)

using namespace std;
using namespace __gnu_pbds;

#ifdef DEBUG
#define io freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout)
#else
#define io ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)
#endif

#define all(a) a.begin(), a.end()

typedef long long ll;
typedef long double ld;
typedef tree<
        int,
        null_type,
        less<int>,
        rb_tree_tag,
        tree_order_statistics_node_update>
        ordered_set;

struct rect {
    int ax, ay, bx, by, center;
};

void out(rect r) {
    int ctr = r.by - r.ay + 1;
    for (int i = r.ay; i < r.center; ++i) cout << 'D';
    forn(i, r.bx - r.ax) cout << 'R';
    for (int i = r.center; i < r.by; ++i) cout << 'D';
}

void cnt_center(rect &a) {
    a.center = a.ay + (a.by - a.ay) / 2;
}

int32_t main() {
    int m, n;
    cin >> m >> n;

    vector<vector<bool>> field(n, vector<bool>(m));
    vector<rect> rects;
    rect a;
    a.ax = 0;
    a.ay = 0;
    a.bx = n - 1;
    a.by = m - 1;
    cnt_center(a);
    field[0][0] = true;
    field[n - 1][m - 1] = true;
    rects.push_back(a);

    forn(q, 10) {
        cout << "? ";
        forn(i, rects.size()) {
            out(rects[i]);
        }
        cout << endl;
        int ctr, y, x;
        cin >> ctr;
        int ptr = 0;
        forn(i, ctr) {
            cin >> y >> x;
            y--, x--;
            field[x][y] = true;
            if (ptr >= rects.size()) continue;
            if (y < rects[ptr].center) continue;
            if (y == rects[ptr].center) {
                rect a, b, r = rects[ptr];
                a.ax = r.ax, a.ay = r.ay;
                a.bx = x, a.by = y;
                cnt_center(a);
                b.ax = x, b.ay = y;
                b.bx = r.bx, b.by = r.by;
                cnt_center(b);
                rects.erase(rects.begin() + ptr);
                rects.insert(rects.begin() + ptr, b);
                rects.insert(rects.begin() + ptr, a);
                ptr += 2;
            }
        }
    }

    int ptr = 0;
    for (int x = 0; x + 1 < n; ++x) {
        while (!field[x + 1][ptr]) {
            ptr++;
            field[x][ptr] = true;
        }
    }
    for (; ptr < m; ++ptr) field[n - 1][ptr] = true;
    cout << "! ";
    ptr = 0;
    for (int x = 0; x < n; ++x) {
        while (field[x][ptr + 1]) {
            cout << 'D';
        }
        if (x != n - 1) cout << 'R';
    }
}

