#include <bits/stdc++.h>

using namespace std;

#define FOR(i, n) for (int i = 0; i < n; ++i)
#define debug(x) cout << #x << ": " << x << endl;
#define fi first
#define se second
#define mp make_pair
#define pb push_back
#define all(a) a.begin(), a.end()

typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
#define int long long
template <typename T1, typename T2> bool chkmin(T1 &x, T2 y) { return y < x ? (x = y, true) : false; };
template <typename T1, typename T2> bool chkmax(T1 &x, T2 y) { return y > x ? (x = y, true) : false; };

void fast()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
}

const int N = 61;
int dp[N][N][N][2];

struct point {
    int x, y;

    point(int _x = 0, int _y = 0): x(_x), y(_y) {}

    point operator + (point p) const {
        return point(x + p.x, y + p.y);
    }
    point operator - (point p)  const {
        return point(x - p.x, y - p.y);
    }
    ll operator % (const point &p) const
    {
        return x * (ll)p.x + y * (ll)p.y;
    }
    ll operator ^ (const point &p) const
    {
        return x * (ll)p.y - y * (ll)p.x;
    }
    point operator * (int k) {
        return point(k * x, k * y);
    }

    void scan() {
        cin >> x >> y;
    }
};

const int inf = 1e8;

signed main()
{
    fast();
#ifdef DEBUG
    //freopen("in", "r", stdin);
#endif
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        point a1, a2, b1, b2, v;
        a1.scan(); a2.scan(); b1.scan(); b2.scan(); v.scan();
        int A = -v.y;
        int B = v.x;
        int l = -A * a1.x - B * a1.y;
        int r = -A * a2.x - B * a2.y;
        if (l > r) swap(l, r);
        vector<point> pp = {b1, b2};
        int d = inf / max(llabs(v.x), llabs(v.y));
        v = v * d;
        bool fl = false;
        point dv = a2 - a1;
        vector<int> g;
        for (auto p : pp) {
            int c = -A * p.x - B * p.y;
            g.push_back(c);
            if (c < l || c > r) continue;
            point np = p - v;
            int mt1 = (dv ^ (np - a1));
            int mt2 = (dv ^ (p - a1));
            if (mt1 > 0 && mt2 < 0 || mt1 < 0 && mt2 > 0) {
                fl = true;
                cout << "Yes\n";
                break;
            }
        }
        if (!fl) {
            if (g[0] > g[1]) swap(g[0], g[1]);
            if (g[0] <= l && r <= g[1]) {
                for (auto p : pp) {
                    point np = p - v;
                    int mt1 = (dv ^ (np - a1));
                    int mt2 = (dv ^ (p - a1));
                    if (mt1 > 0 && mt2 < 0 || mt1 < 0 && mt2 > 0) {
                        fl = true;
                        cout << "Yes\n";
                        break;
                    }
                }
            }
            if (!fl) cout << "No\n";
        }
    }

    return 0;
}