#include <bits/stdc++.h>

using namespace std;

#define FOR(i, n) for (int i = 0; i < n; ++i)
#define debug(x) cout << #x << ": " << x << endl;
#define fi first
#define se second
#define mp make_pair
#define pb push_back
#define all(a) a.begin(), a.end()

typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
#define int long long
template <typename T1, typename T2> bool chkmin(T1 &x, T2 y) { return y < x ? (x = y, true) : false; };
template <typename T1, typename T2> bool chkmax(T1 &x, T2 y) { return y > x ? (x = y, true) : false; };

void fast()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
}
const int N = 1010;
struct rect {
    int x0, y0, x1, y1;

    std::pair<rect, rect> divide(int m) {
        int mid = (x0 + x1) / 2;
        return {{x0, y0, mid - 1, m}, {mid + 1, m, x1, y1}};
    }
    bool good() {
        return x0 <= x1 && y0 <= y1;
    }
    std::string get() {
        std::string answ = "";
        if (!good()) return "";
        int mid = (x0 + x1) / 2;
        for (int i = x0; i < mid; ++i) {
            answ.pb('D');
        }
        for (int j = y0; j < y1; ++j) {
            answ.pb('R');
        }
        for (int i = mid; i < x1; ++i) {
            answ.pb('D');
        }
        return answ;
    }
    int getMid() {
        return (x0 + x1) / 2;
    }
};
std::pair<int,int> answ[1010];
vector<rect> now[N];
int byMid[N], left1[N], right1[N];
signed main()
{
    fast();
//#ifdef DEBUG
//    freopen("in", "r", stdin);
//#endif
    int n, m;
    std::cin >> n >> m;
    FOR(i, n) {
        left1[i] = m + 1;
        right1[i] = -1;
    }
    now[0].pb({0, 0, n - 1, m - 1});
    FOR(i, N) {
        memset(byMid, -1, sizeof(byMid));
        if (now[i].empty()) continue;
        std::string check = "";
        bool fl = true;
        int x0 = 0, y0 = 0;
        FOR(j, now[i].size()) {
            fl &= ! now[i][j].good();
            if (!now[i][j].good()) continue;
            while (x0 < now[i][j].x0) {
                check.pb('D');
                ++x0;
            }
            while (y0 < now[i][j].y0) {
                check.pb('R');
                ++y0;
            }
            x0 = now[i][j].x1, y0 = now[i][j].y1;
            rect e = now[i][j];
            check += e.get();
        }
        if (fl) break;
        std::cout << "? " << check << std::endl;
        int k;
        std::cin >> k;
        vector<std::pair<int,int>> points;
        FOR(j, k) {
            int r, c;
            std::cin >> r >> c;
            --r; --c;
            left1[r] = std::min(left1[r], c);
            right1[r] = std::max(right1[r], c);
        }
        for (auto e : now[i]) {
            if (!e.good()) continue;
            auto q = e.divide(right1[e.getMid()]);
            now[i + 1].pb(q.first);
            now[i + 1].pb(q.second);
        }
    }
    std::cout << "! ";
    FOR(i, n) {
        for (int j = left1[i]; j < right1[i]; ++j) {
            std::cout << 'R';
        }
        if (i != n - 1) {
            std::cout << 'D';
        }
    }
    std::cout << std::endl;
    return 0;
}