#include <bits/stdc++.h>

using namespace std;
#define fori(n) for (int i = 0; i < n; i++)
#define forj(n) for (int j = 0; j < n; j++)
#define ll long long
#define all(v) v.begin(), v.end()
#define pb push_back
#define ld long double
#define ff first
#define ss second
#define fast ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
//#pragma GCC optimize("unroll-loops", "fast-math", "Ofast", "no-stack-protector")
//#pragma GCC optimize("avx2")

ll mod = 1e9 + 7;
ll INF = (ll) 1e20;
ld eps = 1e-9;

struct point {
    ld x, y;

    point() {
        x = 0, y = 0;
    }

    point(ld a, ld b) {
        x = a, y = b;
    }
};

point operator-(point &a, point &b) {
    return point(b.x - a.x, b.y - a.y);
}


point operator+(point a, point b) {
    return point(b.x + a.x, b.y + a.y);
}

ld operator*(point a, point b) {
    return a.x * b.y - a.y * b.x;
}

point operator*(point a, ld k) {
    return point(a.x * k, a.y * k);
}

point operator/(point a, ld k) {
    return point(a.x / k, a.y / k);
}

ld operator%(point th, point p) {
    return th.x * p.x + th.y * p.y;
}

bool eq(ld a, ld b) {
    return fabs(a - b) <= eps;
}

bool lessoreq(ld a, ld b) {
    return (a < b || eq(a, b));
}

bool isonline(point th, point a, point b) {
    return eq((a - th) * (b - th), 0);
}

bool isonseg(point th, point a, point b) {
    return (isonline(th, a, b) && lessoreq((a - th) % (b - th), 0));
}

point umn(point a, ld k) {
    return point(a.x * k, a.y * k);
}

//int getIntersection(point &a, point &b, point &c, point &d, point &ans) {
//    point v = b - a;
////    cout << "INGET1: " << v.x << ' ' << v.y << '\n';
//    cout << a.x << ' ' << a.y << ' ' << b.x << ' ' << b.y << ' ' << v.x << ' ' << v.y << '\n';
//    ld s1 = (c - a) * (d - a);
//    ld s2 = (d - b) * (c - b);
//    ld s = s1 + s2;
////    cout << s << ' ' << s1 << ' ' << s2 << '\n';
//    if(eq(s, 0)) {
//        if(!isonline(a, c, d))
//            return 0;
//        return 2;
//    }
//    v = v / s;
//    v = v * s1;
////    cout << "INGET2: " << v.x << ' ' << v.y << '\n';
//    ans = a + v;
//    return 1;
//}

ld getras(point a, point b, point c) {
    ld A = a.y - b.y;
    ld B = b.x - a.x;
    ld C = -A * a.x - B * a.y;
    return (fabs(A * c.x + B * c.y + C) / sqrt(A * A + B * B));
}

int getIntersection(point &a, point &b, point &c, point &d, point &ans) {
    point v = b - a;
//    cout << "INGET1: " << v.x << ' ' << v.y << '\n';
//    cout << a.x << ' ' << a.y << ' ' << b.x << ' ' << b.y << ' ' << v.x << ' ' << v.y << '\n';
    ld s1 = (c - a) * (d - a);
    ld s2 = (d - b) * (c - b);
    ld s = s1 + s2;
//    cout << s << ' ' << s1 << ' ' << s2 << '\n';
    if (eq(s, 0)) {
        if (!isonline(a, c, d))
            return 0;
        return 2;
    }
    point napv = a - b;
    ld l = -1e9, r = 1e9;
    for (int i = 0; i < 500; ++i) {
        ld m1 = l + (r - l) / 3;
        ld m2 = r - (r - l) / 3;
        point p1 = b + umn(napv, m1);
        point p2 = b + umn(napv, m2);
        ld len1 = getras(c, d, p1);
        ld len2 = getras(c, d, p2);
        if(len1 == len2) {
            l = m1, r = m2;
            continue;
        }
        if(len1 < len2) {
            r = m2;
        }
        else {
            l = m1;
        }
    }
    ans = b + umn(napv, l);
    return 1;
}

void solve() {
    point a, b, c, d;
    cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y;
    point v;
    cin >> v.x >> v.y;
    point e = point(), f;
    int nm = getIntersection(a, b, e, v, f);
    int nm2 = getIntersection(a, b, c, d, f);
    if((nm == 0 || nm == 2) && (nm2 != 1)) {
        if(nm2 == 0) {
            cout << "No\n";
            return;
        }
        if(a.x == b.x) {
            if(v.y > 0) {
                if(c.y > a.y) {
                    cout << "Yes\n";
                    return;
                }
                cout << "No\n";
                return;
            }
            else {
                if(c.y < a.y) {
                    cout << "Yes\n";
                    return;
                }
                cout << "No\n";
                return;
            }
        }
        else {
            if(v.x > 0) {
                if(c.x > a.x) {
                    cout << "Yes\n";
                    return;
                }
                cout << "No\n";
                return;
            }
            else {
                if(c.x < a.x) {
                    cout << "Yes\n";
                    return;
                }
                cout << "No\n";
                return;
            }
        }
    }
    ld A = a.y - b.y;
    ld B = b.x - a.x;
    ld C = -A * a.x - B * a.y;
    ld fir = c.x * A + c.y * B + C;
    point lol = a + v;
    ld sec = lol.x * A + lol.y * B + C;
    if (((fir < 0) && (sec > 0)) || ((fir > 0) && (sec < 0))) {
        cout << "No\n";
        return;
    }

    point p1 = a + v;
    point p2 = b + v;
    point int1;
    int num = getIntersection(p1, a, c, d, int1);
    if (num == 0 || num == 2) {
        if(num == 2) {
            cout << "Yes\n";
            return;
        }
        point res;
        getIntersection(a, b, c, d, res);
        if(isonseg(res, a, b)) {
            cout << "Yes\n";
        }
        else {
            cout << "No\n";
        }
        return;
    }
    point int2;
    num = getIntersection(p2, b, c, d, int2);
    if (num == 0 || num == 2) {
        int2 = c;
    }
    cout << int1.x << ' ' << int1.y << '\n';
    cout << int2.x << ' ' << int2.y << '\n';
    if (isonseg(int1, c, d) || isonseg(int2, c, d) || isonseg(c, int1, int2) || isonseg(d, int1, int2)) {
        cout << "Yes\n";
    } else
        cout << "No\n";
}

int main() {
    fast
    ll t;
    cin >> t;
    while (t--) {
        solve();
    }
}


/*
int n, m;
vector < pair < int, int > > keks;
string ask(int x1, int y1, int x2, int y2) {
    if (x1 == x2) {
        int l = -1, r = -1;
        if (x1 == 0) {
            l = 0;
            r = keks[x1 + 1].ff;
        } else if (x1 == n - 1) {
            l = keks[x1 - 1].ss;
            r = m - 1;
        } else {
            l = keks[x1 - 1].ss;
            r = keks[x1 + 1].ff;
        }
        if (l == -1 || r == -1) {
            cout << "smth is broken";
            exit(0);
        }
    } else {
        int mid = x1 + x2;
        mid /= 2;
        string ret;
        fori(mid - x1) ret.pb('D');
        fori(y2 - y1) ret.pb('R');
        fori(x2 - mid) ret.pb('D');
        return ret;
    }
}
int main() {
    cin >> n >> m;
    if (n == 1) {
        cout << "! ";
        fori(m) cout << 'D';
        return 0;
    }
    if (m == 1) {
        cout << "! ";
        fori(n) cout << 'R';
        return 0;
    }
    keks.resize(n);
    fori(n) keks[i] = {-1, -1};
}
*/