#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

#define size(s) (ll)s.size()

const ll N = 500;

#define int ll;

struct Poll {
    ll x, y;
};

struct Vector {
    ll x, y;
    Vector() {}
    Vector(Poll a, Poll b) {
        x = b.x - a.x;
        y = b.y - a.y;
    }
};

struct Line {
    ll a, b, c;
    Line() {}
    Line(Poll _a, Poll _b) {
        a = _b.y - _a.y;
        b = _a.x - _b.x;
        c = -(a * _a.x + b * _a.y);
    }
    ll get(Poll kek) {
        if (kek.x * a + kek.y * b + c == 0) {
            return 0;
        } else if (kek.x * a + kek.y * b + c > 0) {
            return 1;
        } else {
            return -1;
        }
    }
};

ll scalar(Vector a, Vector b) {
    return a.x * b.x + a.y * b.y;
}


double intersect(Line a, Line b) {
    double y = (-(a.c * b.a - b.c * a.a)) / (b.a * a.b - a.a * b.b);
    return y;
}

bool same(Line a, Line b) {
    return (b.a * a.b - a.a * b.b) == 0;
}

bool llersect(Poll a, Vector v, Poll b, Poll c) {
    Poll to = a;
    to.x += v.x;
    to.y += v.y;
    if (scalar(v, Vector(a, c)) < 0 && scalar(v, Vector(a, b)) < 0) {
        return 0;
    }
    Line l = Line(a, to);
    Line l1 = Line(b, c);
    if (l.get(b) == 0 || l.get(c) == 0 || l.get(b) != l.get(c)) {
        if (same(l, l1) || intersect(l, l1) >= a.y) {
            return 1;
        }
    }
    return 0;
}

signed main() {
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    //freopen("output.txt", "w", stdout);
    ios::sync_with_stdio(false);
    cin.tie(0);
    ll t;
        cin >> t;
    while (t--) {
        Poll s, t;
        Poll s1, t1;
        Vector v;
        cin >> s.x >> s.y >> t.x >> t.y;
        cin >> s1.x >> s1.y >> t1.x >> t1.y;
        cin >> v.x >> v.y;
        Vector v1;
        v1.x = -v.x;
        v1.y = -v.y;
        if (llersect(s, v, s1, t1)) {
            cout << "Yes\n";
        } else if (llersect(t, v, s1, t1)) {
            cout << "Yes\n";
        } else if (llersect(s1, v1, s, t)) {
            cout << "Yes\n";
        } else if (llersect(t1, v1, s, t)) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }
}

/*
2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1
*/
