import java.math.BigInteger;
import java.util.Scanner;

import static java.lang.Math.abs;

public class C {
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        long l, r;
        l = in.nextLong();
        r = in.nextLong();
        int c = (int) (r - l) + 1;
        long x = fn(l);
        long[] mas = new long[4];
        mas[0] = x;
        mas[1] = x;
        mas[2] = x;
        mas[3] = x;
        for (int i = 0; i < 4; i++) {
            long q = 0;
            long p = x;
            if (i == 3) q = 2;
            while (q + 1 < p) {
                long m = ((p + q) >> 1);
                mas[i] = m;
                long ch = fp(mas[0], mas[1], mas[2], mas[3], x);
                if (ch >= l) p = m;
                else q = m;
            }
            mas[i] = p;
        }
        int s = fk(mas[0], mas[1], mas[2], x);
        for (int i = 0; i < c; i++) {
            System.out.print(mas[0] + "^" + mas[3] + "+");
            System.out.print(mas[1] + "^" + mas[3]);
            if (mas[3] >= s) System.out.print("<");
            else System.out.print(">");
            System.out.println(mas[2] + "^" + mas[3]);
            mas[3]++;
            if (mas[3] > x) {
                mas[3] = 3;
                mas[2]++;
                if (mas[2] > x) {
                    mas[2] = 1;
                    mas[1]++;
                    if (mas[1] > x) {
                        mas[1] = 1;
                        mas[0]++;
                    }
                    if (mas[0] > x) {
                        mas[0] = 1;
                        mas[1] = 1;
                        mas[2] = 1;
                        mas[3] = x + 1;
                        x++;
                    }
                }
                if(mas[0]!=x&&mas[1]!=x&&mas[2]!=x)mas[3]=x;
                s = fk(mas[0], mas[1], mas[2], x);
            }
        }
    }

    private static long fp(long a, long b, long c, long n, long m) {
        long ans = (a - 1) * ((m - 2) * m + (m - 1) * (m - 2) + (m - 1) * (m - 1));
        if (a == m) {
            ans += (b-1)*m*(m-2);
            ans += (c-1)*(m-2);
            ans += n-2;
        } else {
            ans+=(b-1)*(m-2+m-1);
            if(b==m){
                ans+=(c-1)*(m-2);
                ans+=n-2;
            }else{
                ans+=(c-1);
                if(c==m)ans+=m-2;
                else{
                    if(n==m)ans+=1;
                    else ans=0;
                }
            }
        }
        return ans + (m - 1) * (m - 1) * (m - 1) * (m - 3);
    }

    private static int fk(long a, long b, long c, long x) {
        if (a >= c || b >= c) return (int) x + 1;
        int l = 2;
        int r = (int) x + 1;
        while (l + 1 < r) {
            int m = ((r + l) >> 1);
            BigInteger p = fl(BigInteger.valueOf(a), m).add(fl(BigInteger.valueOf(b), m));
            BigInteger q = fl(BigInteger.valueOf(c), m);
            if (p.compareTo(q) < 0) {
                r = m;
            } else l = m;
        }
        return r;
    }

    private static BigInteger fl(BigInteger c, int m) {
        if (m == 1) return c;
        BigInteger a = fl(c, m / 2);
        if (m % 2 == 0) return a.multiply(a);
        else return a.multiply(a.multiply(c));
    }

    private static long fn(long l) {
        long s = 2, r = 1100;
        while (s + 1 < r) {
            long m = ((s + r) >> 1);
            long k = m * m * m * (m - 2);
            if (k >= l) r = m;
            else s = m;
        }
        return r;
    }
}
