#include <bits/stdc++.h>
#pragma GCC optimize("Ofast")
#pragma GCC optimize("unroll-loops")
using namespace std;

typedef long long ll;

#define size(s) (ll)s.size()

const int N = 500;

bitset<N> mat[N][N];
int fl = 0;
bitset<N> cur;
vector<int> g[N];
int st = 0;

void dfs(int v, int p) {
    cur[v] = 1;
    if (st <= v) {
        if (fl) mat[st][v] = cur;
        else mat[st][v] &= cur;
    }
    for(int to : g[v]) {
        if (to != p)
            dfs(to, v);
    }
    cur[v] = 0;
}

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n, k;
    cin >> n >> k;
    for(int t = 0; t < k; t++) {
        fl = (t == 0);
        for(int j = 0; j < n; j++)
            g[j].clear();
        for(int j = 0; j < n - 1; j++) {
            int a, b;
            cin >> a >> b;
            --a; --b;
            g[a].push_back(b);
            g[b].push_back(a);
        }
        for(int i = 0; i < n; i++) {
            st = i;
            dfs(i, -1);
        }
    }
    for(int i = 0; i < n; i++) {
        for(int j = 0; j < n; j++) {
            if (i > j) cout << mat[j][i].count() << ' ';
            else cout << mat[i][j].count() << ' ';
        }
        cout << '\n';
    }
}

/*
4 2
1 3
4 2
3 4
1 4
4 3
2 4
*/
