#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
typedef vector<ll> vi;
#define all(a) a.begin(), a.end()
#define fori(a, n) for(ll a = 0; a < (n); ++a)
#define forI(a, n) for(ll a = 1; a <= (n); ++a)
#define x first
#define y second
#define pt pair<ll, ll>

ll gcd(ll a, ll b) {
    if (b == 0) return a;
    return gcd(b, a % b);
}

ll f(pt a, pt b){
    ll x1 = a.x;
    ll x2 = b.x;
    ll y1 = a.y;
    ll y2 = b.y;
    ll ans = x1 * y2 - x2 * y1;
    if(ans == 0) return 0;
    if(ans < 0) return -1;
    return 1;
}

ll sign(ll a){
    if(a == 0) return 0;
    return a / abs(a);
}

bool ch(vector<pt> v, pt a){
    ll si = 0;
    int i;
    for(i = 0; si == 0 && i < 4; ++i) {
        pt nxt = v[(i + 1) % 4];
        si = sign(f({a.x - v[i].x, a.y - v[i].y}, {nxt.x - v[i].x, nxt.y - v[i].y}));
    }
    for(; i < 4; ++i){
        pt nxt = v[(i + 1) % 4];
        ll u = sign(f({a.x - v[i].x, a.y - v[i].y}, {nxt.x - v[i].x, nxt.y - v[i].y}));

        if(u != 0 && u != si) return false;
    }
    return true;
}

bool ch2(pt a, pt b, pt c, pt d){
    for(int e = 0; e < 1; ++e){
        ll si = sign(f({c.x - a.x, c.y - a.y}, {b.x - a.x, b.y - a.y}));
        if(si == 0) break;
        ll si2 = sign(f({d.x - a.x, d.y - a.y}, {b.x - a.x, b.y - a.y}));
        if(si2 == 0) break;

        if(si == si2) return false;
    }
    swap(a, c);
    swap(b, d);
    for(int e = 0; e < 1; ++e){
        ll si = sign(f({c.x - a.x, c.y - a.y}, {b.x - a.x, b.y - a.y}));
        if(si == 0)
            return true;
        ll si2 = sign(f({d.x - a.x, d.y - a.y}, {b.x - a.x, b.y - a.y}));
        if(si2 == 0) return true;

        return si != si2;
    }
}

void solve() {
    ll n, m, t;

    cin >> n;
    pt a, b, c, d, v;
    fori(aksd, n) {
        cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;

        pt a2 = {a.x + v.x * 1000 * 1000 * 1000, a.y + v.y * 1000 * 1000 * 1000};
        pt b2 = {b.x + v.x * 1000 * 1000 * 1000, b.y + v.y * 1000 * 1000 * 1000};

        if(ch({a, b, b2, a2}, c) || ch({a, b, b2, a2}, d) || ch2(a, a2, c, d) || ch2(b, b2, c, d)){
            cout << "Yes\n";
        }else cout << "No\n";
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

#define DEBUG0
#ifdef DEBUG
    freopen("input.txt", "r", stdin);
#endif
    solve();
}