#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

struct point{
    ll x, y;
    point(): x(0), y(0){};
    point(ll x, ll y): x(x), y(y){};
};

struct vec{
    ll x, y;
    vec(): x(0), y(0){};
    vec(ll x, ll y): x(x), y(y){};
    vec(point a, point b): x(b.x - a.x), y(b.y - a.y){};

    ll operator *(vec oth)
    {
        return x * oth.y - y * oth.x;
    }
};

ll sig(ll a)
{
    if (a < 0)
        return (ll)-1;
    if (a == 0)
        return (ll)0;
    return (ll)1;
}

int main()
{
    ios_base::sync_with_stdio();
    cin.tie();
    cout.tie(0);

    int n;
    cin >> n;
    for (int i = 0; i < n; i++)
    {
        point a, b, c, d;
        vec v;
        cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;
        vec ab(a, b), ac(a, c), ad(a, d), bc(b, c), bd(b, d);
        if (sig(ab * v) == 0)
        {
            if (sig(ab * ac) != sig(ab * ad) || sig(ab * ac) == 0 || sig(ab * ad) == 0)
                cout << "Yes\n";
            else
                cout << "No\n";
            continue;
        }
        if (sig(ab * v) != sig(ab * ac) && sig(ab * v) != sig(ab * ad) && sig(ab * v) != 0)
        {
            cout << "No\n";
            continue;
        }
        if ((sig(ab * v) == sig(ab * ac) || sig(ab * ac) == 0) && (sig(ab * v) == sig(ab * ad) || sig(ab * ad) == 0))
        {
            if (sig(ac * v) != sig(ad * v) || sig(bc * v) != sig(bd * v) || (sig(ac * v) == 0 && sig(ab * v) == 0) || (sig(ad * v) == 0 && sig(ab * v) == 0))
                cout << "Yes\n";
            else
                cout << "No\n";
            continue;
        }
        if ((sig(ab * ac) == sig(ab * v) && sig(v * ac) != sig(v * ac)) || (sig(ab * ad) == sig(ab * v) && sig(v * ad) != sig(v * ad)))
        {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }
    return 0;
}
