#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <algorithm>
#include <string>
#include <vector>
#include <cassert>
#include <math.h>

using namespace std;

#define mp make_pair
#define size(x) (int)x.size()
#define all(x) x.begin(), x.end()

typedef long long ll;
typedef long long LL;

const LL cnst = 11111111111111111;

vector <pair<char, LL>> ans;

string to_str(LL x) {
	if (!x)
		return "0";
	string res = "";
	while (x) {
		res += x % 10 + '0';
		x /= 10;
	}
	reverse(all(res));
	return res;
}

void upd(LL a, LL b) {
	while (a % 9 != b % 9) {
		string sa = to_str(a);
		LL add = 0;
		for (int i = 0; i < size(sa); i++)
			add = add * 10 + 9;
		LL sub = add + 1;
		ans.push_back(mp('+', add / 9));
		a += add;
		sa = to_str(a);
		if (size(sa) > 1 && sa[1] == '0') {
			add = 9;
			for (int j = 2; j < size(sa); j++)
				add *= 10;
			a += add;
			ans.push_back(mp('+', add / 9));
		}
		ans.push_back(mp('-', 1));
		a -= sub;
	}
	assert(b >= a);
	if (b > a)
		ans.push_back(mp('+', (b - a) / 9));
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#else
	ios_base::sync_with_stdio(false);
	cin.tie(0);
#endif
	LL a, b;
	cin >> a >> b;
	if (a == 0) {
		a = 9;
		ans.push_back(mp('+', 1));
	}
	upd(a, cnst);
	ans.push_back(mp('-', 17));
	if (b == 0) {
		cout << "Stable\n";
		cout << size(ans) << endl;
		for (int i = 0; i < size(ans); i++)
			cout << ans[i].first << ' ' << ans[i].second << endl;
		return 0;
	}
	ans.push_back(mp('+', 1));
	upd(9, b);
	cout << "Stable\n";
	cout << size(ans) << endl;
	for (int i = 0; i < size(ans); i++)
		cout << ans[i].first << ' ' << ans[i].second << endl;
}