#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

typedef int64_t ll;
typedef long double ld;

void ask(ll x1, ll y1, ll x2, ll y2, ll x, ll y) {
	cout << char('a' + x1 - 1) << y1 << " > " << char('a' + x2 - 1) << y2 << " ? " << char('a' + x - 1) << y << "\n";
}

void move_max2(ll x, ll y) {
	for (int i = 0; i < 3; ++i) {
		ask(x, y - 1, x, y, x - 1, y - 1);
		ask(x - 1, y - 1, x, y, x - 1, y - 1);
		ask(x - 1, y, x, y, x - 1, y - 1);
	}
}

void move_max(ll x1, ll y1, ll x2, ll y2) {
	for (int i = x1 + 1; i <= x2; ++i) {
		for (int j = y1 + 1; j <= y2; ++j) {
			move_max2(i, j);
		}
	}
}

int main() {
	ll n;
	cin >> n;
	for (int j = n; j > 2; --j) {
		for (int i = n; i > 1; --i) {
			move_max(1, 1, i, j);
			move_max(1, 1, n, j - 1);
			for (int q = n; q > i; --q) {
				ask(q, j - 1, i, j, q - 1, j - 2);
				ask(q, j - 2, i, j, q - 1, j - 2);
				ask(q - 1, j - 2, i, j, q - 1, j - 2);
			}
			move_max2(i, j);
		}
		move_max(1, 1, n, j - 1);
		ask(2, j, 2, j - 1, 1, j - 1);
		ask(2, j - 1, 1, j - 1, 1, j - 1);
		ask(1, j - 1, 1, j, 1, j - 1);
		for (int q = n; q > 2; --q) {
			ask(q, j - 1, 1, j, q - 1, j - 2);
			ask(q, j - 2, 1, j, q - 1, j - 2);
			ask(q - 1, j - 2, 1, j, q - 1, j - 2);
		}
		move_max2(2, j - 1);
		ask(2, j - 1, 2, j - 2, 1, j - 2);
		ask(2, j - 2, 1, j - 2, 1, j - 2);
		ask(1, j - 2, 1, j - 1, 1, j - 2);
		ask(1, j, 2, j, 1, j - 1);
	}
	return 0;
}
