#include <bits/stdc++.h>


using namespace std;


//#define int long long


void warp()
{
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(false);
}


#define point pair<int, int>
#define x first
#define y second


istream& operator >> (istream& in, point &a)
{
    in >> a.x >> a.y;
    return in;
}


void go(point a, point b, string &cur)
{
    if (a.x == b.x)
    {
        while (a.y < b.y)
        {
            cur.push_back('R');
            a.y++;
        }
    }
    else if (a.y == b.y)
    {
        while (a.x < b.x)
        {
            cur.push_back('D');
            a.x++;
        }
    }
    else
    {
        if (b.x == a.x + 1)
        {
            while (a.y < b.y)
            {
                cur.push_back('R');
                a.y++;
            }
            cur.push_back('D');
            return;
        }
        int mid = (a.x + b.x) / 2;
        while (a.x != mid)
        {
            cur.push_back('D');
            a.x++;
        }
        while (a.y != b.y)
        {
            cur.push_back('R');
            a.y++;
        }
        while (a.x != b.x)
        {
            cur.push_back('D');
            a.x++;
        }
    }
}


struct cmp
{
    bool operator()(point a, point b)
    {
        return a.x + a.y < b.x + b.y;
    }
};


ostream& operator << (ostream& out, point a)
{
    out << a.x << " " << a.y;
    return out;
}


void print(vector<point> p)
{
    cout << p.size() << endl;
    for (int i = 0; i < p.size(); i++)
    {
        cout << p[i] << endl;
    }
}


vector<point> sorted(vector<point> p)
{
    sort(p.begin(), p.end(), cmp());
    vector<point> ans;
    ans.push_back(p[0]);
    for (int i = 1; i < p.size(); i++)
    {
        if (p[i] == p[i - 1]) continue;
        ans.push_back(p[i]);
    }
    return ans;
}


int n, m;
vector<vector<int> > field;


void shove(string s)
{
    int curx = 0, cury = 0;
    for (int i = 0; i < s.size(); i++)
    {
        if (s[i] != 'R' && s[i] != 'D') continue;
        field[curx][cury] = -1;
        if (s[i] == 'D') curx++;
        else cury++;
    }
}


void mark(vector<point> p)
{
    for (int i = 0; i < p.size(); i++)
    {
        field[p[i].x - 1][p[i].y - 1] = 1;
    }
}


void dfs(int x, int y)
{
    //if (field[x][y]) return;
    field[x][y] = 1;
    if (x == field.size() - 1 && y == field[x].size() - 1) return;
    if (x == field.size() - 1)
    {
        if (field[x][y + 1] != 0) return;
        dfs(x, y + 1);
        return;
    }
    if (y == field[x].size() - 1)
    {
        if (field[x + 1][y] != 0) return;
        dfs(x + 1, y);
        return;
    }
    if (field[x + 1][y] == -1)
    {
        if (field[x][y + 1] != 0) return;
        dfs(x, y + 1);
        return;
    }
    if (field[x][y + 1] == -1)
    {
        if (field[x + 1][y] != 0) return;
        dfs(x + 1, y);
        return;
    }
}


void pr()
{
    for (int i = 0; i < field.size(); i++)
    {
        for (int j = 0; j < field[i].size(); j++) cout << field[i][j] << " ";
        cout << endl;
    }
}


signed main()
{
    //warp();
    cin >> m >> n;
    field.resize(m, vector<int> (n));
    if (n * m == 1)
    {
        cout << "! " << endl;
        return 0;
    }
    vector<point> a;
    a.push_back(point(1, 1));
    a.push_back(point(m, n));
    int cnt = 0;
    string question = "azazaz";
    vector<point> reserve;
    while (a.size() != n + m - 1)
    {
        if (cnt == 10)
        {
            //assert(1 == 0);
        }
        cnt++;
        string form = "? ";
        for (int i = 0; i < a.size() - 1; i++)
        {
            go(a[i], a[i + 1], form);
        }
        vector<point> t;
        int k;
        if (form == question)
        {
            //cout << "CHECK " << form << endl << question.size() << endl;
            //return 0;
            cnt--;
            t = reserve;
            k = t.size();
        }
        else
        {
            question = form;
            cout << form << endl;
            cin >> k;
            t.resize(k);
            for (int i = 0; i < k; i++) cin >> t[i];
            reserve = t;
        }
        vector<point> smth;
        int cur = 0;
        for (int i = 0; i < a.size() - 1; i++)
        {
            if (a[i + 1].x == a[i].x + 1)
            {
                while (t[cur] != a[i]) cur++;
                while (cur + 1 < t.size() && t[cur + 1].x == t[cur].x) cur++;
                point p = t[cur];
                p.x++;
                while (p.y <= a[i + 1].y)
                {
                    smth.push_back(p);
                    p.y++;
                }
            }
        }
        while (smth.size())
        {
            t.push_back(smth.back());
            smth.pop_back();
        }
        a = sorted(t);
        shove(question);
        mark(a);
        a.clear();
        for (int i = 0; i < field.size(); i++)
        {
            for (int j = 0; j < field[i].size(); j++)
            {
                if (field[i][j] == 1) dfs(i, j);
            }
        }
        //pr();
        for (int i = 0; i < field.size(); i++)
        {
            for (int j = 0; j < field[i].size(); j++)
            {
                if (field[i][j] == 1) a.push_back(point(i + 1, j + 1));
            }
        }
        //print(a);
    }
    string ss = "! ";
    for (int i = 0; i < a.size() - 1; i++)
    {
        go(a[i], a[i + 1], ss);
    }
    cout << ss << endl;
    return 0;
}
