#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <vector>
#include <string>
#include <iostream>
#include <map>
#include <set>
#include <cmath>
#include <fstream>
#include <math.h>
#include <algorithm>

#define all(a) a.begin(), a.end()
#define mp make_pair
#define rt return
#define ll long long
#define ld long double

#define rep(n, i) for(int i=0;i<n;i++)
#define per(n, i) for(int i=n - 1;i>= 0;--)



using namespace std;

const int MAX_SIZE = 1e3 + 5, INF = 2e9;
const long long SuperINF = 1e18;
const double eps = 1e-5;


void files() {
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
}

int m, n;


int ans[MAX_SIZE][MAX_SIZE];

struct rect {
	int x1, y1, x2, y2;
	rect(int x1_, int y1_, int  x2_,  int y2_) {
		x1 = x1_;
		y1 = y1_;
		x2 = x2_;
		y2 = y2_;
	}
};


vector<rect> arr;


void solve(rect &a) {
	if (a.x1 == a.x2 && a.y1 == a.y2)
		return;

	int x = (a.x1 + a.x2) / 2;

	for (int i = a.x1; i < x; i++) {
		cout << "R";
	}

	for (int i = a.y1; i < a.y2; i++) {
		cout << "D";
	}

	for (int i = x; i < a.x2; i++) {
		cout << "R";
	}
}

int main() {
	std::ios_base::sync_with_stdio(false);
	//files();
	cin >> m >> n;

	// x, y
	arr.push_back(rect(1, 1, n, m));

	while (arr.size() != n) {
		cout << "? ";
		for (auto x : arr) {
			solve(x);
		}

		cout << endl;

		vector<rect> new_arr;
		map<int, int> cords;

		int t;
		cin >> t;
		for (int i = 0; i < t; i++) {
			int r, c;
			cin >> r >> c;
			cords[c] = r;
		}

		for (auto re : arr) {
			int x = (re.x1 + re.x2) / 2;
			new_arr.push_back(rect(re.x1, re.y1, x, cords[x]));
			new_arr.push_back(rect(x, cords[x], re.x2, re.y2));
		}

		arr = new_arr;
	}

	set<pair<int, int>> ans;
	for (auto x : arr) {
		ans.insert(mp(x.x1, x.y1));
		ans.insert(mp(x.x2, x.y2));
	}
	
	vector<pair<int, int>> gg;

	for (auto x : ans)
		gg.push_back(x);

	cout << "! ";

	for (auto x : gg) {
		cout << x.first << " " << x.second << "\n";
	
	}

	for (int i = 1; i < gg.size(); i++) {
		if (gg[i].first - gg[i - 1].first)
			cout << "R";
		else
			cout << "D";
	}

	cout << endl;


	return 0;
}