#include <bits/stdc++.h>

using namespace std;

#define ll long long
#define F first
#define S second
#define fst first
#define sbd second
#define forn(i0, n0) for(int i0 = 0; i0<n0; i0++)
#define forab(i0, a0, b0) for(int i0 = a0; i0<b0; i0++)
#define all(x) x.begin(), x.end()
#define ld long double;

typedef vector<int> vi;


ll sqr(ll x) {
    return x * x;
}


struct Vector {
    ll x, y;

    Vector() {}

    Vector(ll nx, ll ny) {
        x = nx;
        y = ny;
    }
};

ll operator*(const Vector &v1, const Vector &v2) {
    return v1.x * v2.x + v1.y * v2.y;
}

ll operator%(const Vector &v1, const Vector &v2) {
    return v1.x * v2.y - v2.x * v1.y;
}

Vector operator+(const Vector &v1, const Vector &v2) {
    return Vector(v1.x + v2.x, v2.y + v1.y);
}

Vector operator-(const Vector &v1, const Vector &v2) {
    return Vector(v1.x - v2.x, v1.y - v2.y);
}


int sgn(ll a){
    if (a > 0)
        return 1;
    if (a == 0)
        return 0;
    return -1;
}

bool interRaySeg(Vector a, Vector b, Vector c, Vector d) {
    if ((((c - a) % (b - a)) == 0) && (((c - a) * (b - a)) >= 0))
        return true;
    if ((((d - a) % (b - a)) == 0) && (((d - a) * (b - a)) >= 0))
        return true;
    //cout << "kek" << endl;
    ll ob = sgn((c - a) % (d - a));
    ll f = sgn((c - a) % (b - a));
    ll s = sgn((b - a) % (d - a));
//    cout <<a.x << " " << a.y << endl;
//    cout << b.x << ' ' << b.y << endl;
//    cout << c.x << " " << c.y << endl;
//    cout << d.x << " " << d.y << endl;

    //cout << "erere " << ob << " " << f << " " << s << endl;
    if (ob * f > 0 && ob*s > 0)
        return true;
    return false;
}



int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin >> t;
    for (int test = 0; test < t; test++) {
        ll x, y;
        cin >> x >> y;

        Vector a(x, y);
        cin >> x >> y;
        Vector b(x, y);
        cin >> x >> y;
        Vector c(x, y);
        cin >> x >> y;
        Vector d(x, y);

        cin >> x >> y;
        Vector v(x, y);

        if ((b - a) % v == 0) {
            if (interRaySeg(a, a + v, c, d) || interRaySeg(b, b + v, c, d))
                cout << "Yes\n";
            else
                cout << "No\n";
            continue;
        }
//
//        cout << interRaySeg(a, a + v, c, d) << endl;
//        cout << interRaySeg(b, b + v, c, d) << endl;

        if (interRaySeg(a, a + v, c, d) || interRaySeg(b, b + v, c, d)) {
            cout << "Yes\n";
            continue;
        }

        //cout <<  (b - a) % (c - a)  << endl;
        //cout <<  ((b - a) % v) << endl;
        ll baca = sgn(((b - a) % (c - a)));
        ll bav = sgn(((b - a) % v));

        if (baca * bav <= 0){
            cout << "No\n";
            continue;
        }


        if ((sgn((c - a) % (v)) * sgn(v % (c - b))) >= 0){
            cout << "Yes\n";
            continue;
        }

        if ((sgn((d - a) % (v)) * sgn(v % (d - b))) >= 0){
            cout << "Yes\n";
            continue;
        }

        cout << "No\n";

    }
    return 0;
}