#include <bits/stdc++.h>

using namespace std;

#define ll long long
#define F first
#define S second
#define fst first
#define sbd second
#define forn(i0, n0) for(int i0 = 0; i0<n0; i0++)
#define forab(i0, a0, b0) for(int i0 = a0; i0<b0; i0++)
#define all(x) x.begin(), x.end()
#define ld long double
#define pb push_back
#define pii pair<int, int>
#define vpii vector<pii>
typedef vector<int> vi;
typedef vector<vector<int>> vvi;

const int N = 1e3 + 3;
vvi dp(N, vi(N));

string go(pii p1, pii p2, vvi &mem){
    int x1 = p1.first, x2 = p2.first;
    int y1 = p1.second, y2 = p2.second;
    string ans;
    forab(x, x1, x2 + 1) {
        forab(y, y1, y2 + 1){
            dp[x][y] = 0;
        }
    }
    dp[x1][y1] = 1;
    forab(x, x1, x2 + 1) {
        forab(y, y1, y2 + 1){
            if (mem[x][y] == 2) continue;
            if (x > x1 && dp[x - 1][y]) dp[x][y] = 1;
            if (y > y1 && dp[x][y - 1]) dp[x][y] = 1;
        }
    }
    while (x1 != x2 || y1 != y2){
        if (x2 > x1 && dp[x2 - 1][y2]){
            x2--;
            ans += "D";
        }
        if (y2 > y1 && dp[x2][y2 - 1]){
            y2--;
            ans += "R";
        }
    }
    reverse(all(ans));
    return ans;
}

int main() {
    //ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n, m;
    cin >> n >> m;
    vpii path;
    path.pb({1, 1});
    path.pb({n, m});
    ll siz = n + m - 2;
    vvi mem(n + 1, vi(m + 1));
    while (path.size() <= siz){
        string s;
        forn(i, path.size() - 1){
            int x1 = path[i].first, y1 = path[i].second;
            int x2 = path[i + 1].first, y2 = path[i + 1].second;
            int xm = (x1 + x2) / 2;
            int ym;
            forab(y, y1, y2 + 1){
                if (mem[xm][y] < 2){
                    ym = y;
                    break;
                }
            }
            s += go(path[i], {xm, ym}, mem);
            s += go({xm, ym}, path[i + 1], mem);
        }
        cout << "? " << s << '\n';
        vpii xy;
        xy.pb({1, 1});
        ll X = 1, Y = 1;
        forn(i, s.length()){
            if (s[i] == 'R') Y++; else X++;
            xy.pb({X, Y});
        }
        fflush(stdout);
        int k;
        cin >> k;
        forn(i, k){
            int x, y;
            cin >> x >> y;
            path.pb({x, y});
        }
        set<pii> path1;
        for (pii p : path) path1.insert(p);
        path.clear();
        for (pii p : path1) path.pb(p);
        for (pii p : xy){
            if (path1.count(p)) mem[p.first][p.second] = 1; else mem[p.first][p.second] = 2;
        }
//        forn(i, n + 1){
//            forn(j, m + 1) cout << mem[i][j] << ' ';
//            cout << '\n';
//        }
    }
    string s;
    forn(i, path.size() - 1){
        int x1 = path[i].first, y1 = path[i].second;
        int x2 = path[i + 1].first, y2 = path[i + 1].second;
        if (x1 == x2) s += "R"; else s += "D";
    }
    cout << "! " << s << '\n';
    return 0;
}