#include <bits/stdc++.h>

using namespace std;

#define ll long long
#define F first
#define S second
#define fst first
#define sbd second
#define forn(i0, n0) for(int i0 = 0; i0<n0; i0++)
#define forab(i0, a0, b0) for(int i0 = a0; i0<b0; i0++)
#define all(x) x.begin(), x.end()
#define ld long double
#define pb push_back

typedef vector<int> vi;

const int maxn = 505;
const int Log = 11;

vector<vi> g;
vi d, depth, pos, vrt;
bool used[maxn];

void dfs(int v) {
    used[v] = true;
    pos[v] = vrt.size();
    vrt.pb(v);
    d.pb(depth[v]);
    for (int u: g[v]) {
        if (!used[u]) {
            depth[u] = depth[v] + 1;
            dfs(u);
            vrt.pb(v);
            d.pb(depth[v]);
        }
    }
}

int table[Log][maxn], sparse[Log][maxn];
int cnt[maxn];

void build() {
    for (int i = 0; i < Log; i++) {
        for (int j = 0; j < maxn; j++) {
            sparse[i][j] = table[i][j] = 0;
        }
    }

    forn(j, Log) {
        forn(i, d.size()) {
            if (i + (1 << j) > d.size()) break;
            if (j == 0) {
                table[j][i] = d[i];
                sparse[j][i] = vrt[i];
            } else {
                table[j][i] = min(table[j - 1][i], table[j - 1][i + (1 << (j - 1))]);
                if (table[j][i] == table[j - 1][i]) sparse[j][i] = sparse[j - 1][i];
                else sparse[j][i] = sparse[j - 1][i + (1 << (j - 1))];
            }
        }
    }
    cnt[0] = -1;
    forab(i, 1, maxn) cnt[i] = cnt[i >> 1] + 1;
}

int get_LCA(int u, int v) {
    int l = pos[u];
    int r = pos[v];
    if (l > r) swap(l, r);
    int j = cnt[r - l + 1];
    return table[j][l] < table[j][r - (1 << j) + 1] ? sparse[j][l] : sparse[j][r - (1 << j) + 1];
}

int everlca[maxn][maxn];

bool current[maxn];
bool ans[maxn][maxn];
int result[maxn][maxn];

void mydfs(int v, int p = -1) {
    current[v] ^= 1;
    for (int i = 0; i < maxn; i++) {
        ans[v][i] = ans[v][i] & current[i];
    }
    for (auto u: g[v]) {
        if (u == p) continue;
        mydfs(u, v);
    }
    current[v] ^= 1;
}

void calcans(int a, int b) {
    for (int i = 0; i < maxn; i++) {
        if (ans[a][i] && ans[b][i] && everlca[a][b] == i) {
            result[a][b]++;
            continue;
        }
        result[a][b] += ans[a][i] ^ ans[b][i];
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    for (int i = 0; i < maxn; i++) {
        everlca[i][i] = i;
        for (int j = i + 1; j < maxn; j++) {
            everlca[i][j] = -2;
        }
    }

    for (int i = 0; i < maxn; i++) {
        for (int j = 0; j < maxn; j++) {
            ans[i][j] = 1;
        }
    }

    //cout << "kek" << endl;
    int n, k;
    cin >> n >> k;
    pos.resize(n);
    depth.resize(n, 0);

    for (int t = 0; t < k; t++) {
        g.clear();
        d.clear(),  vrt.clear();
        fill(used, used + n, false);
        g.resize(n);
        for (int j = 0; j < n - 1; j++) {
            int u, v;
            cin >> u >> v;
            u--, v--;
            g[u].pb(v);
            g[v].pb(u);
        }
        dfs(0);
        //cout << "kek1 " << endl;

        build();
        //cout << "kek " << endl;
        for (int i = 0; i < n; i++) {
            for (int j = i + 1; j < n; j++) {
                if (everlca[i][j] == -1) continue;
                int cur = get_LCA(i, j);
                if (everlca[i][j] == -2) {
                    everlca[i][j] = cur;
                    continue;
                }
                if (cur != everlca[i][j])
                    everlca[i][j] = -1;
            }
        }
        mydfs(0);
    }

    for (int a = 0; a < n; a++) {
        result[a][a] = 1;
        for (int b = a + 1; b < n; b++) {
            calcans(a, b);
        }
    }
    for (int i = 0; i< n; i++){
        for (int j = 0; j < n; j++){
            cout << result[min(i, j)][max(i, j)] << " ";
        }
        cout << "\n";
    }
    return 0;
}